var languages = {
   "fr":{
      "calendar":{
         "months":[
            "Janvier",
            "Fevrier",
            "Mars",
            "Avril",
            "Mai",
            "Juin",
            "Juillet",
            "Aout",
            "Septembre",
            "Octobre",
            "Novembre",
            "Decembre"
         ],
         "days":[
            "Lun.",
            "Mar.",
            "Mer.",
            "Jeu.",
            "Ven.",
            "Sam.",
            "Dim."
         ]
      }
   },
   "en":{
      "calendar":{
         "months":[
            "January",
            "February",
            "March",
            "April",
            "May",
            "June",
            "July",
            "August",
            "September",
            "October",
            "November",
            "December"
         ],
         "days":[
            "Mon.",
            "Tue.",
            "Wed.",
            "Thr.",
            "Fri.",
            "Sat.",
            "Sun."
         ]
      }
   }
};

lang = languages.fr;

function capitalize(s)
{
    return s[0].toUpperCase() + s.slice(1);
}


function fillCalendar(contents) {
	for(var day in contents) {
		d = parseInt(day.substr(8,2));
		id = day.substr(0,4)+parseInt(day.substr(5,2))+parseInt(day.substr(8,2));
		//console.log('#'+id);
		$('#'+id).html('<div class="eventcontainer"><a href="#events/'+day+'"><div class="event"></div><div class="eventtext">'+contents[day].length+'</div><div class="daynb">'+d+'</div></a></div>');
	}
}

function buildCal(m, y, cM, cH, cDW, cD, brdr) {
	var mn=lang.calendar.months;
	var days=lang.calendar.days;
	var dim=[31,0,31,30,31,30,31,31,30,31,30,31];

	var oD = new Date(y, m-1, 1); //DD replaced line to fix date bug when current day is 31st
		oD.od=oD.getDay();//+1; //DD replaced line to fix date bug when current day is 31st
		

	var todaydate=new Date() //DD added
	var scanfortoday=(y==todaydate.getFullYear() && m==todaydate.getMonth()+1) ? todaydate.getDate() : 0 //DD added

	//number of days in February
	dim[1]=(((oD.getFullYear()%100!=0)&&(oD.getFullYear()%4==0))||(oD.getFullYear()%400==0))?29:28;

	var t='<div>';
	    t+='<div class="'+cH+'">'+capitalize(mn[m-1])+' '+y+'</div>';
	    t+='<table class="'+cM+'" cols="7" cellpadding="0" border="'+brdr+'" cellspacing="0"><tr class="calendardayheader" align="center">';
	for(s=0;s<7;s++)
		t+='<td class="'+cDW+'">'+days[s]+'</td>';
	t+='</tr><tr align="center">';
	num = 1;
	if (oD.od == 0)
		oD.od = 7;
	for(i=1;i<=42;i++){
		
		var x= ((i-oD.od>=0)&&(i-oD.od<dim[m-1]))? i-oD.od+1 : '&nbsp;';
		day = y;
		if (m < 10) {
			day += "-0" + m;
		} else {
			day += "-"+m;
		}
		if (x < 10) {
			day += "-0" +x;
		} else {
			day += "-"+x;
		}
		idday = day.replace(/-/g,"_");
		
		if (x=='&nbsp;') {
			t+='<td class="tdDayUnactive">'+x+'</td>';
		} else if (x==scanfortoday) //DD added
			t+='<td class="tdDay today '+cD+num+'" day="'+day+'" id="'+idday+'">'+x+'</td>';
		else 
			t+='<td class="tdDay '+cD+num+'" day="'+day+'" id="'+idday+'">'+x+'</td>';
		num++;
		if (num == 3) num = 1;
		if(((i)%7==0)&&(i<36)) {
			t+='</tr><tr align="center">';
			num = 1;
		}
	}
	return t+='</tr></table><div class="ombretableau"></div></div>';
}

function buildCalendar(m, y) {
	return buildCal(m, y, "calendarview", "tableHeader", "columnHeader", "tdDay", 0);
}

function formatMonth(month) {
	if (month < 10) {
		m = "0"+(month);
	} else {
		m = (month);
	}
	return m;
}

var currentMonth = 0;
var currentYear = 0;
var prevMonth = 0;
var prevYear = 0;
var nextMonth = 0;
var nextYear = 0;

function computeDate(cmonth,cyear)
{
	if (cmonth > 12) {
		currentMonth = cmonth - 12;
		currentYear = cyear + 1;
		nextYear = cyear+1;
		nextMonth = currentMonth +1;
		if (currentMonth > 1) {
			prevYear = cyear+1;
			prevMonth = currentMonth -1;
		} else {
			prevYear = cyear;
			prevMonth = 12;
		}
	} else if (cmonth == 12) {
		currentMonth = 12;
		currentYear = cyear ;
		nextYear = cyear+1;
		nextMonth = 1;
		prevYear = cyear;
		prevMonth = 11;
	} else if (cmonth == 1) {
		currentMonth = 1;
		currentYear = cyear;
		nextYear = cyear;
		nextMonth = 2;
		prevYear = cyear-1;
		prevMonth = 12;
	} else if (cmonth < 1) {
		currentMonth = 12 - cmonth;
		currentYear = cyear - 1;
		if (currentMonth == 12) {
			nextYear = cyear;
			nextMonth = 1;
		} else {
			nextYear = cyear-1;
			nextMonth = currentMonth+1;
		}
		
		prevYear = cyear-1;
		prevMonth = currentMonth - 1;
	} else {
		currentMonth = cmonth;
		currentYear = cyear;
		nextYear = cyear;
		nextMonth = cmonth+1;
		prevYear = cyear;
		prevMonth = cmonth-1;
	}
}

