<?php
/**
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

defined('_JEXEC') or die();
JHtml::_('jquery.framework');
JFactory::getDocument()->addScript(JURI::root().'images/com_adsmanager/plugins/calendar/calendar.js');
JFactory::getDocument()->addScript(JURI::root().'images/com_adsmanager/plugins/calendar/jquery.json-2.3.min.js');
JFactory::getDocument()->addStyleSheet(JURI::root().'images/com_adsmanager/plugins/calendar/calendar.css');

$style = "";
$listclasses = "";
if (isset($seasons)) {
	foreach($seasons as $season) {
		$style .=" .type".$season->id." { background-color:".$season->color.";}";
		$listclasses .= " type".$season->id;
	}
}
if (!isset($days)) {
	$days = new stdClass();
}
?>
<style>
<?php echo $style?>
</style>
	
<div class="calendarfield">
<input type="hidden" name="<?php echo $fieldname?>" id="<?php echo $fieldname?>" value="<?php echo htmlspecialchars($currentvalue);?>"/>
<div class="calendrier_description_etape"><?php echo JText::_('ADSMANAGER_SEASONS');?></div>
<?php echo JText::_('ADSMANAGER_SELECTOR_EXPLANATION');?>	
<div id="selectors">
<?php 
if (isset($seasons)) {
foreach($seasons as $season) { ?>
	<div class="season">
		<div class="selector type<?php echo $season->id?>" data-season="<?php echo $season->id?>">
		<?php echo htmlspecialchars(JText::_($season->label))?>
		</div>
		<?php if ($season->id != 0) {?>
		<?php echo JText::_('ADSMANAGER_PRICE')?>: <input type="text" id="season_<?php echo $season->id?>" value="<?php echo htmlspecialchars($season->price) ?>" required />&nbsp;€
		<?php } ?>
	</div>
<?php }
}?>
</div>
<div class="calendrier_description_etape"><?php echo JText::_('ADSMANAGER_AVAILABILITY');?></div>
	<div id="calendarselection">
	<div dispotype='0' class='disposelector dispo0'><?php echo JText::_('ADSMANAGER_OCCUPIED');?></div>
	<div dispotype='1' class='disposelector dispo1'><?php echo JText::_('ADSMANAGER_UNAVAILABLE');?></div>
	<div class="clear"></div>
</div>
<div class="calendrier_description_etape"><?php echo JText::_('ADSMANAGER_CALENDAR');?></div>	
<?php echo JText::_('ADSMANAGER_CALENDAR_EXPLANATION');?>	
<div id="calendars">
	<div class="row-fluid">
		<div id="leftcalendar" class="span4"></div>
		<div id="centercalendar" class="span4"></div>
		<div id="rightcalendar" class="span4"></div>	
	</div>
	<div id="next">
	<img border="0" width="21" height="21" src="<?php echo JURI::root()?>images/com_adsmanager/plugins/calendar/images/ad_scroll_forward.png">
	</div>
	<div id="previous">
		<img border="0" width="21" height="21" src="<?php echo JURI::root()?>images/com_adsmanager/plugins/calendar/images/ad_scroll_back.png">
	</div>
</div>

</div>
		

		
<script>
days = <?php echo json_encode((object)$days); ?>;
dispodays = <?php echo json_encode((object)$reservations) ?>;

function drawCalendar() {
	jQuery('#centercalendar').html(buildCalendar(currentMonth,currentYear));
	jQuery('#leftcalendar').html(buildCalendar(prevMonth,prevYear));
	jQuery('#rightcalendar').html(buildCalendar(nextMonth,nextYear));
	jQuery('.calendarview .tdDay').each(function() {   
		jQuery(this).removeClass('<?php echo $listclasses?>');
		day = jQuery(this).attr('day');
		if (day in days) {
			jQuery(this).addClass("type"+days[""+day]);
		}
		jQ(this).removeClass('dispo0 dispo1');
		if (day in dispodays) {
			jQ(this).addClass("dispo"+dispodays[day]);
		}
    });
	jQuery('.calendarview .tdDay').mousedown(function() {
		mousedown= 1;
		if (window.getSelection) {
			window.getSelection().removeAllRanges();
		} else if (document.selection) {
			document.selection.clear();
		}
		document.onselectstart = function(){ return false; }
		if (selectedseason != null) {
			jQuery(this).removeClass('<?php echo $listclasses?>');
			jQuery(this).addClass("type"+selectedseason); 
			days[""+jQuery(this).attr('day')]=selectedseason;

		} else {
			jQ(this).removeClass('dispo0 dispo1');
			jQ(this).addClass('dispo'+selecteddispo);
			dispodays[""+jQ(this).attr('day')]=selecteddispo;
		}
	});

	jQuery('.calendarview .tdDay').hover(
	  function () {
		if (mousedown == 1) {
			if (selectedseason != null) {
				jQuery(this).removeClass('<?php echo $listclasses?>');
				jQuery(this).addClass("type"+selectedseason); 
				days[""+jQuery(this).attr('day')]=selectedseason;
			} else {
				jQ(this).removeClass('dispo0 dispo1');
				jQ(this).addClass('dispo'+selecteddispo);
				dispodays[""+jQ(this).attr('day')]=selecteddispo;
			}
		}
	  }
	);
}
var oD = new Date(); //DD replaced line to fix date bug when current day is 31st
computeDate(oD.getMonth()+1,oD.getFullYear());
drawCalendar();

jQuery('#next').click(function() {
	computeDate(currentMonth+3,currentYear);
	drawCalendar();
});
jQuery('#previous').click(function() {
	computeDate(currentMonth-3,currentYear);
	drawCalendar();
});
jQuery('.selector').click(function() {
	jQuery('.selector,.disposelector').removeClass('active');
	jQuery(this).addClass('active');
	selectedseason = jQuery(this).attr('data-season');
	selecteddispo = null;
});
jQ(".disposelector").click(function() {
	jQuery('.selector,.disposelector').removeClass('active');
	jQuery(this).addClass('active');
	selecteddispo = jQ(this).attr("dispotype");
	selectedseason = null;
});
mousedown = 0;
jQuery(document).mouseup(function() {
	if (mousedown == 1) {
		admincalendarsave();
		//checkCalendar();
	}
	mousedown = 0;
});

function checkCalendar() {
	console.log("check");
	seasonsused = {};
	for(day in days) {
		seasonsused[""+days[day]] = 1;
	}
	atleastoneset = false;
	seasons = {};
	<?php foreach($seasons as $season) { ?>
	seasons[<?php echo $season->id?>] = jQuery('#season_<?php echo $season->id?>').val();
	if (seasons[""+<?php echo $season->id?>] != "") {
		atleastoneset = true;
	}
	<?php } ?>

	if (atleastoneset == false) {
		alert("Error");
		return;
	}

	//console.log(seasons);
	//console.log(seasonsused);

	for(season in seasonsused) {
		val = seasons[season];
		console.log(val,season);
		if (val == "") {
			alert("Error");
			return;
		}
		
	}
}

function admincalendarsave() {
	seasons = {};
	
	<?php foreach($seasons as $season) { ?>
	seasons[<?php echo $season->id?>] = jQuery('#season_<?php echo $season->id?>').val();
	<?php } ?>
	data = {}
	data.days =  days;
	data.reservations = dispodays;
	data.seasons = seasons;
	value = jQ.toJSON( data );
	jQuery("input#<?php echo $fieldname?>").val(value);
}
jQuery('.season input').change(function() {
	//checkCalendar();
	admincalendarsave();
	
});
</script>
