<?php
/**
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");

class AdsManagerCalendarPlugin {	
	protected $db;
	
	public function __construct()
	{
		$db	= JFactory::getDBO();
		$this->_db = $db;
	}
	
	function getListDisplay($content,$field)
	{
		return AdsManagerCalendarPlugin::getDetailsDisplay($content,$field,$mode="list");
	}

	function getDetailsDisplay($content,$field,$mode="details")
	{
		$fieldid = $field->fieldid;
		
		$this->_db->setQuery("SELECT options FROM #__adsmanager_fields WHERE fieldid = '$fieldid'");
		$options = $this->_db->loadResult();
		
		$options = json_decode($options);
		if ($options == null)
			$options = new stdClass();
			
		$cseasons = array();
		if (isset($options->values)) {
			$cseasons = $options->values;
		}
		
		$fieldname = $field->name;
		$currentvalue = @$content->$fieldname;
		
		$data = json_decode($currentvalue);
		$days = new stdClass();
		$reservations = new stdClass();
		
		if ($data != null) {
			$days = $data->days;
			$reservations = $data->reservations;
		}
		
		$seasons = array();
		foreach($cseasons as $season) {
			$id = $season->id;
			if (isset($data->seasons->$id) && $data->seasons->$id != null) {
				$s = $season;
				$s->price = $data->seasons->$id;
				$seasons[] = $s;
			}
		}

		
		ob_start();
        include('details.php');
        $return = ob_get_clean();
		return $return;
	}

	function getFormDisplay($content,$field,$default=null)
	{
		$fieldid = $field->fieldid;
		
		$this->_db->setQuery("SELECT options FROM #__adsmanager_fields WHERE fieldid = '$fieldid'");
		$options = $this->_db->loadResult();
		
		$options = json_decode($options);
		if ($options == null)
			$options = new stdClass();
			
		$cseasons = array();
		if (isset($options->values)) {
			$cseasons = $options->values;
		}
		
		$fieldname = $field->name;
		$currentvalue = @$content->$fieldname;
		
		$data = json_decode($currentvalue);
		$days = new stdClass();
		$reservations = new stdClass();
		
		if ($data != null) {
			$days = $data->days;
			$reservations = $data->reservations;
		}
		
		$seasons = array();
		foreach($cseasons as $season) {
			$s = $season;
			$id = $season->id;
			if (isset($data->seasons->$id)) {
				$s->price = $data->seasons->$id;
			} else {
				$s->price = "";
			}
			$seasons[] = $s;
		}

		ob_start();
        include('form.php');
        $return = ob_get_clean();
		return $return;
	}

	function onFormSave(&$content,$field)
	{
		$input = JFactory::getApplication()->input;
		$data = $input->get($field->name,"", 'string');
		return $data;
	}
	
	function onDelete($directory,$contentid = -1)
	{
	}
	
	public function getEditFieldJavaScriptDisable()
	{
		$return =  " jQ('#divCalendarOptions').hide();\n";
		return $return;
	}
	
	public function getEditFieldJavaScriptActive()
	{
       	$return = " disableAll();";
       	$return .= " jQ('#divCalendarOptions').show();\n";
		return $return; 
	}

	function getEditFieldOptions($fieldid)
	{
		$this->_db->setQuery("SELECT options FROM #__adsmanager_fields WHERE fieldid = '$fieldid'");
		$options = $this->_db->loadResult();
		
		$options = json_decode($options);
		if ($options == null)
			$options = new stdClass();
			
		$values = array();
		if (isset($options->values)) {
			$values = $options->values;
		}
		
		foreach($values as $val) {
			$val->label = htmlspecialchars($val->label);
		}
		ob_start();
		?>
		<div id='divCalendarOptions'>
			<div class="calendar_values" id="calendar_values">
			<input type="button" id="addcalendarvalue" class="button btn" value="<?php echo JText::_('ADSMANAGER_ADD_FIELD_VALUE')?>" /><br/>
			<ul id="values">
				<li class="ui-state-disabled"> 
					<span id='empty'>&nbsp;</span>
					<input type="text" name="calendarids[]" value="<?php echo JText::_('ID');?>"/>  
					<input type="text" name="calendarlabels[]" value="<?php echo JText::_('ADSMANAGER_FIELD_VALUE_NAME');?>"/> 
					<input type="text" name="calendarcolors[]" value="Color (Ex: #EFDE12)"/> 
				</li>
			</ul>
			</div>
		</div>
		<style>
		#divCalendarOptions ul { list-style-type: none; margin: 0; padding: 0; width: 85%; }
		#divCalendarOptions #values li { margin: 0 3px 3px 3px; padding: 0.4em; padding-left: 1.5em; font-size: 1.4em; height: 18px; }
        #divCalendarOptions #values li input { width: 26%; }
		#divCalendarOptions #values li span.ui-icon-arrowthick-2-n-s { position: absolute; margin-left: -1.3em; }
		#divCalendarOptions #values li span.ui-icon-cancel { float:right }
		#divCalendarOptions #empty { position: absolute; margin-left: -1.3em; }
		
		</style>
		<?php
			$script = "
				function addCalendarFieldValue(id,label,color) {
					data = '<li class=\"ui-state-default\"> \
						<span class=\"ui-icon ui-icon-arrowthick-2-n-s\"></span> \
						<input type=\"text\" name=\"calendarids[]\" value=\"'+id+'\"/> \
						<input type=\"text\" name=\"calendarlabels[]\" value=\"'+label+'\"/> \
						<input type=\"text\" name=\"calendarcolors[]\" value=\"'+color+'\"/> \
						<span class=\"ui-icon ui-icon-cancel\"></span> \
						</li>';
					jQ('#divCalendarOptions  #values').append(data);
				}
				values = ".json_encode($values).";
				for(i=0;i<values.length;i++) {
					addCalendarFieldValue(values[i][\"id\"],values[i][\"label\"],values[i][\"color\"]);
				}
				if (values.length == 0) {
					for(i=0;i<4;i++) {
						addCalendarFieldValue(i+1,\"\",\"\");
					}
				}
				jQ(function() {
					jQ( \"#divCalendarOptions li.ui-state-disabled input\").attr('disabled','disabled');
					jQ( \"#divCalendarOptions #values\" ).sortable({items: \"li:not(.ui-state-disabled)\"});
					jQ( \"#divCalendarOptions #addcalendarvalue\" ).click(function() {
						addCalendarFieldValue(\"\",\"\",\"\");});
					jQ( \"#divCalendarOptions\").on(\"click\", \".ui-icon-cancel\",function() {
						jQ(this).parent().remove();
					});
				});";

			JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
		?>
		
		<?php
		$return = ob_get_clean();
		return $return;
	}

	function saveFieldOptions($field)
	{
		$input = JFactory::getApplication()->input;
		$fieldLabels  = $input->get('calendarlabels',array(),'array');
		$fieldColors = $input->get('calendarcolors',array(),'array');
		$fieldIds = $input->get('calendarids',array(),'array');
		
		$values = array();
		foreach($fieldLabels as $key => $label) {
			$color = $fieldColors[$key];
			$id = $fieldIds[$key];
			if (($label != "")&&($color != "")&&($id != "")) {
				$values[] = array("id"=>$id,"label"=>$label,"color"=>$color);
			}
		}
		
		$options = array();
		$options["values"] = $values;
		return $options;
	}
	
	public function getSearchFormDisplay($content,$field,$default=null)
	{
		$fieldid = $field->fieldid;
	
		$fieldname = $field->name;
		
		$fromname = $field->name."_from";
		$fromvalue = @$content->$fromname;
		$toname = $field->name."_to";
		$tovalue = @$content->$toname;
		$options = array();
		$options['placeholder'] = JTExt::_('ADSMANAGER_CALENDAR_FROM');
		
		$return = "<div class='calendarsearch'>
				   <div class='calendarfrom'>";
	  	$return .=  JHTML::_('calendar', $fromvalue, $field->name."_from",$field->name."_from", "%Y-%m-%d", $options);
	  	
	  	$options['placeholder'] = JTExt::_('ADSMANAGER_CALENDAR_TO');
	  	
	  	$return .=  "</div>
				   </div class'calendarto'>";
		$return .=  JHTML::_('calendar', $tovalue, $field->name."_to",  $field->name."_to", "%Y-%m-%d", $options);
	  	$return .=  "</div>
				   </div>";
				   
		return $return;
	}
	
	public function getSqlFilter($field,$filter) {
		$fieldname = $field->name;
		
		$input = JFactory::getApplication()->input;
		$from = $input->get($field->name."_from","",'array');
		$to = $input->get($field->name."_to","",'array');
		
		$sql = "";
		$db = JFactory::getDbo();
		$sqls = array();
		//var_dump($from,$to);
		if (($from != null)&&($to != null)) {
			$totime = strtotime($to);
			$fromtime = strtotime($from);
			
			for($t=$fromtime;$t<=$totime;$t=$t + 3600*24) {
				$time = date('Y-m-d',$t);
				$testsql = $db->Quote('%"'.$time.'":"0"%');
				$sqls[] = "$fieldname NOT LIKE $testsql";
			}
			if (count($sqls) >= 2) {
				$sql = " AND ( ".implode(") AND (",$sqls)." )";
			} else if (count($sqls) == 1) {
				$sql = " AND ".$sqls[0];
			}
		}
		//var_dump($sql);
		return $sql;
	}
	
	
	function getFieldName()
	{
		return "Calendar";
	}
	
	function install()
	{		
	}
	
	function uninstall()
	{	
	}
}
$plugins["calendar"] = new AdsManagerCalendarPlugin();