<?php 
/**
 * @package		PaidSystem
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license GNU General Public License version 3, or later
 */
class AdsManagerCascadePlugin {

	var $_db;
	
	public function getListDisplay($content,$field)
	{
		return AdsManagerCascadePlugin::getDetailsDisplay($content,$field,$mode="list");
	}

	public function getDetailsDisplay($content,$field,$mode="details")
	{
		$fieldname = $field->name;
		$value = $content->$fieldname;
		
		$options = $field->options;
		$values = array();
		if ($options != null) {
			if ($options->values_storage_type == "internal") {
				if (isset($options->values)) {
					$values = $options->values;
				}
			} else if ($options->values_storage_type == "db") {
				$dbname = $options->db_storage_db_name;
				$name = $options->db_storage_column_name;
				$valuecolumn = $options->db_storage_column_value;
				$sql = "SELECT `$name` as label,`$valuecolumn` as value FROM $dbname WHERE $valuecolumn = ".$this->_db->Quote($value);
				//echo $sql;
				$this->_db->setQuery($sql);
				$values = $this->_db->loadObjectList();
			}
		}
		$vs = array();
		foreach($values as $val) {
			if ($val->value == $value)
				return JText::_($val->label);
		}
		return "";
	}
	
	public function onAjax() 
	{
		$input = JFactory::getApplication()->input;
		$fieldid = $input->getInt('fieldid',0);
		if ($fieldid ==0)
			return;
		
		$this->_db->setQuery("SELECT options FROM #__adsmanager_fields WHERE fieldid=".(int)$fieldid);
		$options = $this->_db->loadResult();
		//var_dump($options);
		if ($options != null) {
			$options = json_decode($options);
			if ($options == null)
				return;
			if ($options->parentfield == "")
				return;
			
			$parentvalue = $input->getString($options->parentfield,null);
			if ($parentvalue === null) {
				$parentvalue = $input->getString("f".$options->parentfield,null);
				if ($parentvalue === null) {
					return null;
				}
			}
			$values = array();

			if ($options->values_storage_type == "internal") {
				if (isset($options->values)) {
					foreach($options->values as $v) {
                        if($v->parent == $parentvalue)
                           $values[] = $v;
                    }
				}
			} else if ($options->values_storage_type == "db") {
				$dbname = $options->db_storage_db_name;
				$name = $options->db_storage_column_name;
				$value = $options->db_storage_column_value;
				$parent = $options->db_storage_column_parent_value;
				$sql = "SELECT `$name` as label,`$value` as value,`$parent` as parent FROM $dbname WHERE $parent = ".$this->_db->Quote($parentvalue)." ORDER BY $name ASC";
				//echo $sql;
				$this->_db->setQuery($sql);
				$values = $this->_db->loadObjectList();
				
				/*$list = array();
				foreach($values as $v) {
					$list[] = $v->id;
				}*/
				
				//$sql = "SELECT geoid,name FROM geonames WHERE geoid IN (".implode(',',$list).") AND lang='fr'";
				//echo $sql;
				//$this->_db->setQuery($sql);
				//$trad = $this->_db->loadObjectList("geoid");				

			}
			$results = array();
            $label = JText::_('ADSMANAGER_SELECT_CASCADE');
			$results[] = array("value"=>"","label"=>$label);
			foreach($values as $v) {
				//if (isset($trad[$v->value])) {
				//	$results[$v->value] = $trad[$v->value];
				//} else {
					//$results[$v->value] = $v->label;//JText::_($v->label);
					$results[] = array("value"=>$v->value,"label"=>JText::_($v->label));
				//}
			}
			echo json_encode($results);
		}
	}
	
	private function getValues($options) {
		$values = array();
		if ($options != null) {
			if (@$options->ajax != 1) {
				if (@$options->values_storage_type == "internal") {
					if (isset($options->values)) {
						$values = $options->values;
					}
				} else if (@$options->values_storage_type == "db") {
					$dbname = $options->db_storage_db_name;
					$name = $options->db_storage_column_name;
					$value = $options->db_storage_column_value;
					$parent = $options->db_storage_column_parent_value;
					$sql = "SELECT `$name` as label,`$value` as value,`$parent` as parent FROM $dbname";
					//echo $sql;
					$this->_db->setQuery($sql);
					$values = $this->_db->loadObjectList();
				}
			}
		}
		foreach($values as $key =>  $val) {
			$values[$key]->label = htmlspecialchars(JText::_($val->label));
		}
		return $values;
	}
	
	
	protected function getForm($content,$field,$search=0,$chosen=true) {
		$document	= JFactory::getDocument();
		$document->addScript(JURI::root()."components/com_adsmanager/js/jquery.chained.js");
		$document->addScript(JURI::root()."components/com_adsmanager/js/chosen/chosen.jquery.min.js");
		$document->addScript(JURI::root()."components/com_adsmanager/js/chosen/ajax-chosen.min.js");
		$document->addStyleSheet(JURI::root()."components/com_adsmanager/js/chosen/chosen.css");
		
		
		$options = $field->options;
		$values = $this->getValues($options);
		
		$fieldname = $field->name;
		
		$currentval = "";
		if (isset($content->$fieldname) && $fieldname != "") {
			$currentval = $content->$fieldname;
		}
		ob_start();
		
		$unique = $field->name."_".rand();
		if ($search == 0 && $field->required == 1)
			$mosReq = "required";
		else
			$mosReq = "";
		?>
        <select id="f<?php echo $field->name?>" <?php echo $mosReq?> class="form-control <?php echo $unique?>" name="<?php echo $field->name?>">
            <?php if ($search == 1 || $currentval == "") {?>
            <option value="" ><?php echo JText::_('ADSMANAGER_SELECT_CASCADE'); ?></option>
            <?php } ?>
            <?php if (@$options->ajax != 1) {?>
            <?php foreach($values as $val) {
            if ($currentval == $val->value) $selected = 'selected="selected"';else $selected = '';
            $val->parent = str_replace(',',' ',$val->parent);
            ?>
            <option <?php echo $selected;?> value="<?php echo htmlspecialchars($val->value)?>" class="<?php echo htmlspecialchars($val->parent)?>"><?php echo htmlspecialchars($val->label)?></option>
            <?php } ?>
            <?php } ?>
        </select>
				<?php
					$script = '';
					if ($options != null && $options->parentfield != "") {
						$script .= 'jQ(document).ready(function() {
							parentfield = jQ(".'.$unique.'").closest(\'form\').find("#f'.$options->parentfield.'");';
							if (@$options->ajax == 1) {
								$script .= 'jQ(".'.$unique.'").remoteChained(parentfield,"'.JURI::root()."images/com_adsmanager/plugins/cascade/plug.php?fieldid=".$field->fieldid.'",
																																	{defaultvalue:'.json_encode($currentval).'});';
							} else {
								$script .= 'jQ(".'.$unique.'").chained(parentfield);';
							}
							if ($chosen) {
								$script .= 'jQ(".'.$unique.'").chosen();';
							}
						$script .= '});';
					}

					JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
				?>
		<?php 
		$content = ob_get_contents();
		ob_end_clean();
		return $content;
		
	}
	
	
	public function getSearchFormDisplay($content,$field) {
		return $this->getForm($content,$field,1,false);
	}

	public function getFormDisplay($content,$field,$default=null)
	{
		return $this->getForm($content,$field,0);	
	}

	public function onFormSave($content,$field)
	{
		$input = JFactory::getApplication()->input;
		$value = $input->getString($field->name,"");
		return $value;
	}
	
	public function onDelete($directory,$contentid = -1)
	{
	}
	
	public function getEditFieldJavaScriptDisable()
	{
		$return =  " jQ('#divCascadeOptions').hide();\n";
		//$return .= " jQ('#divCascadeOptions input').attr('mosReq',0);";
		return $return;
	}
	
	public function getEditFieldJavaScriptActive()
	{
       	$return = " disableAll();";
       	$return .= " jQ('#divCascadeOptions').show();\n";
       	//$return .= " jQ('#divCascadeOptions input').attr('mosReq',1);";
		return $return; 
	}

	public function getEditFieldOptions($fieldid)
	{
		$this->_db->setQuery("SELECT options FROM #__adsmanager_fields WHERE fieldid = '$fieldid'");
		$options = $this->_db->loadResult();
		
		$options = json_decode($options);
		if ($options == null)
			$options = new stdClass();
			
		$values = array();
		if (isset($options->values)) {
			$values = $options->values;	
		}	
		
		foreach($values as $val) {
			$val->label = htmlspecialchars(JText::_($val->label));	
		}
		ob_start();
		if (!isset($options->values_storage_type)) {
			$options->values_storage_type="internal";
		}
		if (!isset($options->ajax)) {
			$options->ajax=0;
		}
		?>
		<div id='divCascadeOptions' class="adminform custom">
			<div class="mb-3 row">
				<div class="col">
					<?php echo JText::_('ADSMANAGER_PARENT_FIELD_NAME')?> 
				</div>
				<div class="col">
					<input type="text" class="form-control" name="options_cascade_parentfield" value="<?php echo @$options->parentfield ?>" />
				</div>
			</div>

			<?php echo JText::_('ADSMANAGER_USE_AJAX')?>
			<div class="form-check">
				<input class="form-check-input" type="radio" name="options_cascade_ajax" id="1" value="1" <?php if ($options->ajax == "1") echo "checked='checked'";?> />
				<label for="1" class="form-check-label"><?php echo JText::_('ADSMANAGER_YES')?></label>
			</div>

			<div class="form-check">
				<input class="form-check-input" type="radio" name="options_cascade_ajax" id="0" value="0" <?php if ($options->ajax == "0") echo "checked='checked'";?> />
				<label for="0" class="form-check-label"><?php echo JText::_('ADSMANAGER_NO')?></label>
			</div>

			<div class="form-check">
				<input class="form-check-input" type="radio" name="options_cascade_values_storage_type" id="internal" value="internal" <?php if ($options->values_storage_type == "internal") echo "checked='checked'";?> />
				<label for="internal" class="form-check-label"><?php echo JText::_('ADSMANAGER_VALUES_STORAGE_TYPE_INTERNAL')?></label>
			</div>

			<div class="form-check mb-3">
				<input class="form-check-input" type="radio" name="options_cascade_values_storage_type" id="db" value="db" <?php if ($options->values_storage_type == "db") echo "checked='checked'";?> />
				<label for="db" class="form-check-label"><?php echo JText::_('ADSMANAGER_VALUES_STORAGE_TYPE_EXTERNAL')?></label>
			</div>
		
			
			<div class="cascade_storage_values" id="cascade_storage_values_internal">
				
				<input type="button" id="addcascadevalue" class="button btn btn-primary" value="<?php echo JText::_('ADSMANAGER_ADD_FIELD_VALUE')?>" /><br/>
		
				<ul id="values" class="mt-3">
					<li class="ui-state-disabled row"> 
						<div class="col col-auto"><span id='empty'>&nbsp;</span> </div>
						<div class="col">
							<input class="form-control" type="text" name="cascadelabels[]" value="<?php echo JText::_('ADSMANAGER_FIELD_VALUE_NAME');?>"/> 
						</div>
						<div class="col">
							<input class="form-control" type="text" name="cascadevalues[]" value="<?php echo JText::_('ADSMANAGER_FIELD_VALUE_VALUE');?>"/> 
						</div>
						<div class="col">
							<input class="form-control" type="text" name="cascadeparents[]" value="<?php echo JText::_('ADSMANAGER_FIELD_VALUE_PARENT');?>"/> 
						</div>
						
					</li>
				</ul>
				</div>
			<div class="cascade_storage_values" id="cascade_storage_values_db">
				<div class="mb-3 row">
					<div class="col"><?php echo JText::_('ADSMANAGER_DB_STORAGE_DB_NAME')?></div>
					<div class="col"><input class="form-control" type="text" name="options_cascade_db_storage_db_name" value="<?php echo @$options->db_storage_db_name ?>" />
</div>
				</div>

				<div class="mb-3 row">
					<div class="col"><?php echo JText::_('ADSMANAGER_DB_STORAGE_COLUMN_NAME')?></div>
					<div class="col"><input class="form-control" type="text" name="options_cascade_db_storage_column_name" value="<?php echo @$options->db_storage_column_name ?>" />
</div>
				</div>

				<div class="mb-3 row">
					<div class="col"><?php echo JText::_('ADSMANAGER_DB_STORAGE_COLUMN_VALUE')?></div>
					<div class="col"><input class="form-control" type="text" name="options_cascade_db_storage_column_value" value="<?php echo @$options->db_storage_column_value ?>" />
</div>
				</div>

				<div class="mb-3 row">
					<div class="col"><?php echo JText::_('ADSMANAGER_DB_STORAGE_COLUMN_PARENT_VALUE')?></div>
					<div class="col"><input class="form-control" type="text" name="options_cascade_db_storage_column_parent_value" value="<?php echo @$options->db_storage_column_parent_value ?>" />
</div>
				</div>
			</div>
		</div>
		<style>
			#divCascadeOptions ul { list-style-type: none; margin: 0; padding: 0; }
			#divCascadeOptions #values li { margin: 8px 0px; padding: 3px; font-size: 1.4em; }
			#divCascadeOptions #values li span.ui-icon-arrowthick-2-n-s,
			#divCascadeOptions #values li span.ui-icon-cancel { 
				background-image: none;
				width: auto;
				height: auto;
				text-indent: inherit;
				padding: 3px; 
    			line-height: 1em;
			}
			#divCascadeOptions #values li span.ui-icon-cancel { float: right; background-image: none;  }
			#divCascadeOptions #empty { }
			#divCascadeOptions  .ui-state-highlight { height:18px; } 
			#divCascadeOptions li .row{
				align-items: center;
			}
		
		</style>
		<?php
			$script = "
			function addFieldValue(label,value,parent) {
				data = '<li class=\"ui-state-default\"> \
							<div class=\"row\"> \
								<div class=\"col col-auto\"><span class=\"ui-icon ui-icon-arrowthick-2-n-s btn btn-outline-success\"><span class=\"icon-move\"></span></span></div> \
								<div class=\"col\"><input class=\"form-control\" type=\"text\" name=\"cascadelabels[]\" value=\"'+label+'\"/></div> \
								<div class=\"col\"><input class=\"form-control\" type=\"text\" name=\"cascadevalues[]\" value=\"'+value+'\"/></div> \
								<div class=\"col\"><input class=\"form-control\" type=\"text\" name=\"cascadeparents[]\" value=\"'+parent+'\"/></div> \
								<div class=\"col col-auto\"><span class=\"ui-icon ui-icon-cancel btn btn-outline-danger\"><span class=\"icon-times\"></span></span></div> \
							</div> \
					</li>';
				jQ('#divCascadeOptions  #values').append(data);
			}
			jQ(function() {
				values = ".json_encode($values).";
				for(i=0;i<values.length;i++) {
					addFieldValue(values[i][\"label\"],values[i][\"value\"],values[i][\"parent\"]);
				}
				if (values.length == 0) {
					for(i=0;i<4;i++) {
						addFieldValue(\"\",\"\",\"\");
					}
				}
			
				jQ( \"#divCascadeOptions li.ui-state-disabled input\").attr('disabled','disabled');
				jQ( \"#divCascadeOptions #values\" ).sortable({items: \"li:not(.ui-state-disabled)\"});
				jQ( \"#divCascadeOptions #addcascadevalue\" ).click(function() {
					addFieldValue(\"\",\"\",\"\");});
				jQ( \"#divCascadeOptions\").on(\"click\", \".ui-icon-cancel\",function() {
					jQ(this).parent().parent().parent().remove();
				});
				
				jQ('input[name=options_cascade_values_storage_type]:radio').change(function() {
					jQ(\".cascade_storage_values\").hide();
					val = jQ('input[name=options_cascade_values_storage_type]:radio:checked').val();
					jQ(\"#cascade_storage_values_\"+val).show();
				});
				jQ(\".cascade_storage_values\").hide();
				jQ(\"#cascade_storage_values_".$options->values_storage_type."\").show();
			});";

			JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
			
		$return = ob_get_contents();
		ob_end_clean();
		return $return;
	}

	public function saveFieldOptions($field)
	{
		$this->install();
		
		$input = JFactory::getApplication()->input;
		$fieldLabels  = $input->get('cascadelabels',array(), 'Array');
		$fieldValues = $input->get('cascadevalues',array(), 'Array');
		$fieldParents = $input->get('cascadeparents',array(), 'Array');
		
		$values = array();
		foreach($fieldLabels as $key => $label) {
			$value = $fieldValues[$key];
			$parent = $fieldParents[$key];
			if (($label != "")&&($value != "")&&($parent != "")) {
				$values[] = array("label"=>$label,"value"=>$value,"parent"=>$parent);
			}
		}
		
		$options = array();
		$options["values"] = $values;
		return $options;
	}
	
	public function getFieldName()
	{
		return "Cascade";
	}
	
	public function install()
	{
	}
	
	public function uninstall()
	{	
	}
	
	public function __construct()
	{
		$db	= JFactory::getDBO();
		$this->_db = $db;
	}
}
if (!defined('_JEXEC')) {
	header('Access-Control-Allow-Origin: *');
	header('Access-Control-Allow-Headers: Accept, Authorization, Content-Type');
	header('Access-Control-Allow-Methods: POST, GET');
	
	// respond to preflights
	if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {
		exit;
	}

	//Load Framework
	define( '_JEXEC', 1 );
	
	define('JPATH_BASE', dirname(__FILE__).'/../../../../' );
	
	//define('JPATH_BASE','/var/www/joomla25' );
	define( 'DS', DIRECTORY_SEPARATOR );
	require_once ( JPATH_BASE .DS.'includes'.DS.'defines.php' );
	require_once ( JPATH_BASE .DS.'includes'.DS.'framework.php' );
	
	$paths = array(JPATH_ROOT);
	$jlang = JFactory::getLanguage();
	$jlang->load("com_adsmanager", $paths[0], 'en-GB', true);
	$jlang->load("com_adsmanager", $paths[0], null, true);
	
	$mainframe = JFactory::getApplication('site');
	$mainframe->initialise();
	$plugin = new AdsManagerCascadePlugin();
	define('URLBASE',str_replace('images/com_adsmanager/plugins/cascade/','',JURI::base()));
	echo $plugin->onAjax();
} else {
	define('URLBASE',JURI::base());
	require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");
	$plugins["cascade"] = new AdsManagerCascadePlugin();
}