<?php
/**
 * @package		PaidSystem
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");

// no direct access
defined('_JEXEC') or die('Restricted access');

class AdsManagerFileuploadPlugin {

	var $_db;

	function getListDisplay($content,$field)
	{
		return AdsManagerFileuploadPlugin::getDetailsDisplay($content,$field);
	}

	function getDetailsDisplay($content,$field)
	{
		$fieldid = $field->fieldid;

		$fieldname = $field->name;
		$value = @$content->$fieldname;
		$value = json_decode($value);

		$dir = JURI_FILES_FOLDER."/".$content->id."/";
		
		$return = "";

		if ($value != "")
		{
			ob_start();

			foreach($value as $val) {
				?>
				<a href="<?php echo $dir.$val->file; ?>" target="_blank" class="file-upload-field" >
					<span class="glyphicon glyphicon-file" aria-hidden="true"></span>
					<?php echo $val->file; ?>
				</a>
				<?php
			}

			$return = ob_get_clean();
		}
		return $return;
	}

	function getFormDisplay($content,$field,$default=null)
	{
		require_once(JPATH_ROOT."/images/com_adsmanager/plugins/fileupload/fileupload.php");
		$fieldid = $field->fieldid;

		$fieldname = $field->name;
		$value = @$content->$fieldname;
		$value = json_decode($value);
		$options = $field->options;
		
		return TFileupload::displayFileUploader($value,$content,$field);
	}

	function onFormSave(&$content,$field)
	{
		return null;
	}

	function onDelete($directory,$contentid = -1)
	{
	}

	function getEditFieldJavaScriptDisable()
	{
		$return = "elem=getObject('divFileuploadOptions');";
        $return .= "elem.style.visibility = 'hidden';";
		$return .= "elem.style.display = 'none';";
		$return .= "elem=getObject('typeallowed_fileupload');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('maxsize_fileupload');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('maxnumber_fileupload');";
		$return .= "elem.setAttribute('mosReq',0);";
		return $return;
	}

	function getEditFieldJavaScriptActive()
	{
        $return = "disableAll();";
		$return .= "elem=getObject('divFileuploadOptions');";
        $return .= "elem.style.visibility = 'visible';";
        $return .= "elem.style.display = 'block';";
		$return .= "elem=getObject('typeallowed_fileupload');";
		$return .= "elem.setAttribute('mosReq',1);";
		$return .= "elem=getObject('maxsize_fileupload');";
		$return .= "elem.setAttribute('mosReq',1);";
		$return .= "elem=getObject('maxnumber_fileupload');";
		$return .= "elem.setAttribute('mosReq',1);";
		return $return;
	}

	function getEditFieldOptions($fieldid)
	{
		$this->install();
		$this->_db->setQuery("SELECT * FROM #__adsmanager_fields WHERE fieldid = '$fieldid'");
		$row = $this->_db->loadObject();
        if($row != null)
            $rowOptions = json_decode($row->options);
       
		$return = "<div id='divFileuploadOptions' class='adminform custom'>";
		$return .= "<div class='mb-3 row'>";
		$return .= "<div class='col'>Type allowed (separated by a comma)</div>";
		$return .= "<div class='col'><input id='typeallowed_fileupload' name='fileupload_typeallowed' mosReq=1 mosLabel='Type allowed' class='form-control input' value='".@$rowOptions->typeallowed."' /></div>";
		$return .= "</div>";
		$return .= "<div class='mb-3 row'>";
		$return .= "<div class='col'>Max files size (in byte)</div>";
		$return .= "<div class='col'><input id='maxsize_fileupload' name='fileupload_maxsize' mosReq=1 mosLabel='Max files size' class='form-control input' value='".@$rowOptions->maxsize."' /></div>";
		$return .= "</div>";
		$return .= "<div class='mb-3 row'>";
		$return .= "<div class='col'>Max number of file</div>";
		$return .= "<div class='col'><input id='maxnumber_fileupload' name='fileupload_maxnumber' mosReq=1 mosLabel='Max number of file' class='form-control input' value='".@$rowOptions->maxnumber."' /></div>";
		$return .= "</div>";
		$return .= "</div>";
		return $return;
	}

	function saveFieldOptions($field)
	{
		$input = JFactory::getApplication()->input;
		$typeAllowed  = $input->getString("fileupload_typeallowed",'');
		$maxSize = $input->getInt("fileupload_maxsize",0);
		$maxNumber = $input->getInt("fileupload_maxnumber",0);
		
		$options = array();
        $options['typeallowed'] = $typeAllowed;
        $options['maxsize'] = $maxSize;
		$options['maxnumber'] = $maxNumber;
		
		return $options;
	}

	function getFieldName()
	{
		return "Files upload";
	}

	function install()
	{
	    if (!file_exists(JPATH_FILES_FOLDER)) {
            mkdir(JPATH_FILES_FOLDER, 0755, true);
        }
        if (!file_exists(JPATH_FILES_FOLDER."/uploaded")) {
            mkdir(JPATH_FILES_FOLDER."/uploaded", 0755, true);
        }
        if (!file_exists(JPATH_FILES_FOLDER."/waiting")) {
            mkdir(JPATH_FILES_FOLDER."/waiting", 0755, true);
        }
	}

	function uninstall()
	{
	}

	function __construct()
	{
		$db	= JFactory::getDBO();
		$this->_db = $db;
	}
}

$plugins["fileupload"] = new AdsManagerFileuploadPlugin();
?>
