<?php
/**
 * @package		PaidSystem
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");

class AdsManagerOpenmapPlugin {

	var $_db;
	
	function getListDisplay($content,$field)
	{
		$faddress = $field->name."_address";
		return @$content->$faddress;
	}
	
	function needStorage() {
		return false;
	}

	function getDetailsDisplay($content,$field,$mode="details")
	{
		$flat = $field->name."_lat";
		$flng = $field->name."_lng";
		$fzoom = $field->name."_zoom";
		$fhide = $field->name."_hide";
		$faddress = $field->name."_address";
		
		$contentid = $content->id;

		$fieldid = $field->fieldid;
		if (($content)&&($content->$flat)&&($content->$flng)&&(@$content->$fhide != 1))
		{
			$lat = (float)$content->$flat;
			$lng = (float)$content->$flng;
			$zoom = (int)@$content->$fzoom;
			$address = @$content->$faddress;
			if ($zoom == null) {
				$zoom=8;
			}
			
			
			$this->_db->setQuery("SELECT * FROM #__adsmanager_openmap_conf WHERE fieldid = ".(int)$field->fieldid);
			$conf = $this->_db->loadObject();
			
			if ($mode == "details") {
				$map_width = $conf->map_width;//500;
				$map_height= $conf->map_height;//300;
			} else {
				if ($conf->list_map_width != '') {
					$map_width = $conf->list_map_width;
					$map_height= $conf->list_map_height;
				} else {
					$map_width = $conf->map_width;//500;
					$map_height= $conf->map_height;//300;
				}
			}
			
			ob_start();
            $document = JFactory::getDocument();
			$document->addStyleSheet(JURI::root()."images/com_adsmanager/plugins/openmap/css/leaflet.css");
            $document->addScript(JURI::root()."images/com_adsmanager/plugins/openmap/js/leaflet.js");
            ?>
			<script>
                function initializemap<?php echo $contentid.'_'.$field->fieldid; ?> () {
                    var geocoder<?php echo $contentid."_".$fieldid ?>;
                    var marker<?php echo $contentid."_".$fieldid ?>;

                    var latlng = [<?php echo $lat ?>, <?php echo $lng ?>];
                    
                    var openmap<?php echo $contentid."_".$fieldid ?> = L.map('map_canvas<?php echo $contentid."_".$fieldid ?>').setView(latlng, <?php echo $zoom ?>);
                    
                    var marker = L.marker(latlng);

                    marker.addTo(openmap<?php echo $contentid."_".$fieldid ?>);
                
                    var OpenStreetMap_Mapnik = L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
						maxZoom: 19,
						attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a>'
					});

					OpenStreetMap_Mapnik.addTo(openmap<?php echo $contentid."_".$fieldid ?>);

					var latLngs = [ marker.getLatLng() ];
                    var markerBounds = L.latLngBounds(latLngs);
                    openmap<?php echo $contentid."_".$fieldid ?>.fitBounds(markerBounds); 
                }
			</script>
			<?php
			$return .= ob_get_contents();
			ob_end_clean();
	        	$return .= '<div class="address">'.htmlspecialchars($address).'</div><div class="openmap" id="map_canvas'.$contentid.'_'.$fieldid.'" style="max-width:100%;width: '.$map_width.'px; height: '.$map_height.'px;"></div>';
			$return .= '<script type="text/javascript">initializemap'.$contentid.'_'.$field->fieldid.'();</script>';
			
			return $return;
		}
	}

	function getFormDisplay($content,$field,$default=null)
	{
		$flat = $field->name."_lat";
		$flng = $field->name."_lng";
		$fzoom = $field->name."_zoom";
		$fhide = $field->name."_hide";
       		$faddress = $field->name."_address";
		
		$fieldid = $field->fieldid; 
		
		$this->_db->setQuery("SELECT * FROM #__adsmanager_openmap_conf WHERE fieldid = $field->fieldid");
		$conf = $this->_db->loadObject();
        
		if (!isset($conf->lat)) {
			echo "ERROR OPENMAP Field options not set";
			exit();	
		}
		
		if (($content)&&(isset($content->$flat))&&(isset($content->$flng)))
		{
			$newform = 0;
			$lat = (float)$content->$flat;
			$lng = (float)$content->$flng;
			$zoom = (int)@$content->$fzoom;
			$hide = (int)@$content->$fhide;
		}
		else if (($default)&&(isset($default->$flat))&&(isset($default->$flng)))
		{
			$newform = 0;
			$lat = (float)$default->$flat;
			$lng = (float)$default->$flng;
			$zoom = (int)$default->$fzoom;
			$hide = (int)$default->$fhide;
		}
		else
		{
			$newform = 1;
			$lat = (float)$conf->lat;//"37.4419";
			$lng = (float)$conf->lng;//" -122.1419";
			$zoom = (int)$conf->zoom;
			$hide = 0; 
		}
        
		if ($zoom == null)
			$zoom= 8;
		if ($hide == null)
			$hide=0;
		$map_width = $conf->map_width;//500;
		$map_height= $conf->map_height;//300;
		
        $return = '';
        ob_start();
		$document = JFactory::getDocument();
		$document->addStyleSheet(JURI::root()."images/com_adsmanager/plugins/openmap/css/leaflet.css");
		$document->addStyleSheet(JURI::root()."images/com_adsmanager/plugins/openmap/css/esri-leaflet-geocoder.css");
		$document->addScript(JURI::root()."images/com_adsmanager/plugins/openmap/js/leaflet.js");
		$document->addScript(JURI::root()."images/com_adsmanager/plugins/openmap/js/esri-leaflet.js");
		$document->addScript(JURI::root()."images/com_adsmanager/plugins/openmap/js/esri-leaflet-geocoder.js");
		
		$script = "
		jQuery(document).ready(function(){
			function getAddress(latLng) {

				var geocodeService = L.esri.Geocoding.geocodeService();

				geocodeService.reverse().latlng(latLng).run(function (error, result) {
					if (error) {
						return;
					}

					var matchAddress = result.address.Match_addr;
					var city = result.address.City;
					var address = result.address.Address;
					var zipcode = result.address.Postal;

					jQuery('#openmap_address".$fieldid."').val(matchAddress);
					jQuery('#openmap_lat".$fieldid."').val(latLng.lat);
					jQuery('#openmap_lng".$fieldid."').val(latLng.lng);
				});
			}

			var openmap = L.map('map_canvas".$fieldid."').setView([".$lat.", ".$lng."], ".$zoom.");
			
			var OpenStreetMap_Map = L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
					maxZoom: 19,
					attribution: '&copy; <a href=\"https://www.openstreetmap.org/copyright\">OpenStreetMap</a>'
			});
			
			OpenStreetMap_Map.addTo(openmap);
			
			var marker = L.marker([".$lat.", ".$lng."],
					{draggable: true}
			);
			
			marker.addTo(openmap);

			marker.on('dragend', function(e){
				var latlng = e.target.getLatLng();
				getAddress(latlng);
			});
			
			var searchControl = L.esri.Geocoding.geosearch().addTo(openmap);

			var results = L.layerGroup().addTo(openmap);

			searchControl.on('results', function (data) {
				results.clearLayers();
				for (var i = data.results.length - 1; i >= 0; i--) {
					var marker = L.marker(data.results[i].latlng,{draggable: true});
					marker.addTo(openmap);
					getAddress(data.results[i].latlng);
					marker.on('dragend', function(e){
						var latlng = e.target.getLatLng();
						getAddress(latlng);
					});
				}
			});
		});";

		JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
	?>
		<style>
		#<?php echo $field->name ?> img {
			max-width: none !important;
		}
		.openmap img {
			max-width: none !important;
		}
		</style>

		<?php
		$return .= ob_get_contents();
		ob_end_clean();
		$return .= '<div id="'.$field->name.'">';
		$return .= '<div class="fieldcontainer">';
       	$return .= '<div class="openmap_address_container"><input type="text" readonly class="form-control openmap_address" size="60" name="openmap_address'.$fieldid.'" id="openmap_address'.$fieldid.'" placeholder="'.JText::_('ADSMANAGER_GMAP_SEARCHFIELD').'" value="'.@htmlspecialchars($content->$faddress).'" /></div>';
		//$return .= '<input type="button" class="button btn openmap_address_btn" value="Go!" onClick="codeAddress'.$fieldid.'();" />';
		$return .= "</div>";
		if ($field->required == 0) {
			$return .= '<br/><input type="hidden" name="openmap_hide'.$fieldid.'" value="1"/>';
			if($hide == 0) {
				$return .= '<div class="form-check"><input class="form-check-input" type="checkbox" id="openmap_hide'.$fieldid.'" name="openmap_hide'.$fieldid.'" value="0" checked="checked"/><label class="form-check-label">'.JText::_('ADSMANAGER_GMAP_SHOW_MAP')."</label></div>";
			} else {
				$return .= '<div class="form-check"><input class="form-check-input" type="checkbox" id="openmap_hide'.$fieldid.'" name="openmap_hide'.$fieldid.'" value="0"/><label class="form-check-label">'.JText::_('ADSMANAGER_GMAP_SHOW_MAP')."</label></div>";
			}
		} else {
			$return .= '<br/><input type="hidden" name="openmap_hide'.$fieldid.'" value="0"/>';
		}
		$return .= '<div id="map_canvas'.$fieldid.'" style="width:100%;max-width: '.$map_width.'px; height: '.$map_height.'px"></div>';
		if ($newform == 1)
			$return .= '<input type="hidden" mosReq="'.$field->required.'" mosLabel="'.htmlspecialchars($field->title).'" mosElem="'.$field->name.'" id="openmap_lat'.$fieldid.'" name="openmap_lat'.$fieldid.'" value=""/>';
		else 
			$return .= '<input type="hidden" mosReq="'.$field->required.'" mosLabel="'.htmlspecialchars($field->title).'" mosElem="'.$field->name.'" id="openmap_lat'.$fieldid.'" name="openmap_lat'.$fieldid.'" value="'.json_encode($lat).'"/>';
		$return .= '<input type="hidden" id="openmap_lng'.$fieldid.'" name="openmap_lng'.$fieldid.'" value="'.json_encode($lng).'"/>';
		$return .= '<input type="hidden" id="openmap_zoom'.$fieldid.'" name="openmap_zoom'.$fieldid.'" value="'.$zoom.'"/>';
        $return .= '<input type="hidden" id="openmap_fieldid" value="'.$fieldid.'"/>';
		$return .= JText::_('ADSMANAGER_GMAP_DRAP_AND_DROP');
		$return .= '</div>';

		return $return; 
	}

	function onFormSave(&$content,$field)
	{
		$this->updateAdColumns($field->name);
		
		$lat = JFactory::getApplication()->input->getFloat("openmap_lat".$field->fieldid,0);
		$lng = JFactory::getApplication()->input->getFloat("openmap_lng".$field->fieldid,0);
		$zoom = JFactory::getApplication()->input->getFloat("openmap_zoom".$field->fieldid,0);
		$hide = JFactory::getApplication()->input->getInt("openmap_hide".$field->fieldid,0);
        	$address = JFactory::getApplication()->input->getString("openmap_address".$field->fieldid,'');
		if (!isset($content->data)) {
			$content->data = array();
			$content->data['fields'] = array();
		}
		$content->data['fields'][$field->name.'_lat'] = $lat;
		$content->data['fields'][$field->name.'_lng'] = $lng;
		$content->data['fields'][$field->name.'_zoom'] = $zoom;
		$content->data['fields'][$field->name.'_hide'] = $hide;
       		$content->data['fields'][$field->name.'_address'] = $address;
		return null;
	}
	
	function onDelete($directory,$contentid = -1)
	{
	}
	
	function getEditFieldJavaScriptDisable()
	{
		$return = "elem=getObject('divOpenMapOptions');";
       	$return .= "elem.style.visibility = 'hidden';";
		$return .= "elem.style.display = 'none';";
		$return .= "elem=getObject('openmap_width');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('openmap_height');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('openmap_list_width');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('openmap_list_height');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('openmap_lat');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('openmap_zoom');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('openmap_lng');";
		$return .= "elem.setAttribute('mosReq',0);";
		return $return;
	}
	
	function getEditFieldJavaScriptActive()
	{
       		$return = "disableAll();";
		$return .= "elem=getObject('divOpenMapOptions');";
		$return .= "elem.style.visibility = 'visible';";
		$return .= "elem.style.display = 'block';";
		$return .= "elem=getObject('openmap_width');";
		$return .= "elem.setAttribute('mosReq',1);";
		$return .= "elem=getObject('openmap_height');";
		$return .= "elem.setAttribute('mosReq',1);";
		$return .= "elem=getObject('openmap_list_width');";
		$return .= "elem.setAttribute('mosReq',1);";
		$return .= "elem=getObject('openmap_list_height');";
		$return .= "elem.setAttribute('mosReq',1);";
		$return .= "elem=getObject('openmap_lat');";
		$return .= "elem.setAttribute('mosReq',1);";
		$return .= "elem=getObject('openmap_zoom');";
		$return .= "elem.setAttribute('mosReq',1);";
		$return .= "elem=getObject('openmap_lng');";
		$return .= "elem.setAttribute('mosReq',1);";
		return $return; 
	}

	function getEditFieldOptions($fieldid)
	{
		$this->_db->setQuery("SELECT * FROM #__adsmanager_openmap_conf WHERE fieldid = '$fieldid'");
		$row = $this->_db->loadObject();
		
		$return = "<div id='divOpenMapOptions'>";
		$return .= "<table class='adminform'>";
		$return .= "<tr>";
		$return .= "<td width='20%'>Map Width (Ad Details)</td>";
		$return .= "<td width='20%' align=left><input type='text' id='openmap_width' name='openmap_width' mosReq=1 mosLabel='Map Width' class='inputbox' value='".@$row->map_width."' /></td>";
		$return .= "<td>&nbsp;</td>";
		$return .= "</tr>";
		$return .= "<tr>";
		$return .= "<td width='20%'>Map Height (Ad Details)</td>";
		$return .= "<td width='20%' align=left><input type='text' id='openmap_height' name='openmap_height' mosReq=1 mosLabel='Map Height' class='inputbox' value='".@$row->map_height."' /></td>";
		$return .= "<td>&nbsp;</td>";
		$return .= "</tr>";
		$return .= "<tr>";
		$return .= "<td width='20%'>Map Width (List)</td>";
		$return .= "<td width='20%' align=left><input type='text' id='openmap_list_width' name='openmap_list_width' mosReq=1 mosLabel='Map Width (List)' class='inputbox' value='".@$row->list_map_width."' /></td>";
		$return .= "<td>&nbsp;</td>";
		$return .= "</tr>";
		$return .= "<tr>";
		$return .= "<td width='20%'>Map Height (List)</td>";
		$return .= "<td width='20%' align=left><input type='text' id='openmap_list_height' name='openmap_list_height' mosReq=1 mosLabel='Map Height (List)' class='inputbox' value='".@$row->list_map_height."' /></td>";
		$return .= "<td>&nbsp;</td>";
		$return .= "</tr>";
		$return .= "<tr>";
		$return .= "<td width='20%'>Default Lat</td>";
		$return .= "<td width='20%' align=left><input type='text' id='openmap_lat' name='openmap_lat' mosReq=1 mosLabel='Default Lat' class='inputbox' value='".@$row->lat."' /></td>";
		$return .= "<td>&nbsp;</td>";
		$return .= "</tr>";
		$return .= "<tr>";
		$return .= "<td width='20%'>Default Lng</td>";
		$return .= "<td width='20%' align=left><input type='text' id='openmap_lng' name='openmap_lng' mosReq=1 mosLabel='Default Lng' class='inputbox' value='".@$row->lng."' /></td>";
		$return .= "<td>&nbsp;</td>";
		$return .= "</tr>";
		$return .= "<tr>";
		$return .= "<td width='20%'>Default Zoom</td>";
		$return .= "<td width='20%' align=left><input type='text' id='openmap_zoom' name='openmap_zoom' mosReq=1 mosLabel='Default Zoom' class='inputbox' value='".@$row->zoom."' /></td>";
		$return .= "<td>&nbsp;</td>";
		$return .= "</tr>";
		$return .= "</table>";
		$return .= "</div>";
		return $return;
	}
	
	function updateAdColumns($fieldname) {

		$query = "ALTER TABLE `#__adsmanager_ads` ADD `".$fieldname."_lat` FLOAT default NULL;";
		$this->_db->setQuery($query);
		try{
			$this->_db->execute();
		}catch(Exception $e){
		
		}
		
		$query = "ALTER TABLE `#__adsmanager_ads` ADD `".$fieldname."_lng` FLOAT default NULL;";
		$this->_db->setQuery($query);
		try{
			$this->_db->execute();
		}catch(Exception $e){
		
		}
		
		$query = "ALTER TABLE `#__adsmanager_ads` ADD `".$fieldname."_zoom` int(10) unsigned default 8;";
		$this->_db->setQuery($query);
		try{
			$this->_db->execute();
		}catch(Exception $e){
		
		}
		
		$query = "ALTER TABLE `#__adsmanager_ads` ADD `".$fieldname."_hide` int(1) unsigned default 0;";
		$this->_db->setQuery($query);
		try{
			$this->_db->execute();
		}catch(Exception $e){
		
		}
		
		$query = "ALTER TABLE `#__adsmanager_ads` ADD `".$fieldname."_address` TEXT NULL;";
		$this->_db->setQuery($query);
		try{
			$this->_db->execute();
		}catch(Exception $e){
		}
	}

	function saveFieldOptions($field)
	{
		$this->install();
		$openmap_width = JFactory::getApplication()->input->getInt("openmap_width",400);
		$openmap_height =JFactory::getApplication()->input->getInt("openmap_height",300);
		$openmap_list_width = JFactory::getApplication()->input->getInt("openmap_list_width",400);
		$openmap_list_height =JFactory::getApplication()->input->getInt("openmap_list_height",300);
		$openmap_lat = JFactory::getApplication()->input->getFloat("openmap_lat",20);
		$openmap_lng = JFactory::getApplication()->input->getFloat("openmap_lng",20);
		$openmap_zoom = JFactory::getApplication()->input->getFloat("openmap_zoom",8);
		
		$this->_db->setQuery("DELETE FROM #__adsmanager_openmap_conf WHERE fieldid = ".(int)$field->fieldid);
		$this->_db->execute();
		$this->_db->setQuery("INSERT INTO #__adsmanager_openmap_conf (fieldid,map_width,map_height,list_map_width,list_map_height,lat,lng,zoom) VALUES ($field->fieldid,$openmap_width,$openmap_height,$openmap_list_width,$openmap_list_height,$openmap_lat,$openmap_lng,$openmap_zoom)");
		$this->_db->execute();
		
		$query = "ALTER TABLE `#__adsmanager_ads` ADD `".$field->name."_lat` FLOAT default NULL;";
		$this->_db->setQuery($query);
        try{
            $this->_db->execute();
        }catch(Exception $e){
            
        }
		
		$query = "ALTER TABLE `#__adsmanager_ads` ADD `".$field->name."_lng` FLOAT default NULL;";
		$this->_db->setQuery($query);
        try{
            $this->_db->execute();
        }catch(Exception $e){
            
        }
		
		$query = "ALTER TABLE `#__adsmanager_ads` ADD `".$field->name."_zoom` int(10) unsigned default 8;";
		$this->_db->setQuery($query);
        try{
            $this->_db->execute();
        }catch(Exception $e){
            
        }
		
		$query = "ALTER TABLE `#__adsmanager_ads` ADD `".$field->name."_hide` int(1) unsigned default 0;";
		$this->_db->setQuery($query);
        try{
            $this->_db->execute();
        }catch(Exception $e){
            
        }
        
        $query = "ALTER TABLE `#__adsmanager_ads` ADD `".$field->name."_address` TEXT NULL;";
		$this->_db->setQuery($query);
        try{
            $this->_db->execute();
        }catch(Exception $e){
            
        }
		
		$query = "ALTER TABLE `#__adsmanager_profile` ADD `".$field->name."_lat` FLOAT default NULL;";
		$this->_db->setQuery($query);
        try{
            $this->_db->execute();
        }catch(Exception $e){
            
        }
		
		$query = "ALTER TABLE `#__adsmanager_profile` ADD `".$field->name."_lng` FLOAT default NULL;";
		$this->_db->setQuery($query);
        try{
            $this->_db->execute();
        }catch(Exception $e){
            
        }
		
		$query = "ALTER TABLE `#__adsmanager_profile` ADD `".$field->name."_zoom` int(10) unsigned default 9;";
		$this->_db->setQuery($query);
        try{
            $this->_db->execute();
        }catch(Exception $e){
            
        }
		
		$query = "ALTER TABLE `#__adsmanager_profile` ADD `".$field->name."_hide` int(1) unsigned default 0;";
		$this->_db->setQuery($query);
        try{
            $this->_db->execute();
        }catch(Exception $e){
            
        }
		
		return;
	}
	
	function getFieldName()
	{
		return "Openmap";
	}
	
	function install()
	{	
		$query = "CREATE TABLE IF NOT EXISTS `#__adsmanager_openmap_conf` ( ".
			  "`fieldid` int(10) unsigned NOT NULL, ".
			  "`map_width` int(10) unsigned default '500', ".
			  "`map_height` int(10) unsigned default '300', ".
		      "`list_map_width` int(10) unsigned default '200', ".
			  "`list_map_height` int(10) unsigned default '200', ".
			  "`lat` FLOAT default '37.4419', ".
			  "`lng` FLOAT default '-122.1419', ".
			  "`zoom` int(10) unsigned default 9, ".
			  "PRIMARY KEY  (`fieldid`) ".
			  "); ";
		$this->_db->setQuery($query);
		$this->_db->execute();
	}
	
	function uninstall()
	{	
		$query = "DROP TABLE `#__adsmanager_openmap_conf`";
		$this->_db->setQuery($query);
		$this->_db->execute();
	}
	
	function __construct()
	{
		$db	= JFactory::getDBO();
		$this->_db = $db;
	}
}
$plugins["openmap"] = new AdsManagerOpenmapPlugin();