<?php
/**
 * @package		PaidSystem
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");

// no direct access
defined('_JEXEC') or die('Restricted access');

class AdsManagerReportPlugin {

	var $_db;

	function needStorage() {
		return false;
	}

	function getListDisplay($content,$field)
	{
		return AdsManagerReportPlugin::getDetailsDisplay($content,$field);
	}

	function getDetailsDisplay($content,$field)
	{
		$fieldid = $field->fieldid;

		$fieldname = $field->name;
		$value = @$content->$fieldname;

		$return ="";

		ob_start();
		?>
		<a href="javascript:void(0);" class="adsmanagerreport-link btn btn-secondary" data-toggle="modal" data-target="#adsmanagerreport-modal"><?php echo JText::_('ADSMANAGER_REPORT_LINK'); ?></a>
		<!-- The Modal -->
		<div id="adsmanagerreport-modal" class="modal fade" tabindex="-1" role="dialog">
			<div class="modal-dialog" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
						<h4 class="modal-title"><?php echo JText::_('ADSMANAGER_REPORT_MODAL_TITLE'); ?></h4>
					</div>
					<div class="modal-body">
						<div class="report-form">
							<?php
								$user = JFactory::getUser();
								if($user->id == 0) {
									?>
									<div class="form-group">
										<label for="report_email"><?php echo JText::_('ADSMANAGER_REPORT_MODAL_EMAIL'); ?></label>
										<input type="email" name="report_email" class="form-control" id="report_email_<?php echo $content->id; ?>">
									</div>
									<p style="color: red;display: none;" id="adsmanagerreport-error-email_<?php echo $content->id; ?>"></p>
									<?php
								} else {
									?>
									<input type="hidden" name="report_email" id="report_email_<?php echo $content->id; ?>" value="none" />
									<?php
								}
							 ?>
							 <div class="form-group">
								<label for="report_email"><?php echo JText::_('ADSMANAGER_REPORT_MODAL_TEXT'); ?></label>
								<textarea name="report_text" id="report_text_<?php echo $content->id; ?>" class="form-control" rows="3"></textarea>
							 </div>
							 <p style="color: red;display: none;" id="adsmanagerreport-error-text_<?php echo $content->id; ?>"></p>
						</div>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-default" data-dismiss="modal"><?php echo JText::_('ADSMANAGER_REPORT_MODAL_CLOSE'); ?></button>
						<button type="button" id="report_submit_<?php echo $content->id; ?>" class="btn btn-primary"><?php echo JText::_('ADSMANAGER_REPORT_MODAL_SEND'); ?></button>
					</div>
				</div>
			</div>
		</div>
		<?php
			$script = "
			jQ(document).ready(function(){

				jQ('#report_submit_".$content->id."').on('click', function(){
					if(jQ(\"#report_email_".$content->id."\").val() == '') {
						jQ(\"#adsmanagerreport-error-email_".$content->id."\").html('".addslashes(JText::_('ADSMANAGER_VALIDATE_FIELD_REQUIRED'))."').show();
						return false;
					}

					if(jQ(\"#report_text_".$content->id."\").val() == '') {
						jQ(\"#adsmanagerreport-error-text_".$content->id."\").html('".addslashes(JText::_('ADSMANAGER_VALIDATE_FIELD_REQUIRED'))."').show();
						return false;
					}
					jQ.post('index.php?option=com_adsmanager&task=report',{email: jQ(\"#report_email_".$content->id."\").val(), content: jQ(\"#report_text_".$content->id."\").val(), contentid: ".$content->id."}, function(data){
						data = jQ.parseJSON(data);
						if(data.status == 'error') {
							jQ('.report-form').html('<p>'+data.message+'</p>');
							jQ('#report_submit_".$content->id."').hide();
						} else {
							jQ('.report-form').html('<p>".addslashes(JText::_('ADSMANAGER_REPORT_SUCCESS'))."</p>');
							jQ('#report_submit_".$content->id."').hide();
						}
					});
				});
			});";

			JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
		?>
		<?php
		$return = ob_get_clean();

		return $return;
	}

	function getFormDisplay($content,$field,$default=null)
	{
		return;
	}

	function onFormSave(&$content,$field)
	{
		return;
	}

	function onDelete($directory,$contentid = -1)
	{
	}

	function getEditFieldJavaScriptDisable()
	{
		$return = "";
		return $return;
	}

	function getEditFieldJavaScriptActive()
	{
        $return = "";
		return $return;
	}

	function getEditFieldOptions($fieldid)
	{
		$return = "";
		return $return;
	}

	function saveFieldOptions($field)
	{
		return;
	}

	function getFieldName()
	{
		return "Report";
	}

	function install()
	{
	}

	function uninstall()
	{
	}

	function __construct()
	{
		$db	= JFactory::getDBO();
		$this->_db = $db;
	}
}

$plugins["report"] = new AdsManagerReportPlugin();
?>
