<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die('Restricted access');

class AdsManagerVectormapPlugin {

	var $_db;

	public function getListDisplay($content,$field)
	{
		return AdsManagerMapPlugin::getDetailsDisplay($content,$field,$mode="list");
	}

	public function getDetailsDisplay($content,$field,$mode="details")
	{
		$fieldname = $field->name;
		$fieldid = $field->fieldid;
		$options = $field->options;

		$values = $content->$fieldname;

		if(isset($options->regionbackgroundcolor) && $options->regionbackgroundcolor != '') {
			$backgroundColor = $options->regionbackgroundcolor;
		} else {
			$backgroundColor = '#FFFFFF';
		}
		if(isset($options->regioncolor) && $options->regioncolor != '') {
			$regionColor = $options->regioncolor;
		} else {
			$regionColor = '#505050';
		}
		if(isset($options->regioncolorhover) && $options->regioncolorhover != '') {
			$regionColorHover = $options->regioncolorhover;
		} else {
			$regionColorHover = '#BBBBBB';
		}
		if(isset($options->regioncolorselected) && $options->regioncolorselected != '') {
			$regionColorSelected = $options->regioncolorselected;
		} else {
			$regionColorSelected = '#FFFF00';
		}

		$mapName = str_replace('jquery-jvectormap-','',$options->mapfield);
		$mapName = str_replace('.js','',$mapName);
		$mapName = str_replace('-','_',$mapName);

		
        if($field->display_title == 1) {
            ?>
            <b><?php echo $field->title; ?> :</b>
            <?php
        }

		if(isset($options->detailsdisplaytype) && $options->detailsdisplaytype == 'map') {
            ob_start();
			$document	= JFactory::getDocument();
			$document->addStyleSheet(JURI::root()."images/com_adsmanager/plugins/vectormap/jquery-jvectormap-2.0.3.css");
			$document->addScript(JURI::root()."images/com_adsmanager/plugins/vectormap/jquery-jvectormap-2.0.3.min.js?1");
			$document->addScript(JURI::root()."images/com_adsmanager/plugins/vectormap/vectormap/".$options->mapfield);
			$selectionFormats = array();
			if(!is_array($values)) {
				if($values != NULL && $values != '') {
					$origValues = $values;
					$values = json_decode($values);
					if($values == NULL) {
							$values = array();
							$values[0] = new stdClass();
							$values[0]->code = $origValues;
					}
				}
			}
			if($values != null && !empty($values)) {
				foreach($values as $selectedValue) {
					$selectionFormats[] = $selectedValue->code;
				}
			}

			$selectionFormats = json_encode($selectionFormats);
			?>
			<div id="juloa-details-vector-map<?php echo $field->name.'_'.$fieldid.'_'.$content->id; ?>" style="width: 100%; height: <?php echo $options->displayviewmapheight; ?>px;"></div>
			<?php
				$script = "
				jQ(document).ready(function(){
					jQ('#juloa-details-vector-map".$field->name.'_'.$fieldid.'_'.$content->id."').vectorMap({
						map: '".$mapName."',
						regionsSelectable: false,
						zoomButtons : false,
						zoomOnScroll : false,
						backgroundColor:  \"".$backgroundColor."\",
						regionStyle: {
										initial: {
											fill: '".$regionColor."',
											\"fill-opacity\": 1,
											stroke: 'none',
											\"stroke-width\": 0,
											\"stroke-opacity\": 1
										},
										hover: {
											\"fill-opacity\": 0.8,
											cursor: 'pointer',
											fill: '".$regionColorHover."'
										},
										selected: {
											fill: '".$regionColorSelected."'
										},
										selectedHover: {
										}
									},
						selectedRegions: ".$selectionFormats.",
					});
				});";

				JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
			?>
			<?php
		} else {
			ob_start();
				$document	= JFactory::getDocument();
				$document->addScript(JURI::root()."images/com_adsmanager/plugins/vectormap/jquery-jvectormap-2.0.3.min.js?1");
				$document->addScript(JURI::root()."images/com_adsmanager/plugins/vectormap/vectormap/".$options->mapfield);
				?>
				<span id="juloa-edit-vector-map<?php echo $field->name.'_'.$fieldid.'_'.$content->id; ?>_span"></span>
				<div id="juloa-edit-vector-map<?php echo $field->name.'_'.$fieldid.'_'.$content->id; ?>"></div>
				<?php
					$script = "
						jQ(document).ready(function(){
							jQ('#juloa-edit-vector-map".$field->name.'_'.$fieldid.'_'.$content->id."').vectorMap({
								map: '".$mapName."',
							});
							var juloaFieldMap = jQ('#juloa-edit-vector-map".$field->name.'_'.$fieldid.'_'.$content->id."').vectorMap('get', 'mapObject');

							jQ('#juloa-edit-vector-map".$field->name.'_'.$fieldid.'_'.$content->id."').hide();
							
							for (var key in juloaFieldMap.regions) {
								if(typeof juloaFieldMap.regions[key].element !== 'undefined') {
									if('".$values."' == juloaFieldMap.regions[key].element.config.code) {
										jQ('#juloa-edit-vector-map".$field->name.'_'.$fieldid.'_'.$content->id."_span').text(juloaFieldMap.regions[key].config.name);
									}
								}
							}
						});";

					JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
		}

        $content = ob_get_contents();
		ob_end_clean();
		return $content;
	}

	public function getValues() {
		$mapFolder = JPATH_ROOT.'/images/com_adsmanager/plugins/vectormap/vectormap/';

		$cdir = scandir($mapFolder);
		foreach ($cdir as $key => $value) {
			if (!in_array($value,array(".",".."))) {
				$maps[] = $value;
			}
		}

		return $maps;
	}

	public function getSqlFilter($fsearch, $value) {

		$values = json_decode($value);
		//$values = $value;

		if($values == null && $value != '') {
			//check if the value come from the module
			$values = $value;
		}
		
		if (is_int($value) || !is_array($values) && $values != '') {

			$return = " AND (a.$fsearch->name LIKE '%".$value."%')";

		} else if (is_array($values) && !empty($values)) {

			$return = " AND (";
			$i = 0;
			foreach($values as $value) {
				if($i == 0) {
					$prefix = '';
					$i++;
				} else {
					$prefix = ' OR ';
				}
				$return .= $prefix."a.$fsearch->name LIKE '%".$value->code."%'";
			}
			$return .= ")";
		} else {
			$return = '';
		}
		
		return $return;
	}

	public function getSearchFormDisplay($content,$field) {
		$document	= JFactory::getDocument();
		$document->addStyleSheet(JURI::root()."images/com_adsmanager/plugins/vectormap/jquery-jvectormap-2.0.3.css");
		$document->addScript(JURI::root()."images/com_adsmanager/plugins/vectormap/jquery-jvectormap-2.0.3.min.js?1");

		$fieldname = $field->name;
		$options = $field->options;
		$value = $options->mapfield;
		$input = JFactory::getApplication()->input;

        $app = JFactory::getApplication();

        $view = $app->input->getCmd('view', '');

		if(isset($options->regionbackgroundcolor) && $options->regionbackgroundcolor != '') {
			$backgroundColor = $options->regionbackgroundcolor;
		} else {
			$backgroundColor = '#FFFFFF';
		}
		if(isset($options->regioncolor) && $options->regioncolor != '') {
			$regionColor = $options->regioncolor;
		} else {
			$regionColor = '#505050';
		}
		if(isset($options->regioncolorhover) && $options->regioncolorhover != '') {
			$regionColorHover = $options->regioncolorhover;
		} else {
			$regionColorHover = '#BBBBBB';
		}
		if(isset($options->regioncolorselected) && $options->regioncolorselected != '') {
			$regionColorSelected = $options->regioncolorselected;
		} else {
			$regionColorSelected = '#FFFF00';
		}

		$selectedValues = null;

		if(isset($content->$fieldname)){
			$selectedValues = json_decode($content->$fieldname);
		}

		$selectionFormats = array();
		if($selectedValues != null) {
			foreach($selectedValues as $selectedValue) {
				$selectionFormats[] = $selectedValue->code;
			}
		}

		$selectionFormats = json_encode($selectionFormats);
		
		$valueSearched = '';
		if(isset($content->$fieldname)){
			$valueSearched = $content->$fieldname;
		}
		
		/*if($valueSearched != '') {
			$selectionFormats = json_encode($valueSearched);
		}*/
		
		$fieldid = $field->fieldid;

		$document->addScript(JURI::root()."images/com_adsmanager/plugins/vectormap/vectormap/".$value);
		$mapName = str_replace('jquery-jvectormap-','',$value);
		$mapName = str_replace('.js','',$mapName);
		$mapName = str_replace('-','_',$mapName);

		$fieldname = $field->name;

        if($view == 'search') {
            $displayType = $options->searchdisplaytype;

            if($displayType == 'map') {
		        ob_start();
		        ?>
			        <div id="juloa-search-vector-map<?php echo $field->name.'_'.$fieldid; ?>" style="width: 100%; height: <?php echo $options->searchviewmapheight; ?>px;"></div>
			        <input type="hidden" id="search-vectormap_<?php echo $field->name.'_'.$fieldid; ?>" name="<?php echo $field->name; ?>" value="<?php echo $selectionFormats; ?>" />
			        <?php
								$script = "
								jQ(document).ready(function(){
					        jQ('#juloa-search-vector-map".$field->name.'_'.$fieldid."').vectorMap({
						        map: '".$mapName."',
						        regionsSelectable: true,
						        zoomButtons : false,
						        zoomOnScroll : false,
						        backgroundColor:  \"".$backgroundColor."\",
						        regionStyle: {
										        initial: {
											        fill: '".$regionColor."',
											        \"fill-opacity\": 1,
											        stroke: 'none',
											        \"stroke-width\": 0,
											        \"stroke-opacity\": 1
										        },
										        hover: {
											        \"fill-opacity\": 0.8,
											        cursor: 'pointer',
											        fill: '".$regionColorHover."'
										        },
										        selected: {
											        fill: '".$regionColorSelected."'
										        },
										        selectedHover: {
										        }
									        },
						        selectedRegions: ".$selectionFormats.",
						        onRegionSelected: function(e,code,isSelected,selectedRegions) {
							        var juloaFieldMap = jQ('#juloa-search-vector-map".$field->name.'_'.$fieldid."').vectorMap('get', 'mapObject');
							        var region;
							        var selection = new Array();
							        selectedRegions.forEach(function(element){
								        region = {code:element,name:juloaFieldMap.getRegionName(element)};
								        selection.push(region);
							        });
							        jQ('#search-vectormap_".$field->name.'_'.$fieldid."').val(JSON.stringify(selection));
						        },
					        });
				        });";

								JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
							?>
		        <?php
            } else {
                ob_start();
                ?>
                <select class="form-select" id="search-vectormap_<?php echo $field->name.'_'.$fieldid; ?>_select" name="search-vectormap_<?php echo $field->name.'_'.$fieldid; ?>">
                    
                </select>
                <div id="juloa-search-vector-map<?php echo $field->name.'_'.$fieldid; ?>"></div>
            		<?php
									$script = "
									jQ(document).ready(function(){
										jQ('#juloa-search-vector-map".$field->name.'_'.$fieldid."').vectorMap({
												map: '".$mapName."',
										});
										var juloaFieldMap = jQ('#juloa-search-vector-map".$field->name.'_'.$fieldid."').vectorMap('get', 'mapObject');

										jQ('#juloa-search-vector-map".$field->name.'_'.$fieldid."').hide();

										var regions = jQ.map(juloaFieldMap.regions, function(value, index) {
												return [value];
										});
										regions.sort(function(a,b) {if(a.config.name < b.config.name) return -1;
																								 if(a.config.name > b.config.name) return 1;
																								 return 0;});

										for (var key in regions) {
											if(typeof regions[key].element !== 'undefined') {
												jQ('#search-vectormap_".$field->name.'_'.$fieldid."_select').append(jQ('<option>', {
													value: regions[key].element.config.code,
													text: regions[key].config.name
												}));
											}
										}
									});";

									JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
            }
        } else {
            $displayType = $options->searchmoduledisplaytype;

            if($displayType == 'map') {
		        ob_start();
		        ?>
			        <div id="juloa-search-vector-map<?php echo $field->name.'_'.$fieldid; ?>" style="width: 100%; height: <?php echo $options->searchviewmapheight; ?>px;"></div>
			        <input type="hidden" id="search-vectormap_<?php echo $field->name.'_'.$fieldid; ?>" name="<?php echo $field->name; ?>" value="<?php echo $selectionFormats; ?>" />
							<?php
								$script = "
								jQ(document).ready(function(){
					        jQ('#juloa-search-vector-map".$field->name.'_'.$fieldid."').vectorMap({
						        map: '".$mapName."',
						        regionsSelectable: true,
						        zoomButtons : false,
						        zoomOnScroll : false,
						        backgroundColor:  \"".$backgroundColor."\",
						        regionStyle: {
										        initial: {
											        fill: '".$regionColor."',
											        \"fill-opacity\": 1,
											        stroke: 'none',
											        \"stroke-width\": 0,
											        \"stroke-opacity\": 1
										        },
										        hover: {
											        \"fill-opacity\": 0.8,
											        cursor: 'pointer',
											        fill: '".$regionColorHover."'
										        },
										        selected: {
											        fill: '".$regionColorSelected."'
										        },
										        selectedHover: {
										        }
									        },
						        selectedRegions: ".$selectionFormats.",
						        onRegionSelected: function(e,code,isSelected,selectedRegions) {
							        var juloaFieldMap = jQ('#juloa-search-vector-map".$field->name.'_'.$fieldid."').vectorMap('get', 'mapObject');
							        var region;
							        var selection = new Array();
							        selectedRegions.forEach(function(element){
								        region = {code:element,name:juloaFieldMap.getRegionName(element)};
								        selection.push(region);
							        });
							        jQ('#search-vectormap_".$field->name.'_'.$fieldid."').val(JSON.stringify(selection));
						        },
					        });
				        });";

								JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
            } else {
                ob_start();
				
                ?>
                <select class="form-select"  id="search-vectormap_<?php echo $field->name.'_'.$fieldid; ?>_select" name="<?php echo $field->name; ?>">
                    <option value="">--</option>
                </select>
                <div id="juloa-search-vector-map<?php echo $field->name.'_'.$fieldid; ?>"></div>
                <?php
									$script = "
									jQ(document).ready(function(){
										jQ('#juloa-search-vector-map".$field->name.'_'.$fieldid."').vectorMap({
												map: '".$mapName."',
										});
										var juloaFieldMap = jQ('#juloa-search-vector-map".$field->name.'_'.$fieldid."').vectorMap('get', 'mapObject');
										jQ('#juloa-search-vector-map".$field->name.'_'.$fieldid."').hide();

										var regions = jQ.map(juloaFieldMap.regions, function(value, index) {
												return [value];
										});
										regions.sort(function(a,b) { if(a.config.name < b.config.name) return -1;
																								 if(a.config.name > b.config.name) return 1;
																								 return 0;});

										for (var key in regions) {
											if(typeof regions[key].element !== 'undefined') {
												jQ('#search-vectormap_".$field->name.'_'.$fieldid."_select').append(jQ('<option>', {
													value: regions[key].element.config.code,
													text: regions[key].config.name
												}));
				
												if('".$valueSearched."' == regions[key].element.config.code) {
													jQ('#search-vectormap_".$field->name.'_'.$fieldid."_select').val(regions[key].element.config.code);
												}
											}
										}
										jQ('#search-vectormap_".$field->name.'_'.$fieldid."_select').val('".$valueSearched."');
									});";

									JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
            }
        }
		$content = ob_get_contents();
		ob_end_clean();
		return $content;
	}

	public function getFormDisplay($content,$field,$default=null)
	{
		$document	= JFactory::getDocument();
		$document->addStyleSheet(JURI::root()."images/com_adsmanager/plugins/vectormap/jquery-jvectormap-2.0.3.css");
		$document->addScript(JURI::root()."images/com_adsmanager/plugins/vectormap/jquery-jvectormap-2.0.3.min.js?1");

		$fieldname = $field->name;
		$options = $field->options;
		//that var has a bad name
		$value = $options->mapfield;

		if(isset($options->regionbackgroundcolor) && $options->regionbackgroundcolor != '') {
			$backgroundColor = $options->regionbackgroundcolor;
		} else {
			$backgroundColor = '#FFFFFF';
		}
		if(isset($options->regioncolor) && $options->regioncolor != '') {
			$regionColor = $options->regioncolor;
		} else {
			$regionColor = '#505050';
		}
		if(isset($options->regioncolorhover) && $options->regioncolorhover != '') {
			$regionColorHover = $options->regioncolorhover;
		} else {
			$regionColorHover = '#BBBBBB';
		}
		if(isset($options->regioncolorselected) && $options->regioncolorselected != '') {
			$regionColorSelected = $options->regioncolorselected;
		} else {
			$regionColorSelected = '#FFFF00';
		}

        $displayType = $options->formdisplaytype;

		$selectedValues = null;

		if(isset($content->$fieldname)){
			$selectedValues = json_decode($content->$fieldname);
		}

		$selectionFormats = array();
		if($selectedValues != null) {
			foreach($selectedValues as $selectedValue) {
				$selectionFormats[] = $selectedValue->code;
			}
		}

		$values = '';
		if(isset($content->$fieldname)) {
    	$values = $content->$fieldname;
		}

		$selectionFormats = json_encode($selectionFormats);

		$fieldid = $field->fieldid;

		$document->addScript(JURI::root()."images/com_adsmanager/plugins/vectormap/vectormap/".$value);
		$mapName = str_replace('jquery-jvectormap-','',$value);
		$mapName = str_replace('.js','',$mapName);
		$mapName = str_replace('-','_',$mapName);
		$fieldname = $field->name;

        if($displayType == 'map') {
		    ob_start();
		    ?>
			    <div id="juloa-edit-vector-map<?php echo $field->name.'_'.$fieldid; ?>" style="width: 100%; height: <?php echo $options->editviewmapheight; ?>px;"></div>
			    <input type="hidden" id="edit-vectormap_<?php echo $field->name.'_'.$fieldid; ?>" name="vectormap_<?php echo $field->name.'_'.$fieldid; ?>" value="<?php echo $selectionFormats; ?>" />
			    <?php
						$script = "
						jQ(document).ready(function(){
					    jQ('#juloa-edit-vector-map".$field->name.'_'.$fieldid."').vectorMap({
						    map: '".$mapName."',
						    regionsSelectable: true,
						    zoomButtons : false,
						    zoomOnScroll : false,
						    backgroundColor:  \"".$backgroundColor."\",
						    regionStyle: {
										    initial: {
											    fill: '".$regionColor."',
											    \"fill-opacity\": 1,
											    stroke: 'none',
											    \"stroke-width\": 0,
											    \"stroke-opacity\": 1
										    },
										    hover: {
											    \"fill-opacity\": 0.8,
											    cursor: 'pointer',
											    fill: '".$regionColorHover."'
										    },
										    selected: {
											    fill: '".$regionColorSelected."'
										    },
										    selectedHover: {
										    }
									    },
						    selectedRegions: ".$selectionFormats.",
						    onRegionSelected: function(e,code,isSelected,selectedRegions) {
							    var juloaFieldMap = jQ('#juloa-edit-vector-map".$field->name.'_'.$fieldid."').vectorMap('get', 'mapObject');
							    var region;
							    var selection = new Array();
							    selectedRegions.forEach(function(element){
								    region = {code:element,name:juloaFieldMap.getRegionName(element)};
								    selection.push(region);
							    });
							    jQ('#edit-vectormap_".$field->name.'_'.$fieldid."').val(JSON.stringify(selection));
						    },
						    regionsSelectableOne: true,
					    });
				    });";

						JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
        } else {
            ob_start();
            ?>
            <select class="form-select" id="juloa-edit-vector-map<?php echo $field->name.'_'.$fieldid; ?>_select" name="vectormap_<?php echo $field->name.'_'.$fieldid; ?>">
                
            </select>
            <div id="juloa-edit-vector-map<?php echo $field->name.'_'.$fieldid; ?>"></div>
            <?php
							$script = "
							jQ(document).ready(function(){
								jQ('#juloa-edit-vector-map".$field->name.'_'.$fieldid."').vectorMap({
										map: '".$mapName."',
								});
								var juloaFieldMap = jQ('#juloa-edit-vector-map".$field->name.'_'.$fieldid."').vectorMap('get', 'mapObject');
								jQ('#juloa-edit-vector-map".$field->name.'_'.$fieldid."').hide();
								var regions = jQ.map(juloaFieldMap.regions, function(value, index) {
										return [value];
								});
								regions.sort(function(a,b) { if(a.config.name < b.config.name) return -1;
																								 if(a.config.name > b.config.name) return 1;
																								 return 0;});
								for (var key in regions) {
									if(typeof regions[key].element !== 'undefined') {
										jQ('#juloa-edit-vector-map".$field->name.'_'.$fieldid."_select').append(jQ('<option>', {
											value: regions[key].element.config.code,
											text: regions[key].config.name
										}));
			
										if('".$values."' == regions[key].element.config.code) {
											jQ('#juloa-edit-vector-map".$field->name.'_'.$fieldid."_select').val(regions[key].element.config.code);
										}
									}
								}
							});";

							JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
        }
		$content = ob_get_contents();
		ob_end_clean();
		return $content;
	}

	public function onFormSave($content,$field)
	{
		$input = JFactory::getApplication()->input;
		$value = $input->get('vectormap_'.$field->name.'_'.$field->fieldid,'','string');
		return $value;
	}

	public function onDelete($directory,$contentid = -1)
	{
	}

	public function getEditFieldJavaScriptDisable()
	{
		$return = "elem=getObject('divVectorMapOptions');";
        $return .= "elem.style.visibility = 'hidden';";
		$return .= "elem.style.display = 'none';";
		$return .= "elem=getObject('map_mapfield');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_regionbackgroundcolor');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_regioncolor');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_regioncolorhover');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_regioncolorselected');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_detailsdisplaytype');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_displayviewmapheight');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_searchviewmapheight');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_editviewmapheight');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_formdisplaytype');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_searchdisplaytype');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_searchmoduledisplaytype');";
		$return .= "elem.setAttribute('mosReq',0);";
		return $return;
	}

	public function getEditFieldJavaScriptActive()
	{
       	$return = "disableAll();";
		$return .= "elem=getObject('divVectorMapOptions');";
        $return .= "elem.style.visibility = 'visible';";
        $return .= "elem.style.display = 'block';";
		$return .= "elem=getObject('map_mapfield');";
		$return .= "elem.setAttribute('mosReq',1);";
		$return .= "elem=getObject('map_displayviewmapheight');";
		$return .= "elem.setAttribute('mosReq',1);";
		$return .= "elem=getObject('map_searchviewmapheight');";
		$return .= "elem.setAttribute('mosReq',1);";
		$return .= "elem=getObject('map_editviewmapheight');";
		$return .= "elem.setAttribute('mosReq',1);";
		$return .= "elem=getObject('map_regionbackgroundcolor');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_regioncolor');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_regioncolorhover');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_regioncolorselected');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_detailsdisplaytype');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_formdisplaytype');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_searchdisplaytype');";
		$return .= "elem.setAttribute('mosReq',0);";
		$return .= "elem=getObject('map_searchmoduledisplaytype');";
		$return .= "elem.setAttribute('mosReq',0);";
		return $return;
	}

	public function getEditFieldOptions($fieldid)
	{
		$this->install();
		$this->_db->setQuery("SELECT * FROM #__adsmanager_fields WHERE fieldid = '$fieldid'");
		$row = $this->_db->loadObject();
        if($row != null)
            $rowOptions = json_decode($row->options);

        $maps = $this->getValues();
		$mapsList = array();
        if (isset($maps))
		{
			foreach($maps as $map)
			{

				$mapsList[] = JHTML::_('select.option', $map, $map );
			}
		}
        $lists['mapsfields'] = JHTML::_('select.genericlist', $mapsList, 'map_mapfield', 'class="form-select" size="1"', 'value', 'text', @$rowOptions->mapfield );

		$formDisplayTypes = array();
		$formDisplayTypes[] = JHTML::_('select.option', 'map', 'Map' );
		$formDisplayTypes[] = JHTML::_('select.option', 'select', 'Select' );
		$lists['formdisplaytype'] = JHTML::_('select.genericlist', $formDisplayTypes, 'map_formdisplaytype', 'class="form-select" size="1"', 'value', 'text', @$rowOptions->formdisplaytype );

		$searchDisplayTypes = array();
		$searchDisplayTypes[] = JHTML::_('select.option', 'map', 'Map' );
		$searchDisplayTypes[] = JHTML::_('select.option', 'select', 'Select' );
		$lists['searchdisplaytype'] = JHTML::_('select.genericlist', $searchDisplayTypes, 'map_searchdisplaytype', 'class="form-select" size="1"', 'value', 'text', @$rowOptions->searchdisplaytype );

		$detailsDisplayTypes = array();
		$detailsDisplayTypes[] = JHTML::_('select.option', 'list', 'List' );
		$detailsDisplayTypes[] = JHTML::_('select.option', 'map', 'Map' );
		$lists['detailsdisplaytype'] = JHTML::_('select.genericlist', $detailsDisplayTypes, 'map_detailsdisplaytype', 'class="form-select" size="1"', 'value', 'text', @$rowOptions->detailsdisplaytype );

        $searchModuleDisplayTypes = array();
		$searchModuleDisplayTypes[] = JHTML::_('select.option', 'map', 'Map' );
		$searchModuleDisplayTypes[] = JHTML::_('select.option', 'select', 'Select' );
		$lists['searchmoduledisplaytype'] = JHTML::_('select.genericlist', $searchModuleDisplayTypes, 'map_searchmoduledisplaytype', 'class="form-select" size="1"', 'value', 'text', @$rowOptions->searchmoduledisplaytype );

		$return = "<div id='divVectorMapOptions' class='adminform custom'>";
		$return .= "<div class='mb-3 row'>";
		$return .= "<div class='col'>Map</div>";
		$return .= "<div class='col'>".$lists['mapsfields']."</div>";
		
		$return .= "</div>";
		$return .= "<div class='row'>";
		$return .= "<p class='aside-desc m-0'>
						You can download a map at <a href='http://jvectormap.com/maps/countries/france-regions/' target='_blank'>jvectormap.com</a>.<br />
						Select a country in the left column, then do a right click on the download link just below the map and click on 'Save link as...'<br />
						Then, upload the map on your server in images/com_adsmanager/plugins/vectormap/vectormap/. Do not rename the map !<br />
						Reload this page and the map will appear in the list.<br /><br />
					</p>";
		$return .= "</div>";
		$return .= "<div class='mb-3 row'>";
		$return .= "<div class='col'>Display view map height</div>";
		$return .= "<div class='col'><input type='text' id='map_displayviewmapheight' name='map_displayviewmapheight' class='form-control' value='".@$rowOptions->displayviewmapheight."' /></div>";
		$return .= "<div class='col'>in pixel</div>";
		$return .= "</div>";
		$return .= "<div class='mb-3 row'>";
		$return .= "<div class='col'>Search view map height</div>";
		$return .= "<div class='col'><input type='text' id='map_searchviewmapheight' name='map_searchviewmapheight' class='form-control' value='".@$rowOptions->searchviewmapheight."' /></div>";
		$return .= "<div class='col'>in pixel</div>";
		$return .= "</div>";
		$return .= "<div class='mb-3 row'>";
		$return .= "<div class='col'>Edit view map height</div>";
		$return .= "<div class='col'><input type='text' id='map_editviewmapheight' name='map_editviewmapheight' class='form-control' value='".@$rowOptions->editviewmapheight."' /></div>";
		$return .= "<div class='col'>in pixel</div>";
		$return .= "</div>";
		$return .= "<div class='mb-3 row'>";
		$return .= "<div class='col'>Map Regions Background Color</div>";
		$return .= "<div class='col'><input type='text' id='map_regionbackgroundcolor' name='map_regionbackgroundcolor' class='form-control' value='".@$rowOptions->regionbackgroundcolor."' /></div>";
		$return .= "<div class='col'>in hexadecimal</div>";
		$return .= "</div>";
		$return .= "<div class='mb-3 row'>";
		$return .= "<div class='col'>Map Regions Color</div>";
		$return .= "<div class='col'><input type='text' id='map_regioncolor' name='map_regioncolor' class='form-control' value='".@$rowOptions->regioncolor."' /></div>";
		$return .= "<div class='col'>in hexadecimal</div>";
		$return .= "</div>"; 
		$return .= "<div class='mb-3 row'>";
		$return .= "<div class='col'>Map Regions Color on hover</div>";
		$return .= "<div class='col'><input type='text' id='map_regioncolorhover' name='map_regioncolorhover' class='form-control' value='".@$rowOptions->regioncolorhover."' /></div>";
		$return .= "<div class='col'>in hexadecimal</div>";
		$return .= "</div>";
		$return .= "<div class='mb-3 row'>";
		$return .= "<div class='col'>Map Regions Color on selected</div>";
		$return .= "<div class='col'><input type='text' id='map_regioncolorselected' name='map_regioncolorselected' class='form-control' value='".@$rowOptions->regioncolorselected."' /></div>";
		$return .= "<div class='col'>in hexadecimal</div>";
		$return .= "</div>";
		$return .= "<div class='mb-3 row'>";
		$return .= "<div class='col'>Details display type</div>";
		$return .= "<div class='col'>".$lists['detailsdisplaytype']."</div>";
		
		$return .= "</div>";
		$return .= "<div class='mb-3 row'>";
		$return .= "<div class='col'>Write ad Form display type</div>";
		$return .= "<div class='col'>".$lists['formdisplaytype']."</div>";
		
		$return .= "</div>";
		$return .= "<div class='mb-3 row'>";
		$return .= "<div class='col'>Search display type</div>";
		$return .= "<div class='col'>".$lists['searchdisplaytype']."</div>";
		
		$return .= "</div>";
		$return .= "<div class='mb-3 row'>";
		$return .= "<div class='col'>Search Module display type</div>";
		$return .= "<div class='col'>".$lists['searchmoduledisplaytype']."</div>";
		
		$return .= "</div>";
		$return .= "</div>"; 
		return $return;
	}

	public function saveFieldOptions($field)
	{
		$mapfield = JFactory::getApplication()->input->get('map_mapfield','-1','string');
		$regionbackgroundcolor = JFactory::getApplication()->input->get('map_regionbackgroundcolor','','string');
		$regioncolor = JFactory::getApplication()->input->get('map_regioncolor','','string');
		$regioncolorhover = JFactory::getApplication()->input->get('map_regioncolorhover','','string');
		$regioncolorselected = JFactory::getApplication()->input->get('map_regioncolorselected','','string');
		$formdisplaytype = JFactory::getApplication()->input->get('map_formdisplaytype','map','string');
		$searchdisplaytype = JFactory::getApplication()->input->get('map_searchdisplaytype','map','string');
		$searchmoduledisplaytype = JFactory::getApplication()->input->get('map_searchmoduledisplaytype','map','string');
		$detailsdisplaytype = JFactory::getApplication()->input->get('map_detailsdisplaytype','list','string');
		$displayviewmapheight = JFactory::getApplication()->input->get('map_displayviewmapheight','400','integer');
		$searchviewmapheight = JFactory::getApplication()->input->get('map_searchviewmapheight','400','integer');
		$editviewmapheight = JFactory::getApplication()->input->get('map_editviewmapheight','400','integer');

        $options = array();
        $options['mapfield'] = $mapfield;
		$options['regionbackgroundcolor'] = $regionbackgroundcolor;
		$options['regioncolor'] = $regioncolor;
		$options['regioncolorhover'] = $regioncolorhover;
		$options['regioncolorselected'] = $regioncolorselected;
        $options['formdisplaytype'] = $formdisplaytype;
        $options['searchdisplaytype'] = $searchdisplaytype;
        $options['searchmoduledisplaytype'] = $searchmoduledisplaytype;
        $options['detailsdisplaytype'] = $detailsdisplaytype;
        $options['displayviewmapheight'] = $displayviewmapheight;
        $options['searchviewmapheight'] = $searchviewmapheight;
        $options['editviewmapheight'] = $editviewmapheight;

        return $options;
	}

	public function getFieldName()
	{
		return "Vectormap";
	}

	public function install()
	{
	}

	public function uninstall()
	{
	}

	public function __construct()
	{
		$db	= JFactory::getDBO();
		$this->_db = $db;
	}
}
require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");
$plugins["vectormap"] = new AdsManagerVectormapPlugin();
