<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * Content Component Controller
 *
 * @package		Joomla
 * @subpackage	Content
 * @since 1.5
 */
class AdsmanagerControllerContentform extends TController
{
	function init()
	{
		// Set the default view name from the Request
		$this->_view = $this->getView("admin",'html');

		// Push a model into the view
		$this->_model = $this->getModel( "position");
		try {
			$this->_view->setModel( $this->_model, true );
		} catch(Exception $e) {

		}
	}
	
	function display($cachable = false, $urlparams = false)
	{
		$this->init();
		
		$fieldmodel	  = $this->getModel("field");
		$this->_view->setModel( $fieldmodel );
		
		$this->_view->setLayout("contentform");
		$this->_view->display();
	}
	
	function save() 
	{
		$this->canAccess();
		$app = JFactory::getApplication();
		
		$model = $this->getModel("position");
		
		$model->cleanFieldsByPosition('edit');
		
		$positions = $model->getPositions('edit');
		$input = JFactory::getApplication()->input;
		foreach($positions as $key => $position) {
			$model->setPosition($position->id,
								$input->getString('title_position_'.$position->id),
								$input->getString('listfields_'.$position->id),
								"edit");
		}
		
		$app->enqueueMessage(\JText::_('ADSMANAGER_CONTENT_FORM_UPDATED'), 'message');
		$app->redirect( 'index.php?option=com_adsmanager&c=contentform', 200);
	}

	private function canAccess() {
		//check if the user can access the layout - content form
		$user = JFactory::getUser();
		if(!$user->authorise('adsmanager.accesslayoutcontentform','com_adsmanager')) {
			throw new Exception( JText::_('JERROR_ALERTNOAUTHOR'));
		}

		return true;
	}
}
