<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.controller');
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_adsmanager'.DS.'tables');


/**
 * Content Component Controller
 *
 * @package		Joomla
 * @subpackage	Content
 * @since 1.5
 */
class AdsmanagerControllerSearchmodule extends TController
{
	function __construct($config= array()) {
		parent::__construct($config);
	}
	
	function init()
	{
		// Set the default view name from the Request
		$this->_view = $this->getView("admin",'html');

		// Push a model into the view
		$this->_model = $this->getModel( "searchmodule");
		try {
			$this->_view->setModel( $this->_model, true );
		}catch(Exception $e) {

		}
		
		$fieldmodel = $this->getModel("field");
		$this->_view->setModel( $fieldmodel );
	}
	
	function display($cachable = false, $urlparams = false)
	{
		$this->init();
		$this->_view->setLayout("searchmodule");
		$this->_view->display();
	}
	
	function save()
	{
		$this->canAccess();
		$app = JFactory::getApplication();
		
		$conf = JTable::getInstance('searchmodule', 'AdsmanagerTable');
		// bind it to the table
		if (!$conf -> bind(JFactory::getApplication()->input->post->getArray())) {
			throw new Exception( $conf->getError() );
		}
		// store it in the db
		if (!$conf -> store()) {
			throw new Exception( $conf->getError() );
		}	
		
		cleanAdsManagerCache();
	
		$app->enqueueMessage(\JText::_('ADSMANAGER_SEARCH_MODULE_SAVED'), 'message');
		$app->redirect( 'index.php?option=com_adsmanager&c=searchmodule', 200);
	}

	private function canAccess() {
		//check if the user can access the search module
		$user = JFactory::getUser();
		if(!$user->authorise('adsmanager.accesssearchmodule','com_adsmanager')) {
			throw new Exception(JText::_('JERROR_ALERTNOAUTHOR'));
		}

		return true;
	}
}
