<?php

/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();

use Joomla\CMS\HTML\HTMLHelper;

JHtml::_('formbehavior.chosen', 'select');
$editor	= JEditor::getInstance();
?>
<?php
$script = '
	Joomla.submitbutton = function(pressbutton) {
		Joomla.submitform(pressbutton);
	}

	function removeGroupField(obj) {
		jQ(obj).parent().remove();
		return false;
	}';

JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
?>
<?php if (version_compare(JVERSION, '1.6.0', 'ge')) : ?>
	<?php

	$script = 'function addGroupField(container,name,groups,value) {' . "\n";
	$stream = '<div id="YYYY">' . "\n";
	$stream .= \Juloa\Adsmanager\Site\Helpers\JHTMLAdsmanagerUserGroups::getUserGroups('params_XXXX_groups[]', null);
	$stream .= '<input type="text" name="params_XXXX_value[]" value="" class="form-control" />
						<a href="" onclick="return removeGroupField(this);">' . JText::_('ADSMANAGER_DELETE') . '</a>
						</div>';
	$script .= 'html = ' . json_encode($stream) . ';' . "\n";
	$script .= '
		html = html.replace(/XXXX/g,name);
		random = "groupfield_"+Math.floor((Math.random() * 1000000) + 1); 
		html = html.replace(/YYYY/g,random);
		jQ(container).append(html);
		if (value != null) {
			jQ(\'#\'+random+\' input\').val(value);
		}
		if (groups != null) {
			jQ(\'#\'+random+\' select option[value=\'+groups+\']\').attr(\'selected\',\'selected\');
		}
	}';

	JFactory::getApplication()->getDocument()->addScriptDeclaration($script);

	?>
<?php endif; ?>
<form action="index.php" method="post" name="adminForm" id="adminForm" class="form-horizontal adsmanager-configuration">
	<?php
	echo HTMLHelper::_('uitab.startTabSet', 'config', ['active' => 'general-page', 'recall' => true, 'breakpoint' => 768]);
	echo HTMLHelper::_('uitab.addTab', 'config', 'general-page', JText::_('ADSMANAGER_TAB_GENERAL'));

	echo HTMLHelper::_('uitab.startTabSet', 'general-tab', ['active' => 'general-general-page', 'recall' => true, 'breakpoint' => 768]);
	echo HTMLHelper::_('uitab.addTab', 'general-tab', 'general-general-page', JText::_('ADSMANAGER_TAB_GENERAL_GENERAL'));

	if (version_compare(JVERSION, '2.5', '>=')) {
	?>
		<!-- TODO - Remove the code used by that setting -->
		<!-- ------------------------------------------General / ADSMANAGER_TAB_GENERAL_GENERAL------------------------------------------------------------- -->
		<input type="hidden" id='publication_date' name='params_publication_date' value="0" />
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="dlid-lbl" for="dlid" class="hasPopover " title="">
								<?php echo JText::_('CONFIG_DOWNLOADID_LABEL'); ?>
							</label>
						</div>
						<div class="controls">
							<input class="form-control" type="text" name="params_dlid" id="dlid" 
							value="<?php echo @htmlspecialchars($this->conf->dlid) ?>" >
							
							<span class="aside-desc"><?php echo JText::_('CONFIG_DOWNLOADID_DESC'); ?></span>
						</div>
					</div>
				<?php } ?>
				<div class="control-group">
					<div class="control-label">
						<label id="email_admin-lbl" for="email_admin" class="hasPopover" title="">
							<?php echo JText::_('ADSMANAGER_EMAIL_ADMIN'); ?>
						</label>
					</div>
					<div class="controls">
						<input class="form-control" type="text" name="params_email_admin" id="email_admin" 
						value="<?php echo @htmlspecialchars($this->conf->email_admin) ?>">
						
						<span class="aside-desc"></span>
					</div>
				</div>
				<div class="control-group">
					<div class="control-label">
						<label id="name_admin-lbl" for="name_admin" class="hasPopover" title="">
							<?php echo JText::_('ADSMANAGER_NAME_ADMIN'); ?>
						</label>
					</div>
					<div class="controls">
						<input class="form-control" type="text" name="params_name_admin" id="name_admin" 
						value="<?php echo @htmlspecialchars($this->conf->name_admin) ?>">
						
						<span class="aside-desc"></span>
					</div>
				</div>
				<div class="control-group">
					<div class="control-label">
						<label id="crontype-lbl" for="crontype" class="hasPopover" title="">
							<?php echo JText::_('ADSMANAGER_CRON_TYPE'); ?>
						</label>
					</div>
					<div class="controls">
						<select id='crontype' name='params_crontype' class='rounded form-select'>
							<option value='onrequest' <?php if (@$this->conf->crontype == 'onrequest') {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_CRONTYPE_ONREQUEST'); ?></option>
							<option value='cron' <?php if (@$this->conf->crontype == 'cron') {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_CRONTYPE_CRON'); ?></option>
							<option value='webcron' <?php if (@$this->conf->crontype == 'webcron') {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_CRONTYPE_WEBCRON'); ?></option>
						</select>
					
						<span class="aside-desc"><?php echo JText::_('ADSMANAGER_CRON_TYPE_LONG'); ?></span>
					</div>
				</div>
				<div class="control-group">
					<div class="control-label">
						<label id="globalfilter_fieldname-lbl" for="globalfilter_fieldname" class="hasPopover" title="">
							<?php echo JText::_('ADSMANAGER_GLOBAL_FILTER_FIELDNAME'); ?>
						</label>
					</div>
					<div class="controls">
						<input class="form-control" type="text" name="params_globalfilter_fieldname" id="globalfilter_fieldname" 
						value="<?php echo @htmlspecialchars($this->conf->globalfilter_fieldname); ?>">
					
						<span class="aside-desc"><?php echo JText::_('ADSMANAGER_GLOBAL_FILTER_FIELDNAME_LONG'); ?></span>
					</div>
				</div>
				</div>
			</div>
		</div>
		<?php
		echo HTMLHelper::_('uitab.endTab');
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_GENERAL_DISPLAY------------------------------------------------------------- -->

		echo HTMLHelper::_('uitab.addTab', 'general-tab', 'display-general-page', JText::_('ADSMANAGER_TAB_GENERAL_DISPLAY'));

		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group ">
						<div class="control-label">
							<label id="bootstrap_loading-lbl" for="bootstrap_loading" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_BOOTSTRAP_LOADING'); ?>
							</label>
						</div>
						<div class="controls ">
							<fieldset id="bootstrap_loading" class="btn-group btn-group-yesno radio mb-2">
								<div class="form-check">
									<input class="form-check-input" type="radio" id="bootstrap_loading0" name="params_bootstrap_loading" value="1" <?php if (@$this->conf->bootstrap_loading == 1) {
																																		echo 'checked="checked"';
																																	} ?> />
									<label class="form-check-label" for="bootstrap_loading0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
								</div>
								<div class="form-check">

									<input class="form-check-input" type="radio" id="bootstrap_loading1" name="params_bootstrap_loading" value="0" <?php if (@$this->conf->bootstrap_loading == 0) {
																																			echo 'checked="checked"';
																																		} ?> />
									<label class="form-check-label" for="bootstrap_loading1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
								</div>
							
							</fieldset>
						
							<span class="aside-desc ml-3"><?php echo JText::_('ADSMANAGER_BOOTSTRAP_LOADING_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="display_general_menu-lbl" for="display_general_menu" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISPLAY_GENERAL_MENU'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="display_general_menu" class="btn-group btn-group-yesno radio mb-2">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="display_general_menu0" name="display_general_menu" value="1" <?php if (@$this->conf->display_general_menu == 1) {
																																		echo 'checked="checked"';
																																	} ?> />
								<label class="form-check-label" for="display_general_menu0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="display_general_menu1" name="display_general_menu" value="0" <?php if (@$this->conf->display_general_menu == 0) {
																																			echo 'checked="checked"';
																																		} ?> />
								<label class="form-check-label" for="display_general_menu1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label ">
							<label id="display_inner_pathway-lbl" for="display_inner_pathway" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISPLAY_INNER_PATHWAY'); ?>
							</label>
						</div>
						<div class="controls ">
							<fieldset id="display_inner_pathway" class="btn-group btn-group-yesno radio mb-2">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="display_inner_pathway0" name="display_inner_pathway" value="1" <?php if (@$this->conf->display_inner_pathway == 1) {
																																		echo 'checked="checked"';
																																	} ?> />
								<label class="form-check-label" for="display_inner_pathway0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="display_inner_pathway1" name="display_inner_pathway" value="0" <?php if (@$this->conf->display_inner_pathway == 0) {
																																				echo 'checked="checked"';
																																			} ?> />
								<label class="form-check-label" for="display_inner_pathway1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							<span class="aside-desc"></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php
echo HTMLHelper::_('uitab.endTab');


		// <!-- ------------------------------------------General / ADSMANAGER_TAB_GENERAL_THIRDPARTY------------------------------------------------------------- -->
		echo HTMLHelper::_('uitab.addTab', 'general-tab', 'third_party-general-page', JText::_('ADSMANAGER_TAB_GENERAL_THIRDPARTY'));

		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="comprofiler-lbl" for="comprofiler" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_PROFILE_COMPONENT'); ?>
							</label>
						</div>
						<div class="controls">
							<select class="form-select" id='comprofiler' name='comprofiler'>
								<?php if (file_exists(JPATH_ADMINISTRATOR . "/components/com_community")) { ?>
									<option value='4' <?php if ($this->conf->comprofiler == 4) {
															echo "selected";
														} ?>><?php echo "Jomsocial - " . JText::_('ADSMANAGER_FULL'); ?></option>
									<option value='3' <?php if ($this->conf->comprofiler == 3) {
															echo "selected";
														} ?>><?php echo "Jomsocial - " . JText::_('ADSMANAGER_PROFILE'); ?></option>
								<?php } ?>
								<?php if (file_exists(JPATH_ADMINISTRATOR . "/components/com_comprofiler")) { ?>
									<option value='2' <?php if ($this->conf->comprofiler == 2) {
															echo "selected";
														} ?>><?php echo "Community Builder - " . JText::_('ADSMANAGER_FULL'); ?></option>
									<option value='1' <?php if ($this->conf->comprofiler == 1) {
															echo "selected";
														} ?>><?php echo "Community Builder - " . JText::_('ADSMANAGER_PROFILE'); ?></option>
								<?php } ?>
								<option value='0' <?php if ($this->conf->comprofiler == 0) {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_NO'); ?></option>
							</select>
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_COMMUNITY_BUILDER_LONG'); ?></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php
echo HTMLHelper::_('uitab.endTab');

		// <!-- ------------------------------------------General / ADSMANAGER_TAB_GENERAL_DISCLAIMER------------------------------------------------------------- -->
		echo HTMLHelper::_('uitab.addTab', 'general-tab', 'disclaimer-general-page', JText::_('ADSMANAGER_TAB_GENERAL_DISCLAIMER'));

		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="disclaimer_categories-lbl" for="disclaimer_categories" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISCLAIMER_CATEGORIES'); ?>
							</label>
						</div>
						<div class="controls mt-3">
							<select class="form-select" id='disclaimer_categories' name='params_disclaimer_categories[]' multiple='multiple' size='5'>
								<?php
								foreach ($this->listcats as $cat) {
									$selected = "";
									if(is_array($this->conf->disclaimer_categories) && @in_array($cat->id,$this->conf->disclaimer_categories)) { 
										$selected = "selected";
									}
									echo '<option value="' . $cat->id . '" ' . $selected . '>' . $cat->name . '</option>';
								}
								?>
							</select>
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group mt-4">
						<div class="control-label">
							<label id="disclaimer_message-lbl" for="disclaimer_message" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISCLAIMER_MESSAGE'); ?>
							</label>
						</div>
						<div class="controls">
							<input class="form-control" type="text" name="params_disclaimer_message" id="disclaimer_message" 
							value="<?php echo @$this->conf->disclaimer_message; ?>">
							<span class="aside-desc"></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php
echo HTMLHelper::_('uitab.endTab');

		// <!-- ------------------------------------------General / ADSMANAGER_TAB_GENERAL_FAVORITE------------------------------------------------------------- -->
		echo HTMLHelper::_('uitab.addTab', 'general-tab', 'favorite-general-page', JText::_('ADSMANAGER_TAB_GENERAL_FAVORITE'));

		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="favorite_enabled-lbl" for="favorite_enabled" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_FAVORITE_ENABLED'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="favorite_enabled" class="btn-group btn-group-yesno radio mb-2">
								<div class="form-check">
									<input class="form-check-input" type="radio" id="favorite_enabled0" name="params_favorite_enabled" value="1" <?php if (@$this->conf->favorite_enabled == 1) {
																																		echo 'checked="checked"';
																																	} ?> />
									<label class="form-check-label" for="favorite_enabled0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>															
								</div>

								<div class="form-check">
									<input class="form-check-input" type="radio" id="favorite_enabled1" name="params_favorite_enabled" value="0" <?php if (@$this->conf->favorite_enabled == 0) {
																																			echo 'checked="checked"';
																																		} ?> />
									<label class="form-check-label" for="favorite_enabled1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
								</div>
							</fieldset>
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="favorite_display-lbl" for="favorite_display" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_FAVORITE_DISPLAY'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<select class="form-select" id='favorite_display' name='params_favorite_display'>
								<option value='all' <?php if (@$this->conf->favorite_display == 'all') {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_FAVORITE_DISPLAY_ALL'); ?></option>
								<option value='details' <?php if (@$this->conf->favorite_display == 'details') {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_FAVORITE_DISPLAY_DETAILS'); ?></option>
								<option value='list' <?php if (@$this->conf->favorite_display == 'list') {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_FAVORITE_DISPLAY_LIST'); ?></option>
							</select>
							<span class="aside-desc"></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php
		echo HTMLHelper::_('uitab.endTab');
		echo HTMLHelper::_('uitab.endTabSet');

		echo HTMLHelper::_('uitab.endTab');

		// <!-- ------------------------------------------General / ADSMANAGER_TAB_FRONTPAGE-DISPLAY------------------------------------------------------------- -->
		echo HTMLHelper::_('uitab.addTab', 'config', 'frontpage-page', JText::_('ADSMANAGER_TAB_FRONTPAGE'));

		/*$subtabs	= new TPane();
		echo $subtabs->startPane('frontpage-tab');
		echo $subtabs->startPanel(JText::_('ADSMANAGER_TAB_FRONTPAGE_DISPLAY'), "display-frontpage-page");*/

		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="display_nb_categories_per_row-lbl" for="display_nb_categories_per_row" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISPLAY_NB_CATEGORIES_PER_ROW'); ?>
							</label>
						</div>
						<div class="controls">
							<select class="form-select" id='display_nb_categories_per_row' name='params_display_nb_categories_per_row'>
								<option value='1' <?php if (@$this->conf->display_nb_categories_per_row == 1) {
														echo "selected";
													} ?>>1</option>
								<option value='2' <?php if (@$this->conf->display_nb_categories_per_row == 2) {
														echo "selected";
													} ?>>2</option>
								<option value='3' <?php if (@$this->conf->display_nb_categories_per_row == 3) {
														echo "selected";
													} ?>>3</option>
								<option value='4' <?php if (@$this->conf->display_nb_categories_per_row == 4) {
														echo "selected";
													} ?>>4</option>
								<option value='6' <?php if (@$this->conf->display_nb_categories_per_row == 6) {
														echo "selected";
													} ?>>6</option>
							</select>
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="display_nb_ads_per_categories-lbl" for="display_nb_ads_per_categories" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISPLAY_NB_ADS_PER_CATEGORIES'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="display_nb_ads_per_categories" class="btn-group btn-group-yesno radio">
								<div class="form-check">
									<input class="form-check-input" type="radio" id="display_nb_ads_per_categories0" name="params_display_nb_ads_per_categories" value="1" <?php if (@$this->conf->display_nb_ads_per_categories == 1) {
																																									echo 'checked="checked"';
																																								} ?> />
									<label class="form-check-label" for="display_nb_ads_per_categories0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
								</div>
								<div class="form-check">
									<input class="form-check-input" type="radio" id="display_nb_ads_per_categories1" name="params_display_nb_ads_per_categories" value="0" <?php if (@$this->conf->display_nb_ads_per_categoriese_enabled == 0) {
																																										echo 'checked="checked"';
																																									} ?> />
									<label class="form-check-label" for="display_nb_ads_per_categories1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
								</div>
							</fieldset>
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="display_last-lbl" for="display_last" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_LAST_ADS'); ?>
							</label>
						</div>
						<div class="controls">
							<select class="form-select" id='display_last' name='display_last'>
								<option value='2' <?php if ($this->conf->display_last == 2) {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_LAST_BOTTOM'); ?></option>
								<option value='1' <?php if ($this->conf->display_last == 1) {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_LAST_TOP');  ?></option>
								<option value='0' <?php if ($this->conf->display_last == 0) {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_LAST_NONE'); ?></option>
							</select>
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="nb_last_cols-lbl" for="nb_last_cols" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_LAST_ADS_NB_COLS'); ?>
							</label>
						</div>
						<div class="controls">
							<input class="form-control" type="text" name="nb_last_cols" id="nb_last_cols" 
							value="<?php echo @$this->conf->nb_last_cols; ?>">
						
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_LAST_ADS_NB_COLS_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="nb_last_rows-lbl" for="nb_last_rows" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_LAST_ADS_NB_ROWS'); ?>
							</label>
						</div>
						<div class="controls">
							<input class="form-control" type="text" name="nb_last_rows" id="nb_last_rows" 
							value="<?php echo @$this->conf->nb_last_rows; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_LAST_ADS_NB_ROWS_LONG'); ?></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php

		/*echo $subtabs->endPanel();

		echo $subtabs->endPane();*/
		echo HTMLHelper::_('uitab.endTab');
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_ADS------------------------------------------------------------- -->
		echo HTMLHelper::_('uitab.addTab', 'config', 'ads-page', JText::_('ADSMANAGER_TAB_ADS'));

		echo HTMLHelper::_('uitab.startTabSet', 'ads-tab', ['active' => 'general-ads-page', 'recall' => true, 'breakpoint' => 768]);
		echo HTMLHelper::_('uitab.addTab', 'ads-tab', 'general-ads-page', JText::_('ADSMANAGER_TAB_ADS_GENERAL'));
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_ADS_GENERAL------------------------------------------------------------- -->


		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="preview_ads-lbl" for="preview_ads" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_PREVIEW_ADS'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="preview_ads" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="preview_ads0" name="params_preview_ads" value="1" <?php if (@$this->conf->preview_ads == 1) {
																															echo 'checked="checked"';
																														} ?> />
								<label class="form-check-label" for="preview_ads0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">	
								<input class="form-check-input" type="radio" id="preview_ads1" name="params_preview_ads" value="0" <?php if (@$this->conf->preview_ads == 0) {
																																echo 'checked="checked"';
																															} ?> />
								<label class="form-check-label" for="preview_ads1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_PREVIEW_ADS_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="submission_type-lbl" for="submission_type" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_SUBMISSION_TYPE'); ?>
							</label>
						</div>
						<div class="controls">
							<select class="form-select" id='submission_type' name='submission_type'>
								<option value='0' <?php if ($this->conf->submission_type == 0) {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_SUBMISION_WITH_ACCOUNT_CREATION'); ?></option>
								<option value='1' <?php if ($this->conf->submission_type == 1) {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_SUBMISSION_ALLOWED_ONLY_FOR_REGISTERS'); ?></option>
								<option value='2' <?php if ($this->conf->submission_type == 2) {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_SUBMISSION_ALLOWED_FOR_VISITORS'); ?></option>
							</select>
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="root_allowed-lbl" for="root_allowed" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_ROOT_SUBMIT'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="root_allowed" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="root_allowed0" name="root_allowed" value="1" <?php if (@$this->conf->root_allowed == 1) {
																														echo 'checked="checked"';
																													} ?> />
								<label class="form-check-label" for="root_allowed0"><?php echo JText::_('ADSMANAGER_ROOT_SUBMIT_ALLOWED'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="root_allowed1" name="root_allowed" value="0" <?php if (@$this->conf->root_allowed == 0) {
																															echo 'checked="checked"';
																														} ?> />
								<label class="form-check-label" for="root_allowed1"><?php echo JText::_('ADSMANAGER_ROOT_SUBMIT_NOT_ALLOWED'); ?></label>
							</div>
							</fieldset>
						
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_ROOT_SUBMIT_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="nbcats-lbl" for="nbcats" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_NBCATS'); ?>
							</label>
						</div>
						<div class="controls">
							<input class="form-control" type="text" name="nbcats" id="nbcats" value="<?php echo @$this->conf->nbcats; ?>">
					
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_NBCATS_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="nb_ads_by_user-lbl" for="nb_ads_by_user" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_NB_ADS_BY_USER'); ?>
							</label>
						</div>
						<div class="controls">
							<input class="form-control" type="text" name="nb_ads_by_user" id="nb_ads_by_user" value="<?php echo @$this->conf->nb_ads_by_user; ?>">
							<?php if (version_compare(JVERSION, '1.6.0', 'ge')) { ?>
								<input type="button" class="btn button btn-outline-primary ml-3 mb-3" onclick="addGroupField('#nb_ads_by_user_container','nb_ads_by_user')" value="<?php echo JText::_('ADSMANAGER_ADD_OTHER_SETTING') ?>" />
								<div id='nb_ads_by_user_container'></div>
								<script>
									<?php if (isset($this->conf->nb_ads_by_user_groups)) {
										foreach ($this->conf->nb_ads_by_user_groups as $key => $group) { ?>
											addGroupField('#nb_ads_by_user_container', 'nb_ads_by_user', <?= json_encode($group) ?>, <?= $this->conf->nb_ads_by_user_value[$key] ?>);
									<?php }
									} ?>
								</script>
							<?php } ?>
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_NB_ADS_BY_USER_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="metadata_mode-lbl" for="metadata_mode" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_METADATA'); ?>
							</label>
						</div>
						<div class="controls mt-2">
							<select class="form-select" id='metadata_mode' name='metadata_mode'>
								<option value='nometadata' <?php if ($this->conf->metadata_mode == 'nometadata') {
																echo "selected";
															} ?>><?php echo JText::_('ADSMANAGER_METADATA_NO_METADATA'); ?></option>
								<option value='frontendbackend' <?php if ($this->conf->metadata_mode == 'frontendbackend') {
																	echo "selected";
																} ?>><?php echo JText::_('ADSMANAGER_METADATA_FRONTEND_BACKEND'); ?></option>
								<option value='backendonly' <?php if ($this->conf->metadata_mode == 'backendonly') {
																echo "selected";
															} ?>><?php echo JText::_('ADSMANAGER_METADATA_BACKENDONLY'); ?></option>
								<option value='automatic' <?php if ($this->conf->metadata_mode == 'automatic') {
																echo "selected";
															} ?>><?php echo JText::_('ADSMANAGER_METADATA_AUTOMATIC'); ?></option>
							</select>
							<span class="aside-desc"></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php
echo HTMLHelper::_('uitab.endTab');
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_ADS_DISPLAY------------------------------------------------------------- -->
		echo HTMLHelper::_('uitab.addTab', 'ads-tab', 'display-ads-page', JText::_('ADSMANAGER_TAB_ADS_DISPLAY'));

		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="show_print-lbl" for="show_print" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_PRINT'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="show_print" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="show_print0" name="params_print" value="1" <?php if (@$this->conf->print == 1) {
																													echo 'checked="checked"';
																												} ?> />
								<label class="form-check-label" for="show_print0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="show_print1" name="params_print" value="0" <?php if (@$this->conf->print == 0) {
																															echo 'checked="checked"';
																														} ?> />
								<label class="form-check-label" for="show_print1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_PREVIEW_ADS_LONG'); ?></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php
echo HTMLHelper::_('uitab.endTab');
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_ADS_SUBMISSION FORM------------------------------------------------------------- -->
		echo HTMLHelper::_('uitab.addTab', 'ads-tab', 'submissionform-ads-page', JText::_('ADSMANAGER_TAB_ADS_SUBMISSIONFORM'));

		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="show_accept_rules-lbl" for="show_accept_rules" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_SHOW_ACCEPT_RULES'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="show_accept_rules" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="show_accept_rules0" name="params_show_accept_rules" value="1" <?php if (@$this->conf->show_accept_rules == 1) {
																																		echo 'checked="checked"';
																																	} ?> />
								<label class="form-check-label" for="show_accept_rules0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div>
							<div class="form-check">
								<input class="form-check-input" type="radio" id="show_accept_rules1" name="params_show_accept_rules" value="0" <?php if (@$this->conf->show_accept_rules == 0) {
																																			echo 'checked="checked"';
																																		} ?> />
								<label class="form-check-label" for="show_accept_rules1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_PREVIEW_ADS_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="redirect_after_save-lbl" for="redirect_after_save" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_REDIRECT_AFTER_SAVE'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<select class="form-select" id='redirect_after_save' name='params_redirect_after_save'>
								<option value='default' <?php if (@$this->conf->redirect_after_save == "default") {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_REDIRECT_DEFAULT'); ?></option>
								<option value='myads' <?php if (@$this->conf->redirect_after_save == "myads") {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_REDIRECT_MYADS'); ?></option>
								<option value='addetails' <?php if (@$this->conf->redirect_after_save == "addetails") {
																echo "selected";
															} ?>><?php echo JText::_('ADSMANAGER_REDIRECT_ADDETAILS'); ?></option>
								<option value='list' <?php if (@$this->conf->redirect_after_save == "list") {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_REDIRECT_LIST'); ?></option>
								<option value='custom_link' <?php if (@$this->conf->redirect_after_save == "custom_link") {
																echo "selected";
															} ?>><?php echo JText::_('ADSMANAGER_CUSTOM_LINK'); ?></option>
							</select>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_REDIRECT_AFTER_SAVE_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group" id="tr_redirect_custom_link">
						<div class="control-label">
							<label id="redirect_custom_link-lbl" for="redirect_custom_link" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_REDIRECT_CUSTOM_LINK'); ?>
							</label>
						</div>
						<div class="controls">
							<input type="text" class="form-control" name="params_redirect_custom_link" id="redirect_custom_link" 
							value="<?php echo @$this->conf->redirect_custom_link; ?>">
							<span class="aside-desc"></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!--<div class="control-group">
	 <div class="control-label">
		<label id="wizard_form-lbl" for="wizard_form" class="hasPopover" title="" >
			<?php echo JText::_('ADSMANAGER_EDIT_FORM_WIZARD'); ?>
		</label>
	 </div>
	 <div class="controls">
		<fieldset id="wizard_form" class="btn-group btn-group-yesno radio">
			<input type="radio" id="wizard_form0" name="params_wizard_form" value="1" <?php if (@$this->conf->wizard_form == 1) {
																							echo 'checked="checked"';
																						} ?> />
			<label for="wizard_form0" ><?php echo JText::_('ADSMANAGER_YES'); ?></label>
			<input type="radio" id="wizard_form1" name="params_wizard_form" value="0" <?php if (@$this->conf->wizard_form == 0) {
																							echo 'checked="checked"';
																						} ?> />
			<label for="wizard_form1" ><?php echo JText::_('ADSMANAGER_NO'); ?></label>
		</fieldset>
		<span class="aside-desc"><?php echo JText::_('ADSMANAGER_EDIT_FORM_WIZARD_LONG'); ?></span>
	 </div>
     </div>-->
		<input type="hidden" name="params_wizard_form" value="0" />

		<?php

		$script = '
		jQ(document).ready(function(){
			function displayTrRedirect(idSelect) {
					v = jQ(\'#\'+idSelect+\' option:selected\').val();
					if(v == \'custom_link\') {
							jQ(\'#tr_redirect_custom_link\').show();
					}else{
							jQ(\'#tr_redirect_custom_link\').hide();
					}
			}
			
			displayTrRedirect(\'redirect_after_save\');
			
			jQ(\'#redirect_after_save\').change(function(){
					displayTrRedirect(\'redirect_after_save\');
			});
      });';

		JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
		echo HTMLHelper::_('uitab.endTab');
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_ADS_USERPAGE------------------------------------------------------------- -->
		echo HTMLHelper::_('uitab.addTab', 'ads-tab', 'userpage-ads-page', JText::_('ADSMANAGER_TAB_ADS_USERPAGE'));

		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="globalfilter_user-lbl" for="globalfilter_user" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_GLOBAL_FILTER_USER_VIEW'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="globalfilter_user" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="globalfilter_user0" name="params_globalfilter_user" value="1" <?php if (@$this->conf->globalfilter_user == 1) {
																																		echo 'checked="checked"';
																																	} ?> />
								<label class="form-check-label" for="globalfilter_user0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="globalfilter_user1" name="params_globalfilter_user" value="0" <?php if (@$this->conf->globalfilter_user == 0) {
																																			echo 'checked="checked"';
																																		} ?> />
								<label class="form-check-label" for="globalfilter_user1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							
				
						</div>
						<p class="aside-desc"><?php echo JText::_('ADSMANAGER_GLOBAL_FILTER_USER_VIEW_LONG'); ?></p>
					</div>
				</div>
			</div>
		</div>
		<?php
echo HTMLHelper::_('uitab.endTab');
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_ADS_EXPIRATION------------------------------------------------------------- -->
		echo HTMLHelper::_('uitab.addTab', 'ads-tab', 'expiration-ads-page', JText::_('ADSMANAGER_TAB_ADS_EXPIRATION'));

		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="expiration-lbl" for="expiration" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_EXPIRATION'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="expiration" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="expiration0" name="expiration" value="1" <?php if (@$this->conf->expiration == 1) {
																													echo 'checked="checked"';
																												} ?> />
								<label class="form-check-label" for="expiration0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="expiration1" name="expiration" value="0" <?php if (@$this->conf->expiration == 0) {
																														echo 'checked="checked"';
																													} ?> />
								<label class="form-check-label" for="expiration1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="ad_duration-lbl" for="ad_duration" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_AD_DURATION'); ?>
							</label>
						</div>
						<div class="controls">
							<input class="form-control" type="text" name="ad_duration" id="ad_duration" 
							value="<?php echo @$this->conf->ad_duration; ?>">
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="recall-lbl" for="recall" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_RECALL'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="recall" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="recall0" name="recall" value="1" <?php if (@$this->conf->recall == 1) {
																											echo 'checked="checked"';
																										} ?> />
								<label class="form-check-label" for="recall0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="recall1" name="recall" value="0" <?php if (@$this->conf->recall == 0) {
																												echo 'checked="checked"';
																											} ?> />
								<label class="form-check-label" for="recall1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="recall_time-lbl" for="recall_time" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_RECALL_TIME'); ?>
							</label>
						</div>
						<div class="controls">
							<input class="form-control" type="text" name="recall_time" id="recall_time" 
							value="<?php echo @$this->conf->recall_time; ?>">
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="after_expiration-lbl" for="after_expiration" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_AFTER_EXPIRATION'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<select class="form-select" id='after_expiration' name='after_expiration'>
								<option value='delete' <?php if ($this->conf->after_expiration == 'delete') {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_DELETE'); ?></option>
								<option value='unpublish' <?php if ($this->conf->after_expiration == 'unpublish') {
																echo "selected";
															} ?>><?php echo JText::_('ADSMANAGER_UNPUBLISH'); ?></option>
								<option value='archive' <?php if ($this->conf->after_expiration == 'archive') {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_ARCHIVE'); ?></option>
							</select>
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="archive_catid-lbl" for="archive_catid" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_ARCHIVE_CATEGORY'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<select class="form-select" id='archive_catid' name='archive_catid'>
								<?php $this->selectCategories(0, "Root >> ", $this->cats, $this->conf->archive_catid, 0); ?>
							</select>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_ARCHIVE_CATEGORY_LONG'); ?></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php
echo HTMLHelper::_('uitab.endTab');
echo HTMLHelper::_('uitab.endTabSet');
		echo HTMLHelper::_('uitab.endTab');
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_CATEGORIES------------------------------------------------------------- -->
		echo HTMLHelper::_('uitab.addTab', 'config', 'categories-page', JText::_('ADSMANAGER_TAB_CATEGORIES'));

		echo HTMLHelper::_('uitab.startTabSet', 'categories-tab', ['active' => 'general-categories-page', 'recall' => true, 'breakpoint' => 768]);
		echo HTMLHelper::_('uitab.addTab', 'categories-tab', 'general-categories-page', JText::_('ADSMANAGER_TAB_CATEGORIES_GENERAL'));
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_CATEGORIES_GENERAL------------------------------------------------------------- -->

		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="single_category_selection_type-lbl" for="single_category_selection_type" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_SINGLE_CATEGORY_SELECTION_TYPE'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<select class="form-select" id='single_category_selection_type' name='params_single_category_selection_type'>
								<option value='normal' <?php if (@$this->conf->single_category_selection_type == 'normal') {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_SINGLE_CATEGORY_SELECTION_TYPE_NORMAL'); ?></option>
								<option value='color' <?php if (@$this->conf->single_category_selection_type == 'color') {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_SINGLE_CATEGORY_SELECTION_TYPE_COLOR'); ?></option>
								<option value='combobox' <?php if (@$this->conf->single_category_selection_type == 'combobox') {
																echo "selected";
															} ?>><?php echo JText::_('ADSMANAGER_SINGLE_CATEGORY_SELECTION_TYPE_AUTOCOMPLETE'); ?></option>
								<option value='cascade' <?php if (@$this->conf->single_category_selection_type == 'cascade') {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_SINGLE_CATEGORY_SELECTION_TYPE_CASCADE'); ?></option>
							</select>
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="single_category_display_label-lbl" for="single_category_display_label" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_SINGLE_CATEGORY_DISPLAY_LABEL'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="single_category_display_label" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="single_category_display_label0" name="params_single_category_display_label" value="1" <?php if (@$this->conf->recall == 1) {
																																								echo 'checked="checked"';
																																							} ?> />
								<label class="form-check-label" for="single_category_display_label0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="single_category_display_label1" name="params_single_category_display_label" value="0" <?php if (@$this->conf->recall == 0) {
																																									echo 'checked="checked"';
																																								} ?> />
								<label class="form-check-label" for="single_category_display_label1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							<span class="aside-desc"></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php
echo HTMLHelper::_('uitab.endTab');
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_CATEGORIES_DISPLAY------------------------------------------------------------- -->
		echo HTMLHelper::_('uitab.addTab', 'categories-tab', 'display-categories-page', JText::_('ADSMANAGER_TAB_CATEGORIES_DISPLAY'));

		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="show_rss-lbl" for="show_rss" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_SHOW_RSS'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="single_category_display_label" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="show_rss0" name="show_rss" value="1" <?php if (@$this->conf->show_rss == 1) {
																												echo 'checked="checked"';
																											} ?> />
								<label class="form-check-label" for="show_rss0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
																										</div><div class="form-check">
								<input class="form-check-input" type="radio" id="show_rss1" name="show_rss" value="0" <?php if (@$this->conf->show_rss == 0) {
																													echo 'checked="checked"';
																												} ?> />
								<label class="form-check-label" for="show_rss1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
																											</div>
							</fieldset>
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_SHOW_RSS_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="ads_per_page-lbl" for="ads_per_page" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_ADS_PER_PAGE'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="ads_per_page" id="ads_per_page" 
							value="<?php echo @$this->conf->ads_per_page; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_ADS_PER_PAGE_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="category_level_homepage-lbl" for="category_level_homepage" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_CATEGORY_LEVEL_HOMEPAGE'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="params_category_level_homepage" id="category_level_homepage" 
							value="<?php echo @$this->conf->category_level_homepage; ?>" />
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_CATEGORY_LEVEL_HOMEPAGE_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="display_map_list-lbl" for="display_map_list" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISPLAY_MAP_LIST'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="display_map_list" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="display_map_list0" name="params_display_map_list" value="1" <?php if (@$this->conf->display_map_list == 1) {
																																		echo 'checked="checked"';
																																	} ?> />
								<label class="form-check-label" for="display_map_list0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="display_map_list1" name="params_display_map_list" value="0" <?php if (@$this->conf->display_map_list == 0) {
																																			echo 'checked="checked"';
																																		} ?> />
								<label class="form-check-label" for="display_map_list1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_DISPLAY_MAP_LIST_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="display_map_name_module-lbl" for="display_map_name_module" class="hasPopover" title="">
								<?php echo strtolower(JText::_('ADSMANAGER_DISPLAY_MAP_NAME_MODULE')); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="params_display_map_name_module" id="display_map_name_module" 
							value="<?php echo @$this->conf->display_map_name_module; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_DISPLAY_MAP_NAME_LIST_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="display_expand-lbl" for="display_expand" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISPLAY_MODE'); ?>
							</label>
						</div>
						<div class="controls">
							<select class="form-select" id='display_expand' name='display_expand'>
								<option value='2' <?php if ($this->conf->display_expand == 2) {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_SHORT_EXPAND_AND_GRID_MODE'); ?></option>
								<option value='3' <?php if ($this->conf->display_expand == 3) {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_GRID_MODE'); ?></option>
								<option value='1' <?php if ($this->conf->display_expand == 1) {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_EXPAND_MODE'); ?></option>
								<option value='0' <?php if ($this->conf->display_expand == 0) {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_SHORT_MODE'); ?></option>
							</select>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_DISPLAY_MODE_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="display_column_date_date-lbl" for="display_column_date_date" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISPLAY_COLUMN_DATE_DATE'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="display_column_date_date" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="display_column_date_date0" name="params_display_column_date_date" value="1" <?php if (@$this->conf->display_column_date_date == 1) {
																																						echo 'checked="checked"';
																																					} ?> />
								<label class="form-check-label" for="display_column_date_date0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="display_column_date_date1" name="params_display_column_date_date" value="0" <?php if (@$this->conf->display_column_date_date == 0) {
																																							echo 'checked="checked"';
																																						} ?> />
								<label class="form-check-label" for="display_column_date_date1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_DISPLAY_COLUMN_DATE_DATE_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="display_column_date_user-lbl" for="display_column_date_user" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISPLAY_COLUMN_DATE_USER'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="display_column_date_user" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="display_column_date_user0" name="params_display_column_date_user" value="1" <?php if (@$this->conf->display_column_date_user == 1) {
																																						echo 'checked="checked"';
																																					} ?> />
								<label class="form-check-label" for="display_column_date_user0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="display_column_date_user1" name="params_display_column_date_user" value="0" <?php if (@$this->conf->display_column_date_user == 0) {
																																							echo 'checked="checked"';
																																						} ?> />
								<label class="form-check-label" for="display_column_date_user1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_DISPLAY_COLUMN_DATE_USER_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="display_column_date_view-lbl" for="display_column_date_view" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISPLAY_COLUMN_DATE_VIEW'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="display_column_date_view" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="display_column_date_view0" name="params_display_column_date_view" value="1" <?php if (@$this->conf->display_column_date_view == 1) {
																																						echo 'checked="checked"';
																																					} ?> />
								<label class="form-check-label" for="display_column_date_view0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="display_column_date_view1" name="params_display_column_date_view" value="0" <?php if (@$this->conf->display_column_date_view == 0) {
																																							echo 'checked="checked"';
																																						} ?> />
								<label class="form-check-label" for="display_column_date_view1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_DISPLAY_COLUMN_DATE_VIEW_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="display_column_date-lbl" for="display_column_date" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISPLAY_COLUMN_DATE'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="display_column_date" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="display_column_date0" name="params_display_column_date" value="1" <?php if (@$this->conf->display_column_date == 1) {
																																			echo 'checked="checked"';
																																		} ?> />
								<label class="form-check-label" for="display_column_date0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="display_column_date1" name="params_display_column_date" value="0" <?php if (@$this->conf->display_column_date == 0) {
																																				echo 'checked="checked"';
																																			} ?> />
								<label class="form-check-label" for="display_column_date1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_DISPLAY_COLUMN_DATE_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="display_list_sort-lbl" for="display_list_sort" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISPLAY_LIST_SORT'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="display_list_sort" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="display_list_sort0" name="display_list_sort" value="1" <?php if (@$this->conf->display_list_sort == 1) {
																																echo 'checked="checked"';
																															} ?> />
								<label class="form-check-label" for="display_list_sort0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="display_list_sort1" name="display_list_sort" value="0" <?php if (@$this->conf->display_list_sort == 0) {
																																		echo 'checked="checked"';
																																	} ?> />
								<label class="form-check-label" for="display_list_sort1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="display_list_search-lbl" for="display_list_search" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISPLAY_LIST_SEARCH'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="display_list_search" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="display_list_search0" name="display_list_search" value="1" <?php if (@$this->conf->display_list_search == 1) {
																																	echo 'checked="checked"';
																																} ?> />
								<label class="form-check-label" for="display_list_search0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div>
							<div class="form-check">
								<input class="form-check-input" type="radio" id="display_list_search1" name="display_list_search" value="0" <?php if (@$this->conf->display_list_search == 0) {
																																			echo 'checked="checked"';
																																		} ?> />
								<label class="form-check-label" for="display_list_search1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="show_new-lbl" for="show_new" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_SHOW_NEW'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="show_new" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="show_new0" name="show_new" value="1" <?php if (@$this->conf->show_new == 1) {
																												echo 'checked="checked"';
																											} ?> />
								<label class="form-check-label" for="show_new0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="show_new1" name="show_new" value="0" <?php if (@$this->conf->show_new == 0) {
																													echo 'checked="checked"';
																												} ?> />
								<label class="form-check-label" for="show_new1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_SHOW_NEW_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="nbdays_new-lbl" for="nbdays_new" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_NBDAYS_NEW'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="nbdays_new" id="nbdays_new" 
							value="<?php echo @$this->conf->nbdays_new; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_NBDAYS_NEW_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="show_hot-lbl" for="show_hot" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_SHOW_HOT'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="show_hot" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="show_hot0" name="show_hot" value="1" <?php if (@$this->conf->show_hot == 1) {
																												echo 'checked="checked"';
																											} ?> />
								<label class="form-check-label" for="show_hot0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="show_hot1" name="show_hot" value="0" <?php if (@$this->conf->show_hot == 0) {
																													echo 'checked="checked"';
																												} ?> />
								<label class="form-check-label" for="show_hot1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_SHOW_HOT_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="nbhits-lbl" for="nbhits" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_NBHITS'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="nbhits" id="nbhits" 
							value="<?php echo @$this->conf->nbhits; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_NBHITS_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="display_category_list_label-lbl" for="display_category_list_label" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISPLAY_CATEGORY_LIST_LABEL'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="display_category_list_label" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="display_category_list_label0" name="params_display_category_list_label" value="1" <?php if (@$this->conf->display_category_list_label == 1) {
																																							echo 'checked="checked"';
																																						} ?> />
								<label class="form-check-label" for="display_category_list_label0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="display_category_list_label1" name="params_display_category_list_label" value="0" <?php if (@$this->conf->display_category_list_label == 0) {
																																								echo 'checked="checked"';
																																							} ?> />
								<label class="form-check-label" for="display_category_list_label1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_DISPLAY_CATEGORY_LIST_LABEL_LONG'); ?></span>
						</div>
					</div>
				</div>
			</div>
		</div>


		<?php
echo HTMLHelper::_('uitab.endTab');
echo HTMLHelper::_('uitab.endTabSet');

		echo HTMLHelper::_('uitab.endTab');
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_CONTACT------------------------------------------------------------- -->
		echo HTMLHelper::_('uitab.addTab', 'config', 'contact-page', JText::_('ADSMANAGER_TAB_CONTACT'));
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_CONTACT_GENERAL------------------------------------------------------------- -->

		/*$subtabs	= new TPane();
		echo $subtabs->startPane('contact-tab');
		echo $subtabs->startPanel(JText::_('ADSMANAGER_TAB_CONTACT_GENERAL'), "general-contact-page");*/

		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<?php if (version_compare(JVERSION, '1.6.0', 'ge')) : ?>

						<div class="control-group">
							<div class="control-label">
								<label id="show_contact-lbl" for="show_contact" class="hasPopover" title="">
									<?php echo JText::_('ADSMANAGER_SHOW_CONTACT'); ?>
								</label>
							</div>
							<div class="controls">
								<?php
								echo \Juloa\Adsmanager\Site\Helpers\JHTMLAdsmanagerUserGroups::getUserGroups('show_contact[]', empty($this->conf->show_contact) ? '-1' : explode(',', $this->conf->show_contact), array('multiple' => 'multiple', 'size' => 10));
								?>
								
								<span class="aside-desc"><?php echo JText::_('ADSMANAGER_SHOW_CONTACT_LONG'); ?></span>
							</div>
						</div>
					<?php endif; ?>
					<div class="control-group">
						<div class="control-label">
							<label id="display_fullname-lbl" for="display_fullname" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISPLAY_FULLNAME'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="display_fullname" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="display_fullname0" name="display_fullname" value="1" <?php if (@$this->conf->display_fullname == 1) {
																																echo 'checked="checked"';
																															} ?> />
								<label class="form-check-label" for="display_fullname0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="display_fullname1" name="display_fullname" value="0" <?php if (@$this->conf->display_fullname == 0) {
																																	echo 'checked="checked"';
																																} ?> />
								<label class="form-check-label" for="display_fullname1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_DISPLAY_FULLNAME_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="allow_attachement-lbl" for="allow_attachement" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_ALLOW_ATTACHMENT'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="allow_attachement" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="allow_attachement0" name="allow_attachement" value="1" <?php if (@$this->conf->allow_attachement == 1) {
																																echo 'checked="checked"';
																															} ?> />
								<label class="form-check-label" for="allow_attachement0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
							<input class="form-check-input" type="radio" id="allow_attachement1" name="allow_attachement" value="0" <?php if (@$this->conf->allow_attachement == 0) {
																																		echo 'checked="checked"';
																																	} ?> />
								<label class="form-check-label" for="allow_attachement1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_ALLOW_ATTACHMENT_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="number_allow_attachement-lbl" for="number_allow_attachement" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_NUMBER_ALLOW_ATTACHEMENT'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="params_number_allow_attachement" id="number_allow_attachement" 
							value="<?php echo @$this->conf->number_allow_attachement; ?>">
							
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="allow_contact_by_pms-lbl" for="allow_contact_by_pms" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_CONTACT_BY_PMS'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="allow_contact_by_pms" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="allow_contact_by_pms0" name="allow_contact_by_pms" value="1" <?php if (@$this->conf->allow_contact_by_pms == 1) {
																																		echo 'checked="checked"';
																																	} ?> />
								<label class="form-check-label" for="allow_contact_by_pms0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div>
							<div class="form-check">
								<input class="form-check-input" type="radio" id="allow_contact_by_pms1" name="allow_contact_by_pms" value="0" <?php if (@$this->conf->allow_contact_by_pms == 0) {
																																			echo 'checked="checked"';
																																		} ?> />
								<label class="form-check-label" for="allow_contact_by_pms1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_CONTACT_BY_PMS_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="email_display-lbl" for="email_display" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_EMAIL_DISPLAY'); ?>
							</label>
						</div>
						<div class="controls mt-2">
							<select class="form-select" id='email_display' name='email_display'>
								<option value='2' <?php if ($this->conf->email_display == 2) {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_EMAIL_DISPLAY_FORM'); ?></option>
								<option value='3' <?php if ($this->conf->email_display == 3) {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_EMAIL_DISPLAY_FORM_DIRECT'); ?></option>
								<option value='1' <?php if ($this->conf->email_display == 1) {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_EMAIL_DISPLAY_IMAGE'); ?></option>
								<option value='0' <?php if ($this->conf->email_display == 0) {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_EMAIL_DISPLAY_LINK'); ?></option>
							</select>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_EMAIL_DISPLAY_LONG'); ?></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php

		/*echo $subtabs->endPanel();

		echo $subtabs->endPane();*/
		echo HTMLHelper::_('uitab.endTab');
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_IMAGE------------------------------------------------------------- -->
		echo HTMLHelper::_('uitab.addTab', 'config', 'image-page', JText::_('ADSMANAGER_TAB_IMAGE'));
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_IMAGE_GENERAL------------------------------------------------------------- -->

		/*$subtabs	= new TPane();
		echo $subtabs->startPane('image-tab');
		echo $subtabs->startPanel(JText::_('ADSMANAGER_TAB_IMAGE_GENERAL'), "general-image-page");*/

		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="nb_images-lbl" for="nb_images" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_NB_IMAGES'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="nb_images" id="nb_images" 
							value="<?php echo @$this->conf->nb_images; ?>">
							<?php if (version_compare(JVERSION, '1.6.0', 'ge')) { ?>
								
								<input type="button" class="btn button" onclick="addGroupField('#nb_images_container','nb_images')" value="<?php echo JText::_('ADSMANAGER_ADD_OTHER_SETTING') ?>" />
								
								<div id='nb_images_container'></div>
								<script>
									<?php if (isset($this->conf->nb_images_groups)) {
										foreach ($this->conf->nb_images_groups as $key => $group) { ?>
											addGroupField('#nb_images_container', 'nb_images', <?= json_encode($group) ?>, <?= $this->conf->nb_images_value[$key] ?>);
									<?php }
									} ?>
								</script>
							<?php } ?>
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_NB_IMAGES_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="max_image_size-lbl" for="max_image_size" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_MAX_IMAGE_SIZE'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="max_image_size" id="max_image_size" 
							value="<?php echo @$this->conf->max_image_size; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_MAX_IMAGE_SIZE_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="max_width-lbl" for="max_width" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_MAX_IMAGE_WIDTH'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="max_width" id="max_width" 
							value="<?php echo @$this->conf->max_width; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_MAX_IMAGE_WIDTH_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="max_height-lbl" for="max_height" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_MAX_IMAGE_HEIGHT'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="max_height" id="max_height"
							value="<?php echo @$this->conf->max_height; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_MAX_IMAGE_HEIGHT_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="max_width_m-lbl" for="max_width_m" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_MAX_MEDIUM_IMAGE_WIDTH'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="params_max_width_m" id="max_width_m"
							value="<?php echo @$this->conf->max_width_m; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_MAX_MEDIUM_IMAGE_WIDTH_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="max_height_m-lbl" for="max_height_m" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_MAX_MEDIUM_IMAGE_HEIGHT'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="params_max_height_m" id="max_height_m" 
							value="<?php echo @$this->conf->max_height_m; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_MAX_MEDIUM_IMAGE_HEIGHT_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="max_width_t-lbl" for="max_width_t" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_MAX_THUMBNAIL_WIDTH'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="max_width_t" id="max_width_t" 
							value="<?php echo @$this->conf->max_width_t; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_MAX_THUMBNAIL_WIDTH_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="max_height_t-lbl" for="max_height_t" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_MAX_THUMBNAIL_HEIGHT'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="max_height_t" id="max_height_t" 
							value="<?php echo @$this->conf->max_height_t; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_MAX_THUMBNAIL_HEIGHT_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="tag-lbl" for="tag" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_IMAGE_TAG'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="tag" id="tag" 
							value="<?php echo @$this->conf->tag; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_IMAGE_TAG_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="deleteimagemode-lbl" for="deleteimagemode" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_IMAGE_DELETE_MODE'); ?>
							</label>
						</div>
						<div class="controls mt-2">
							<select class="form-select" id='deleteimagemode' name='params_deleteimagemode'>
								<option value='confirm' <?php if ($this->conf->deleteimagemode == 'confirm') {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_IMAGE_DELETE_MODE_CONFIRM'); ?></option>
								<option value='multiple' <?php if ($this->conf->deleteimagemode == 'multiple') {
																echo "selected";
															} ?>><?php echo JText::_('ADSMANAGER_IMAGE_DELETE_MODE_MULTIPLE'); ?></option>
							</select>
							
							<span class="aside-desc"></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="image_display-lbl" for="image_display" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_IMAGE_DISPLAY'); ?>
							</label>
						</div>
						<div class="controls mt-2">
							<select class="form-select" id='image_display' name='image_display'>
								<option value='default' <?php if ($this->conf->image_display == 'default') {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_IMAGE_DISPLAY_DEFAULT'); ?></option>
								<option value='lytebox' <?php if ($this->conf->image_display == 'lytebox') {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_IMAGE_DISPLAY_LYTEBOX'); ?></option>
								<option value='highslide' <?php if ($this->conf->image_display == 'highslide') {
																echo "selected";
															} ?>><?php echo JText::_('ADSMANAGER_IMAGE_DISPLAY_HIGHSLIDE'); ?></option>
								<option value='popup' <?php if ($this->conf->image_display == 'popup') {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_IMAGE_DISPLAY_POPUP'); ?></option>
								<option value='jssor' <?php if ($this->conf->image_display == 'jssor') {
															echo "selected";
														} ?>><?php echo JText::_('ADSMANAGER_IMAGE_DISPLAY_JSSOR'); ?></option>
							</select>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_IMAGE_DISPLAY_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="cat_max_width-lbl" for="cat_max_width" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_MAX_CATIMAGE_WIDTH'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="cat_max_width" id="cat_max_width" 
							value="<?php echo @$this->conf->cat_max_width; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_MAX_CATIMAGE_WIDTH_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="cat_max_height-lbl" for="cat_max_height" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_MAX_CATIMAGE_HEIGHT'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="cat_max_height" id="cat_max_height" 
							value="<?php echo @$this->conf->cat_max_height; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_MAX_CATIMAGE_HEIGHT_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="cat_max_width_t-lbl" for="cat_max_width_t" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_MAX_CATTHUMBNAIL_WIDTH'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="cat_max_width_t" id="cat_max_width_t" 
							value="<?php echo @$this->conf->cat_max_width_t; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_MAX_CATTHUMBNAIL_WIDTH_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="cat_max_height_t-lbl" for="cat_max_height_t" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_MAX_CATTHUMBNAIL_HEIGHT'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="cat_max_height_t" id="cat_max_height_t" 
							value="<?php echo @$this->conf->cat_max_height_t; ?>">
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_MAX_CATTHUMBNAIL_HEIGHT_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="image_scaling-lbl" for="image_scaling" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_IMAGE_SCALING'); ?>
							</label>
						</div>
						<div class="controls mt-2">
							<select class="form-select" id='image_scaling' name='params_image_scaling'>
								<option value='0' <?php if (@$this->conf->image_scaling == '0') {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_FILL_INTO_AREA'); ?></option>
								<option value='1' <?php if (@$this->conf->image_scaling == '1') {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_CROP_TO_FIT'); ?></option>
							</select>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_IMAGE_SCALING_DESC'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="medium_image_scaling-lbl" for="medium_image_scaling" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_MEDIUM_IMAGE_SCALING'); ?>
							</label>
						</div>
						<div class="controls mt-2">
							<select class="form-select" id='medium_image_scaling' name='params_medium_image_scaling'>
								<option value='0' <?php if (@$this->conf->medium_image_scaling == '0') {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_FILL_INTO_AREA'); ?></option>
								<option value='1' <?php if (@$this->conf->medium_image_scaling == '1') {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_CROP_TO_FIT'); ?></option>
							</select>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_IMAGE_SCALING_DESC'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="large_image_scaling-lbl" for="large_image_scaling" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_LARGE_IMAGE_SCALING'); ?>
							</label>
						</div>
						<div class="controls mt-2">
							<select class="form-select" id='large_image_scaling' name='params_large_image_scaling'>
								<option value='0' <?php if (@$this->conf->large_image_scaling == '0') {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_FILL_INTO_AREA'); ?></option>
								<option value='1' <?php if (@$this->conf->large_image_scaling == '1') {
														echo "selected";
													} ?>><?php echo JText::_('ADSMANAGER_CROP_TO_FIT'); ?></option>
							</select>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_IMAGE_SCALING_DESC'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="display_rotate_image-lbl" for="display_rotate_image" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_DISPLAY_ROTATE_IMAGE'); ?>
							</label>
						</div>
						<div class="controls mt-2">
							<select class="form-select" id='display_rotate_image' name='params_display_rotate_image'>
								<option value='0' <?php if (@$this->conf->display_rotate_image == '0') { echo "selected"; } ?>><?php echo JText::_('ADSMANAGER_NO'); ?></option>
								<option value='1' <?php if (@$this->conf->display_rotate_image == '1') { echo "selected"; } ?>><?php echo JText::_('ADSMANAGER_YES'); ?></option>
							</select>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_DISPLAY_ROTATE_IMAGE_DESC'); ?></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php

		/*echo $subtabs->endPanel();

		echo $subtabs->endPane();*/
		echo HTMLHelper::_('uitab.endTab');
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_TEXT------------------------------------------------------------- -->
		echo HTMLHelper::_('uitab.addTab', 'config', 'text-page', JText::_('ADSMANAGER_TAB_TEXT'));
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_TEXT_GENERAL------------------------------------------------------------- -->

		/*$subtabs	= new TPane();
		echo $subtabs->startPane('text-tab');
		echo $subtabs->startPanel(JText::_('ADSMANAGER_TAB_TEXT_GENERAL'), "general-text-page");*/

		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="fronttext-lbl" for="fronttext" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_FRONTPAGE'); ?>
							</label>
						</div>
						<div class="controls">
							<?php echo $editor->display('fronttext',  $this->conf->fronttext, '100%', '350', '75', '20'); ?>
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_FRONTPAGE_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="rules_text-lbl" for="rules_text" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_RULES'); ?>
							</label>
						</div>
						<div class="controls">
							<?php echo $editor->display('rules_text', $this->conf->rules_text, '100%', '350', '75', '20'); ?>
							<span class="aside-desc"></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php

		/*echo $subtabs->endPanel();

		echo $subtabs->endPane();*/
		echo HTMLHelper::_('uitab.endTab');
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_MODERATION------------------------------------------------------------- -->
		echo HTMLHelper::_('uitab.addTab', 'config', 'moderation-page', JText::_('ADSMANAGER_TAB_MODERATION'));
		// <!-- ------------------------------------------General / ADSMANAGER_TAB_MODERATION------------------------------------------------------------- -->

		/*$subtabs	= new TPane();
		echo $subtabs->startPane('moderation-tab');
		echo $subtabs->startPanel(JText::_('ADSMANAGER_TAB_MODERATION_GENERAL'), "general-moderation-page");*/

		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="auto_publish-lbl" for="auto_publish" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_AUTO_PUBLISH'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="auto_publish" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="auto_publish0" name="auto_publish" value="1" <?php if (@$this->conf->auto_publish == 1) {
																											echo 'checked="checked"';
																										} ?> />
								<label class="form-check-label" for="auto_publish0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="auto_publish1" name="auto_publish" value="0" <?php if (@$this->conf->auto_publish == 0) {
																											echo 'checked="checked"';
																										} ?> />
								<label class="form-check-label" for="auto_publish1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_AUTO_PUBLISH_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="update_validation-lbl" for="update_validation" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_UPDATE_VALIDATION'); ?>
							</label>
						</div>
						<div class="controls">
							<fieldset id="update_validation" class="btn-group btn-group-yesno radio">
							<div class="form-check">
								<input class="form-check-input" type="radio" id="update_validation0" name="params_update_validation" value="1" <?php if (@$this->conf->auto_publish == 1) {
																															echo 'checked="checked"';
																														} ?> />
								<label class="form-check-label" for="update_validation0"><?php echo JText::_('ADSMANAGER_YES'); ?></label>
							</div><div class="form-check">
								<input class="form-check-input" type="radio" id="update_validation1" name="params_update_validation" value="0" <?php if (@$this->conf->auto_publish == 0) {
																															echo 'checked="checked"';
																														} ?> />
								<label class="form-check-label" for="update_validation1"><?php echo JText::_('ADSMANAGER_NO'); ?></label>
							</div>
							</fieldset>
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_UPDATE_VALIDATION_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="bannedwords-lbl" for="bannedwords" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_BANNEDWORDS'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<textarea class="form-control" name="bannedwords" id="bannedwords" cols="30" rows="10"><?php echo $this->conf->bannedwords; ?></textarea>
							
							<span class="aside-desc"><?php echo JText::_('ADSMANAGER_BANNEDWORDS_LONG'); ?></span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="replaceword-lbl" for="replaceword" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_REPLACEWORD'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="text" name="replaceword" id="replaceword" 
							value="<?php echo $this->conf->replaceword; ?>" />
							<span class="aside-desc"></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php

echo HTMLHelper::_('uitab.endTab');
		echo HTMLHelper::_('uitab.addTab', 'config', 'advertising-page', JText::_('ADSMANAGER_TAB_ADVERTISING'));
		?>
		<div class="container-fluid ">
			<div class="row justify-content-center">
				<div class="col-12 mt-5">
					<div class="control-group">
						<div class="control-label">
							<label id="auto_publish-lbl" for="auto_publish" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_ADVERTISING_ENABLED'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<select class="form-select" id='advertising_enabled' disabled="disabled" name='params_advertising_enabled'>
								<option value='0' <?php if (@$this->conf->advertising_enabled == 0) { echo "selected"; } ?>><?php echo JText::_('ADSMANAGER_NO'); ?></option>
								<option value='1' <?php if (@$this->conf->advertising_enabled == 1) { echo "selected"; } ?>><?php echo JText::_('ADSMANAGER_YES'); ?></option>
							</select>
							<input type="hidden" value="0" name="params_advertising_enabled" />
							<br />
							<span>Bruce - The Banner Manager is needed to enable that feature.</span>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="auto_publish-lbl" for="auto_publish" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_ADVERTISING_CATEGORY_ID'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="number" name="params_advertising_category_id" 
							value="<?php echo @htmlspecialchars($this->conf->advertising_category_id); ?>" />
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="auto_publish-lbl" for="auto_publish" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_ADVERTISING_NUMBER_OF_ADS_BETWEEN_DISPLAY'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<input class="form-control" type="number" name="params_advertising_number_ads_between" 
							value="<?php echo @htmlspecialchars($this->conf->advertising_number_ads_between); ?>" />
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="auto_publish-lbl" for="auto_publish" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_ADVERTISING_DISPLAY_ALL_DATAS_AFTER_ADS'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<select class="form-select" id='advertising_display_all_banners_after_ads' name='params_advertising_display_all_banners_after_ads'>
								<option value='0' <?php if (@$this->conf->advertising_display_all_banners_after_ads == 0) { echo "selected"; } ?>><?php echo JText::_('ADSMANAGER_NO'); ?></option>
								<option value='1' <?php if (@$this->conf->advertising_display_all_banners_after_ads == 1) { echo "selected"; } ?>><?php echo JText::_('ADSMANAGER_YES'); ?></option>
							</select>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<label id="auto_publish-lbl" for="auto_publish" class="hasPopover" title="">
								<?php echo JText::_('ADSMANAGER_ADVERTISING_BANNERS_ORDER'); ?>
							</label>
						</div>
						<div class="controls mt-1">
							<select class="form-select" id='advertising_banners_orders' name='params_advertising_banners_orders'>
								<option	value="0" <?php if (@$this->conf->advertising_banners_orders == 0) { echo "selected"; } ?>><?php echo JText::_('ADSMANAGER_BRUCE_VALUE_STICKYORDERING'); ?></option>
								<option	value="random" <?php if (@$this->conf->advertising_banners_orders == 'random') { echo "selected"; } ?>><?php echo JText::_('ADSMANAGER_BRUCE_VALUE_STICKYRANDOMISE'); ?></option>
								<option	value="last_publish_up" <?php if (@$this->conf->advertising_banners_orders == 'last_publish_up') { echo "selected"; } ?>><?php echo JText::_('ADSMANAGER_BRUCE_VALUE_STICKYLASTPUBLISHUP'); ?></option>
							</select>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php
		echo HTMLHelper::_('uitab.endTab');
		echo HTMLHelper::_('uitab.endTabSet');

		?>

		<input type="hidden" name="option" value="com_adsmanager" />

		<input type="hidden" name="task" value="" />

		<input type="hidden" name="id" value="<?php echo $this->conf->id ?>" />

		<input type="hidden" name="c" value="configuration" />

</form>