<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');

require_once(JPATH_ROOT."/components/com_adsmanager/helpers/field.php");
require_once(JPATH_ROOT."/components/com_adsmanager/helpers/general.php");

/**
 * @package		Joomla
 * @subpackage	Contacts
 */
class AdsmanagerViewFavorites extends TView
{
	function display($tpl = null)
	{
		$app = JFactory::getApplication();

		$user		= JFactory::getUser();
		$pathway	= $app->getPathway();
		$document	= JFactory::getDocument();
		
		if ($user->id == 0) {
			TTools::redirectToLogin(TLink::getMyFavoritesLink());
			return;  
	    }
		
		$contentmodel	=$this->getModel( "content" );
		$catmodel		=$this->getModel( "category" );
		$positionmodel	=$this->getModel( "position" );
		$columnmodel	=$this->getModel( "column" );
		$fieldmodel	    =$this->getModel( "field" );
		$usermodel	    =$this->getModel( "user" );
		
		$uri = JUri::getInstance();
		$this->requestURL = $uri->toString();

		// Get the parameters of the active menu item
		$menus	= $app->getMenu();
		$menu    = $menus->getActive();
		
		$conf = TConf::getConfig();
		
		jimport( 'joomla.session.session' );	
		$currentSession = JSession::getInstance('none',array());
		$currentSession->set("search_fields","");
		$currentSession->set("searchfieldscatid",0);
		$currentSession->set("searchfieldssql"," 1 ");
		$currentSession->set("tsearch","");
		
		$filters = array();
		
		$tsearch = JFactory::getApplication()->input->get( 'tsearch',	'');
		if ($tsearch != "")
		{
			$filters['search'] = $tsearch;
		}
		$this->tsearch = $tsearch;
		
		$username = $usermodel->getUser($user->id);
			
		$orderfields = $fieldmodel->getOrderFields(0);
		
		$this->orders = $orderfields;
					
		$limitstart = JFactory::getApplication()->input->getInt("limitstart",0);	
		$limit = $app->getUserStateFromRequest('com_adsmanager.front_ads_per_page','limit', $conf->ads_per_page, 'int');
		
		
		$order = $app->getUserStateFromRequest('com_adsmanager.front_content.order','order',0,'int');
		$orderdir = $app->getUserStateFromRequest('com_adsmanager.front_content.orderid','orderdir','DESC');
		$orderdir = strtoupper($orderdir);
		if (($orderdir != "DESC") && ($orderdir != "ASC")) {
			$orderdir = "DESC";
		}
		$filter_order = $contentmodel->getFilterOrder($order);
		$filter_order_dir = $orderdir;
		$this->order = $order;
		$this->orderdir = $orderdir;

        $total = $contentmodel->getNbContents($filters,0,$user->id);
		$contents = $contentmodel->getContents($filters,$limitstart, $limit,$filter_order,$filter_order_dir,0,$user->id);
		
		jimport('joomla.html.pagination');
		$pagination = new JPagination($total, $limitstart, $limit);
		$this->pagination = $pagination;
		
		$this->list_name = $name ?? null;
		$this->contents = $contents;
		
		$fields = $fieldmodel->getFields();
		$this->fields = $fields;
		
		$this->conf = $conf;
		$this->userid = $user->id;
		
		$document->setTitle( JText::_('ADSMANAGER_PAGE_FAVORITES'));		
		$field_values = $fieldmodel->getFieldValues();
		
		$plugins = $fieldmodel->getPlugins();
		$field = new JHTMLAdsmanagerField($conf,$field_values,'1', $plugins);
		$this->field = $field;
				
		$general = new JHTMLAdsmanagerGeneral(0,$conf,$user);
		$this->general = $general;
		
		parent::display($tpl);
	}
	
	function reorderDate( $date ){
		$format = JText::_('ADSMANAGER_DATE_FORMAT_LC');
		
		if ($date && (preg_match("/([0-9]{4})-([0-9]{2})-([0-9]{2})/",$date,$regs))) {
			$date = mktime( 0, 0, 0, $regs[2], $regs[3], $regs[1] );
			$date = $date > -1 ? strftime( $format, $date) : '-';
		}
		return $date;
	}
}
