<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');
require_once(JPATH_BASE."/components/com_adsmanager/helpers/general.php");

/**
 * @package		Joomla
 * @subpackage	Contacts
 */  
class AdsmanagerViewFront extends TView
{
	function display($tpl = null)
	{
		jimport( 'joomla.session.session' );	
		$currentSession = JSession::getInstance('none',array());
		$currentSession->set("search_fields","");
		$currentSession->set("searchfieldscatid",0);
		$currentSession->set("searchfieldssql"," 1 ");
		$currentSession->set("tsearch","",'adsmanager');
		
		$app	= JFactory::getApplication();
		$pathway = $app->getPathway();
		

		$user		= JFactory::getUser();
		
		$document	= JFactory::getDocument();
		
		$contentmodel	=$this->getModel( "content" );
		$catmodel	=$this->getModel( "category" );

		// Get the parameters of the active menu item
		$menus	= $app->getMenu();
		$menu    = $menus->getActive();
		
		$conf = TConf::getConfig();
		
		$rootid = JFactory::getApplication()->input->getInt('rootid',0);
		
		$cats = $catmodel->getFlatTree(true, true, $nbContents, 'read',$rootid);
        
		$this->cats = $cats;
		$this->conf = $conf;
		
		$document->setTitle( JText::_('ADSMANAGER_PAGE_TITLE'));
		
		$general = new JHTMLAdsmanagerGeneral(0,$conf,$user);
		$this->general = $general;
		
		$nbimages = $conf->nb_images;
		if (function_exists("getMaxPaidSystemImages"))
		{
			$nbimages += getMaxPaidSystemImages();
		}
		$this->nbimages = $nbimages;
		
		$fieldmodel		= $this->getModel("field");
		$field_values = $fieldmodel->getFieldValues();
		$plugins = $fieldmodel->getPlugins();
		$field = new JHTMLAdsmanagerField($conf,$field_values,1,$plugins);
		$this->field = $field;
		
		$fields = $fieldmodel->getFields(true,null,null,"fieldid","ASC",true,'write');
		$this->fields = $fields;
		
		$nb_cols = $conf->nb_last_cols;
		$nb_rows = $conf->nb_last_rows;
		$contents = $contentmodel->getLatestContents($nb_cols*$nb_rows,0,"no",$rootid);
		$this->contents = $contents;

		parent::display($tpl);
	}
	
	function displayContents($contents,$nbimages) {
		$conf = TConf::getConfig();
	?>
		<h2 class="contentheading"><?php echo JText::_('ADSMANAGER_LAST_ADS');?></h2>
		<div class='adsmanager_box_module'>
			<table class='adsmanager_inner_box' width="100%">
			<?php
			$nb_cols = $conf->nb_last_cols;
			$col = 0;
			foreach($contents as $row) {
				$linkTarget = TRoute::_("index.php?option=com_adsmanager&view=details&id=".$row->id."&catid=".$row->catid);			

				if ($col == 0) 
					echo '<div class="mt-3 row">';
				$col++;
			?>
				<div class="col adsmanager-grid-ad"> 
					<div class="card text-center">
						<div class="card-block">
							<div class="card-footer">
								<h4 class="card-title"><?php echo "<a href='$linkTarget'>".$row->ad_headline."</a>";  ?></h4>
							</div>

							<div class="img-square-wrapper align-self-start bg-dark">
								<?php
										if (isset($row->images[0])) {
											echo "<a href='".$linkTarget."'><img class='card-img-top' src='".JURI_IMAGES_FOLDER."/".$row->images[0]->thumbnail."' alt=\"".htmlspecialchars($row->ad_headline)."\" border='0' /></a>";
										} else if ($conf->nb_images > 0) {
											echo "<a href='".$linkTarget."'><img class='card-img-top' src='".ADSMANAGER_NOPIC_IMG."' alt='nopic' border='0' /></a>"; 
										} 
								?>
							</div>

							<div class="card-text mt-4">
								<p>
								<?php 
									echo "<span class=\"adsmanager_cat\">(".htmlspecialchars($row->parent)." / ".htmlspecialchars($row->cat).")</span>";
									echo "<br /><span class='icon icon-clock'></span> ".$this->reorderDate($row->date_created);
								?>
								</p>
							</div>
						</div>
					</div>
				</div>
			<?php
				if ($col == $nb_cols) {
					echo "</div>";
					$col = 0;	
				}
			}
			if ($col != 0) {
				echo "</div>";
			}
			?>
			</table>
			</div>
	<br />
	<?php
	}
	
	function reorderDate( $date ){
		$format = JText::_('ADSMANAGER_DATE_FORMAT_LC');
		
		if ($date && (preg_match("/([0-9]{4})-([0-9]{2})-([0-9]{2})/",$date,$regs))) {
			$date = mktime( 0, 0, 0, $regs[2], $regs[3], $regs[1] );
			$date = $date > -1 ? strftime( $format, $date) : '-';
		}
		return $date;
	}
}
