<?php

/**
 * @author      AnthonyVerdure
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

use Joomla\String\StringHelper as JString;
?>
<div>
    <div class="container ads-grid-ad w-100 ">
        <div class="card-deck">
            <div class="row">
                <?php
                foreach ($this->contents as $content) : ?>
                    <?php $linkTarget = TRoute::_("index.php?option=com_adsmanager&view=details&id=" . $content->id . "&catid=" . $content->catid);
                    ?>
                    <div class="col-4 mb-4 adsmanager-grid-ad">
                        <div class="card text-center" style="overflow:hidden;">
                            <div class="card-block">

                                <div class="card-footer">
                                    <h4>
                                        <?php
                                        if (strlen($content->ad_headline) > 25) {
                                            $adTitle = substr($content->ad_headline, 0, 25) . '...';
                                        } else {
                                            $adTitle = $content->ad_headline;
                                        }
                                        ?>
                                        <a href=<?php echo "'" . $linkTarget . "'"; ?> class=" stretched-link"><?php echo $adTitle; ?></a>
                                        <?php if (!isset($this->conf->display_category_list_label) || $this->conf->display_category_list_label == 1) : ?>
                                            <span class="adsmanager-cat"><?php echo "(" . $content->parent . " / " . $content->cat . ")"; ?></span>
                                        <?php endif; ?>
                                    </h4>
                                </div>

                                <div class="img-square-wrapper align-self-start bg-dark">
                                    <?php
                                    if (isset($content->images[0])) {
                                        echo "<a href='" . $linkTarget . "'><img name='ad-image" . $content->id . "' src='" . JURI_IMAGES_FOLDER . "/" . $content->images[0]->medium . "?".filemtime(JPATH_IMAGES_FOLDER."/".$content->images[0]->image)."' alt=\"" . htmlspecialchars($content->ad_headline) . "\" /></a>";
                                    } else if ($this->conf->nb_images > 0) {

                                        echo "<a href='" . $linkTarget . "'><img src='" . ADSMANAGER_NOPIC_IMG . "' alt='nopic' /></a>";
                                    }
                                    ?>
                                </div>

                                <div class="card-text">
                                    <div class="ads-icons d-flex">

                                        <?php echo "<span><span class=\"icon icon-clock\"></span> ".$this->reorderDate($content->date_created)."</span>"; ?>
                                    
                                        <?php
                                            if (($this->conf->show_new == true) && ($this->isNewcontent($content->date_created, $this->conf->nbdays_new))) {
                                                echo "<span class='icon icon-star'></span>";
                                            }

                                            if (($this->conf->show_hot == true) && ($content->views >= $this->conf->nbhits)) {
                                                echo "<span class='icon icon-fire'></span>";
                                            }
                                        ?>
                                    
                                        <div class="favorite_button">
                                            <?php if (isset($this->conf->favorite_enabled) && $this->conf->favorite_enabled == 1 && ($this->conf->favorite_display == 'all' || $this->conf->favorite_display == 'list')) : ?>
                                                <?php
                                                    $favoriteClass = '';
                                                    $favoriteLabel = "<span class='icon icon-heart text-secondary'></span>";
                                                    if (array_search($content->id, $this->favorites) !== false) {
                                                        $favoriteClass = ' like_active';
                                                        $favoriteLabel = "<span class='icon icon-heart text-danger'></span>";
                                                    }
                                                ?>
                                                <a id="like_<?php echo $content->id; ?>" class="favorite_ads like_ad<?php echo $favoriteClass; ?>" href="javascript:void(0)"><?php echo $favoriteLabel; ?></a>
                                            <?php endif; ?>
                                        </div>
                                    </div>


                                    <p class="mt-4 text">
                                    <?php
                                        $content->ad_text = strip_tags(str_replace('<br />', " ", $content->ad_text));
                                        $af_text = JString::substr($content->ad_text, 0, 50);
                                        if (strlen($content->ad_text) > 50) {
                                            $af_text .= "(...)";
                                        }
                                        echo $af_text;
                                        ?>
                                    </p>
                                </div>
                            </div>

                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
</div>