<?php

/**
 * @author      Anthony Verdure
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

use Joomla\String\StringHelper as JString;
?>
<div class="adsmanager-list">
    <?php
        if($this->banners){
            $countBanners = 0;
            $countAds = 0;
        }
        foreach ($this->contents as $content) { 
            if($this->banners){
                //Check if a banner need to be displayed
                if($countAds % $this->nbAdsBetweenBanners == 0 && $countAds > 0 && isset($this->banners[$countBanners])) {
                    ?>
                    <div class="mb-3">
                   
                                <div class="card banneritemlist" style="overflow:hidden;">
                                <?php 
                                    $item = $this->banners[$countBanners];
                                    $link = JRoute::_('index.php?option=com_bruce&view=banner&task=click&id='. $item->bruce_banner_id);
                                    $imageurl = $item->params->img_imageurl;
                                    $width = $item->params->img_width;
                                    $height = $item->params->img_height;
                                    // Image based banner
                                    $alt = $item->params->img_alt;
                                    $alt = $alt ? $alt : $item->title;
                                    $alt = $alt ? $alt : JText::_('MOD_BRUCE_BANNER');
                                    if ($item->clickurl) {
                                        // Wrap the banner in a link
                                        // Open in a new window
                                        $extra = 'target="_blank"';
                                        ?>
                                        <a href="<?php echo $link; ?>" <?php echo $extra ?>>
                                        <?php if($item->type == 0): ?>
                                            <img
                                                src="<?php echo JUri::base() . $imageurl;?>"
                                                alt="<?php echo $alt;?>"
                                                <?php if (!empty($width)) echo 'width ="'. $width.'"';?>
                                                <?php if (!empty($height)) echo 'height ="'. $height.'"';?>
                                                style="max-width: 100%;"
                                            />
                                        <?php
                                            else:
                                                echo $item->custombannercode;
                                            endif;
                                        ?>
                                        </a>
                                <?php } else { 
                                    // Just display the image if no link specified?>
                                    <?php if($item->type == 0): ?>
                                        <img
                                            src="<?php echo JUri::base() . $imageurl;?>"
                                            alt="<?php echo $alt;?>"
                                            <?php if (!empty($width)) echo 'width ="'. $width.'"';?>
                                            <?php if (!empty($height)) echo 'height ="'. $height.'"';?>
                                            style="max-width: 100%;"
                                        />
                                    <?php
                                        else:
                                            echo $item->custombannercode;
                                        endif;
                                    ?>
                                <?php } ?>
                                </div>
                    </div>
                    <?php
                    $countBanners++;
                }
                $countAds++;
            }
    ?>
            <?php $linkTarget = TRoute::_("index.php?option=com_adsmanager&view=details&id=" . $content->id . "&catid=" . $content->catid);
            ?>
            <div class="mb-3">
             
                        <div class="card" style="overflow:hidden;">
                            <div class="card-horizontal">
                                <div class="img-square-wrapper align-self-start bg-dark">
                                    <?php
                                    if (isset($content->images[0])) {
                                        echo "<a href='" . $linkTarget . "'><img class='fad-image' name='ad-image" . $content->id . "' src='" . JURI_IMAGES_FOLDER . "/" . $content->images[0]->medium . "?".filemtime(JPATH_IMAGES_FOLDER."/".$content->images[0]->thumbnail)."' alt=\"" . htmlspecialchars($content->ad_headline) . "\" /></a>";
                                    } else if ($this->conf->nb_images > 0) {

                                        echo "<a href='" . $linkTarget . "'><img class='fad-image' src='" . ADSMANAGER_NOPIC_IMG . "' alt='nopic' /></a>";
                                    }
                                    ?>
                                </div>
                                <div class="card-body h-100 ml-4">
                                    <?php
                                    $linkTarget = TRoute::_("index.php?option=com_adsmanager&view=details&id=" . $content->id . "&catid=" . $content->catid);
                                    if (function_exists('getContentClass'))
                                        $classcontent = getContentClass($content, "list");
                                    else
                                        $classcontent = "";
                                    ?>
                                    <h4 class="card-title">
                                        <a href=<?php echo "'" . $linkTarget . "'"; ?> class=" stretched-link"><?php echo $content->ad_headline; ?></a>
                                        <?php if (!isset($this->conf->display_category_list_label) || $this->conf->display_category_list_label == 1) : ?>
                                            <span class="adsmanager-cat"><?php echo "(" . $content->parent . " / " . $content->cat . ")"; ?></span>
                                        <?php endif; ?>
                                    </h4>
                                    <div class="card-text">
                                        <div class="newIcon">
                                            <?php
                                            $iconflag = false;
                                            if (($this->conf->show_new == true) && ($this->isNewcontent($content->date_created, $this->conf->nbdays_new))) {
                                                echo "<div class='text-center'><img alt='new' src='" . getImagePath('new.gif') . "' /> ";
                                                $iconflag = true;
                                            }
                                            if (($this->conf->show_hot == true) && ($content->views >= $this->conf->nbhits)) {
                                                if ($iconflag == false)
                                                    echo "<div class='text-center'>";
                                                echo "<img alt='hot' src='" . getImagePath('hot.gif') . "' />";
                                                $iconflag = true;
                                            }
                                            if ($iconflag == true)
                                                echo "</div>";
                                            if (!isset($this->conf->display_column_date_date) || $this->conf->display_column_date_date == 1) {
                                                echo $this->reorderDate($content->date_created);
                                            }
                                            ?>
                                        </div>
                                        <div>
                                            <?php
                                            if ($content->userid != 0 && (!isset($this->conf->display_column_date_user) || $this->conf->display_column_date_user == 1)) {
                                                echo JText::_('ADSMANAGER_FROM') . " ";

                                                $target = TLink::getUserAdsLink($content->userid);

                                                if ($this->conf->display_fullname == 1)
                                                    echo "<a href='" . $target . "'>" . $content->fullname . "</a><br/>";
                                                else
                                                    echo "<a href='" . $target . "'>" . $content->user . "</a><br/>";
                                            }
                                            ?>

                                        </div>
                                        <div>
                                            <?php
                                            if (!isset($this->conf->display_column_date_view) || $this->conf->display_column_date_view == 1) {
                                                echo sprintf(JText::_('ADSMANAGER_VIEWS'), $content->views);
                                            }
                                            ?>

                                        </div>
                                        <div class="favorite_button">
                                            <?php if (isset($this->conf->favorite_enabled) && $this->conf->favorite_enabled == 1 && ($this->conf->favorite_display == 'all' || $this->conf->favorite_display == 'list')) : ?>
                                                <?php
                                                $favoriteClass = '';
                                                $favoriteLabel = "<span class='icon icon-heart text-secondary'></span>";
                                                if (array_search($content->id, $this->favorites) !== false) {
                                                    $favoriteClass = ' like_active';
                                                    $favoriteLabel = "<span class='icon icon-heart text-danger'></span>";
                                                }
                                                ?>
                                                <a id="like_<?php echo $content->id; ?>" class="favorite_ads like_ad<?php echo $favoriteClass; ?>" href="javascript:void(0)"><?php echo $favoriteLabel; ?></a>
                                            <?php endif; ?>

                                        </div>
                                        <div class="content">
                                            <?php
                                            foreach ($this->columns as $col) {

                                                if (isset($this->fColumns[$col->id]))
                                                    foreach ($this->fColumns[$col->id] as $field) {
                                                        $c = $this->field->showFieldValue($content, $field);
                                                        if (($c !== "") && ($c !== null)) {
                                                            $title = $this->field->showFieldTitle(@$content->catid, $field);
                                                            echo "<span class='f" . $field->name . "'>";
                                                            if ($title != "")
                                                                echo "<b>" . htmlspecialchars($title) . "</b>: ";
                                                            echo "$c<br/>";
                                                            echo "</span>";
                                                        }
                                                    }
                                                echo "</td>";
                                            }
                                            ?>

                                            <?php
                                            $content->ad_text = strip_tags(str_replace('<br />', " ", $content->ad_text));
                                            $af_text = JString::substr($content->ad_text, 0, 50);
                                            if (strlen($content->ad_text) > 50) {
                                                $af_text .= "(...)";
                                            }
                                            echo $af_text;
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer d-flex justify-content-between">
                                <small class="text-muted ">
                                    <?php echo "(" . $content->parent . " / " . $content->cat . ")"; ?>
                                </small>
                                <small class="text-muted ">
                                    <?php echo ($content->date_created); ?>
                                </small>
                            </div>
                     
                    </div>
         
            </div>
    <?php 
        }
        if($this->banners){
            //Display the rest of the banners if needed
            if($this->displayAllBannersAfterAds == 1) {
                for($i = $countBanners; $i < count($this->banners); $i++) {
                    ?>
                    <div class="mb-3">
                            
                                <div class="card banneritemlist" style="overflow:hidden;">
                                <?php 
                                    $item = $this->banners[$i];
                                    $link = JRoute::_('index.php?option=com_bruce&view=banner&task=click&id='. $item->bruce_banner_id);
                                    $imageurl = $item->params->img_imageurl;
                                    $width = $item->params->img_width;
                                    $height = $item->params->img_height;
                                    // Image based banner
                                    $alt = $item->params->img_alt;
                                    $alt = $alt ? $alt : $item->title;
                                    $alt = $alt ? $alt : JText::_('MOD_BRUCE_BANNER');
                                    if ($item->clickurl) {
                                        // Wrap the banner in a link
                                        // Open in a new window
                                        $extra = 'target="_blank"';
                                        ?>
                                        <a href="<?php echo $link; ?>" <?php echo $extra ?>>
                                            <?php if($item->type == 0): ?>
                                                <img
                                                    src="<?php echo JUri::base() . $imageurl;?>"
                                                    alt="<?php echo $alt;?>"
                                                    <?php if (!empty($width)) echo 'width ="'. $width.'"';?>
                                                    <?php if (!empty($height)) echo 'height ="'. $height.'"';?>
                                                    style="max-width: 100%;"
                                                />
                                            <?php
                                                else:
                                                    echo $item->custombannercode;
                                                endif;
                                            ?>
                                        </a>
                                    <?php } else { 
                                        // Just display the image if no link specified?>
                                        <?php if($item->type == 0): ?>
                                            <img
                                                src="<?php echo JUri::base() . $imageurl;?>"
                                                alt="<?php echo $alt;?>"
                                                <?php if (!empty($width)) echo 'width ="'. $width.'"';?>
                                                <?php if (!empty($height)) echo 'height ="'. $height.'"';?>
                                                style="max-width: 100%;"
                                            />
                                        <?php
                                            else:
                                                echo $item->custombannercode;
                                            endif;
                                        ?>
                                    <?php } ?>
                                </div>
                    
                    </div>
                    <?php
                }
            }
        }
    ?>
</div>