<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');

require_once(JPATH_BASE."/components/com_adsmanager/helpers/field.php");
require_once(JPATH_ROOT.'/components/com_adsmanager/lib/tpermissions.php');

/**
 * @package		Joomla
 * @subpackage	Contacts
 */
class AdsmanagerViewMessage extends TView
{
	function display($tpl = null)
	{
		$app = JFactory::getApplication();

		if(!TPermissions::checkRightContact()) {
			$app->redirect('index.php', JText::_('ADSMANAGER_CONTACT_NO_ACCESS_RIGHT'), 'error');
		}

		$user		= JFactory::getUser();
		$pathway	= $app->getPathway();
		$document	= JFactory::getDocument();
		$contentmodel	    =$this->getModel( "content" );

		$conf = TConf::getConfig();

		$this->conf = $conf;	
		
		$this->user = $user;
		
        $fieldname = JFactory::getApplication()->input->getString('fname','');
		$this->fieldname = $fieldname;
        
		$contentid = JFactory::getApplication()->input->getInt( 'contentid',	0 );
		$content = $contentmodel->getContent($contentid);
		$this->content = $content;
		
		JPluginHelper::importPlugin('adsmanagercontent');
		
		$event = new stdClass();
		$results = JFactory::getApplication()->triggerEvent('onMessageAfterFormAds', array ($content));
		$event->onMessageAfterForm = trim(implode("\n", $results));
		$this->event = $event;
		
		$document->setTitle( JText::_('ADSMANAGER_PAGE_TITLE'));
		
		parent::display($tpl);
	}
}
