<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

use Joomla\String\StringHelper as JString;
?>
<div class="juloawrapper">
    <div class="row-fluid"> 
        <div class="ads-table <?php echo $moduleclass_sfx; ?>">
            <div class="card-body ads-table-header bg-light">
                <div class="row">
                    <div class="col col-3"><strong><?php echo JText::_('ADSMANAGER_CONTENT'); ?></strong></div>
                    <?php 
                    foreach($columns as $col)
                    {
                        echo "<div class='col'><strong>".JText::_($col->name)."</strong></div>";
                    }
                    ?>
                    <div class="col col-2"><strong><?php echo JText::_('ADSMANAGER_DATE'); ?></strong></div>
                </div>
            </div>

            <?php
        foreach($contents as $content) 
        {
            $linkTarget = TRoute::_( "index.php?option=com_adsmanager&view=details$urlparamroot&id=".$content->id."&catid=".$content->catid);
            if (function_exists('getContentClass')) 
                $classcontent = getContentClass($content,"list");
            else
                $classcontent = "adsmanager_table_description";
            ?>   
            <div class="card mb-3">

            <div class="card-body"> 
                <div class="row <?php echo $classcontent;?>"> 
                    <div class="col col-3 column_desc">    
                            <h4 class="no-margin-top card-title">
                                <?php echo '<a href="'.$linkTarget.'">'.$content->ad_headline.'</a>'; ?>
                            </h4>
                            <?php
                            if (isset($content->images[0])) {
                                    echo "<a href='".$linkTarget."'><img class='fad-image' name='ad-image".$content->id."' src='".JURI_IMAGES_FOLDER."/".$content->images[0]->thumbnail."?".filemtime(JPATH_IMAGES_FOLDER."/".$content->images[0]->thumbnail)."' alt=\"".htmlspecialchars($content->ad_headline)."\" /></a>";
                            } else {
                                    echo "<a href='".$linkTarget."'><img class='fad-image' src='".ADSMANAGER_NOPIC_IMG."' alt='nopic' /></a>";
                            }
                            ?> 
                    </div>
                    <?php 
                        foreach($columns as $col) {
                            echo '<div class="col column_'.$col->id.'">';
                            if (isset($fColumns[$col->id]))
                                foreach($fColumns[$col->id] as $f)
                                {
                                    $c = $field->showFieldValue($content,$f);
                                    if ($c != "") {
                                        $title = $field->showFieldTitle(@$content->catid,$f);
                                        if ($title != "")
                                            echo htmlspecialchars($title).": ";
                                        echo "$c<br/>";
                                    }
                                }
                            echo "</div>";
                        }
                    ?>
                    <div class="col col-2 column_date">
                        <?php 
                        $iconflag = false;
                        if (($conf->show_new == true)&&(isNewcontent($content->date_created,$conf->nbdays_new))) {
                                echo "<div class='text-center'><span class='icon icon-star'></span>";
                            $iconflag = true;
                        }
                        if (($conf->show_hot == true)&&($content->views >= $conf->nbhits)) {
                            if ($iconflag == false)
                                    echo "<div class='text-center'>";
                            echo "<span class='icon icon-fire'></span>";
                            $iconflag = true;
                        }
                        if ($iconflag == true)
                            echo "</div>";
                            echo '<span class="icon icon-clock"></span> '.reorderDate($content->date_created); 
                        ?>
                        <br />
                        <?php
                        if ($content->userid != 0)
                        {
                        $target = TLink::getUserAdsLink($content->userid);
                        echo "<a href='".$target."'><span class='icon icon-user'></span> ".JText::_('ADSMANAGER_FROM')." ".$content->user."</a><br/>";
                        }
                        ?>
                        <?php echo '<span class="icon icon-eye"></span> '.sprintf(JText::_('ADSMANAGER_VIEWS'),$content->views); ?>
                    </div>
                </div>
            </div>

            <div class="card-footer">
                <span class="adsmanager-cat"><?php echo "(".$content->parent." / ".$content->cat.")"; ?></span>
                 <p class="mb-0">
                        <?php 
                        $content->ad_text = str_replace ('<br />'," ",$content->ad_text);
                            $af_text = JString::substr($content->ad_text, 0, 100);
                            if (strlen($content->ad_text)>100) {
                                $af_text .= "(...)";
                            }
                        echo $af_text;
                    ?>
                    </p>
            </div>
        </div>
    <?php	
    }
    ?>


        </div>
    
    </div>
</div>