<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");

class plgCommunityAdsmanager extends CApplications
{
	var $name = "Adsmanager";
	var $_name = 'adsmanager';
	
    public function onCommunityStreamRender($act)
	{
    	$actor = CFactory::getUser($act->actor);
 
    	$stream    = new stdClass();
    	$stream->actor  = $actor;
        
        $actorLink = '<a class="cStream-Author" href="' .CUrlHelper::userLink($actor->id).'">'.$actor->getDisplayName().'</a>';
        
        $title = str_replace('{actor}', $actorLink, $act->title);
    	$stream->headline = $title;
    	$stream->message = $act->content;
    	return $stream;
	}
    
	function onProfileDisplay()
	{
		$this->loadLanguage();
		$app = JFactory::getApplication();
		
		$config	= CFactory::getConfig();
		$this->loadUserParams();
 
		$uri		= JURI::base();
		$my			= JFactory::getUser();
		$user		= CFactory::getRequestUser();//CFactory::getActiveProfile();
		$document	= JFactory::getDocument();
		//$css		= $uri	.'plugins/community/groups/style.css';
		//$document->addStyleSheet($css);	
 
		require_once(JPATH_ROOT.'/administrator/components/com_adsmanager/models/adsmanager.php');
		require_once(JPATH_ROOT.'/administrator/components/com_adsmanager/models/column.php');
		require_once(JPATH_ROOT.'/administrator/components/com_adsmanager/models/category.php');
		require_once(JPATH_ROOT.'/administrator/components/com_adsmanager/models/configuration.php');
		require_once(JPATH_ROOT.'/administrator/components/com_adsmanager/models/content.php');
		require_once(JPATH_ROOT.'/administrator/components/com_adsmanager/models/field.php');
		require_once(JPATH_ROOT.'/administrator/components/com_adsmanager/models/position.php');
		require_once(JPATH_ROOT.'/administrator/components/com_adsmanager/models/user.php');
		
		require_once(JPATH_ROOT.'/components/com_adsmanager/views/list/view.html.php');
	
		loadAdsManagerCss();
		
	  	$contentmodel	 = new AdsmanagerModelContent();
		$catmodel		 = new AdsmanagerModelCategory();
		$positionmodel	 = new AdsmanagerModelPosition();
		$columnmodel	 = new AdsmanagerModelColumn();
		$fieldmodel	     = new AdsmanagerModelField();
		$usermodel		 = new AdsmanagerModelUser();
		$adsmanagermodel = new AdsmanagerModelAdsmanager();
		$configurationmodel	= new AdsmanagerModelConfiguration();
		
		$catid = 0;
		
		$config = array();
		$config['template_path'] = JPATH_BASE.'/components/com_adsmanager/views/list/tmpl';
		$view      				 = new AdsmanagerViewList($config);
		
		
		
		$uri = JUri::getInstance();
		$requestURL = $uri->toString();
		
		$conf = $configurationmodel->getConfiguration();
		
		//Unactive Map Display on User List because the loadModule function is not working on CB page (I don't know why)
		$conf->display_map_list =0;
		
		$filters = array();
		$filters['publish'] =  1;
		
		$filters['user'] = $user->id;
		
	  	$tsearch = $app->getUserStateFromRequest('com_adsmanager.front_content.tsearch','tsearch',"");
		if ($tsearch != "")
		{
			$filters['search'] = $tsearch;
			$view->tsearch = $tsearch;
		}
			
		$category = new stdClass();
		
		$category->name = "";
		
		$subcats = array();
		$pathlist = array();
		
		$orderfields = $fieldmodel->getOrderFields(0);
		
		$uri = JUri::getInstance();
		$baseurl = JURI::base();
		$view->baseurl = $baseurl;
		
		$view->catid = $catid;
		
	
		$view->listuser = $user->id;
		
		$modeuser = 1;
		$view->modeuser = $modeuser;
		
		$tsearch = "";
		$view->tsearch = $tsearch;
		
		$view->orders = $orderfields;
		$view->subcats = $subcats;
		$view->pathlist = $pathlist;
			
		$limit			  = $app->getUserStateFromRequest('com_adsmanager.front_ads_per_page','limit', $conf->ads_per_page, 'int');
		$limitstart		  = JFactory::getApplication()->input->getInt("limitstart",0);
		
		$order = $app->getUserStateFromRequest('com_adsmanager.front_content.order','order',0,'int');
		$orderdir = $app->getUserStateFromRequest('com_adsmanager.front_content.orderdir','orderdir','DESC');
		$orderdir = strtoupper($orderdir);
		if (($orderdir != "DESC") && ($orderdir != "ASC")) {
			$orderdir = "DESC";
		}
		$filter_order = $contentmodel->getFilterOrder($order);
		$filter_order_dir = $orderdir;
		$view->order = $order;
		$view->orderdir = $orderdir;
	
		$view->lists = $lists;
		
		$total = $contentmodel->getNbContents($filters);
		$contents = $contentmodel->getContents($filters,$limitstart, $limit,$filter_order,$filter_order_dir);
		
		jimport('joomla.html.pagination');
		$pagination = new JPagination($total, $limitstart, $limit);
		$view->pagination = $pagination;
		
		$view->list_name = $category->name;
		$view->list_img = $category->img;
		$view->list_description = $category->description;
		$view->contents = $contents;
		
		$mode = $app->getUserStateFromRequest('com_adsmanager.front_content.mode','mode', $conf->display_expand);
		if ($mode == 2)
			$mode = 0;
		$view->mode = $mode;
		
		if ($mode == 0) {
			$columns = $columnmodel->getColumns($catid);
			$fcolumns = $fieldmodel->getFieldsbyColumns();
			$view->columns = $columns;	
			$view->fColumns = $fcolumns;	
		}
		else {
			$positions = $positionmodel->getPositions('details');
			$fDisplay = $fieldmodel->getFieldsbyPositions();
			$view->positions = $positions;	
			$view->fDisplay = $fDisplay;	
		}
		
		$fields = $fieldmodel->getFields();
		$view->fields = $fields;
		
		//Don't displays earch and sort on my ads page on jomsocial
		$conf->display_list_sort = 0;
		$conf->display_list_search = 0;
		$conf->display_general_menu = 0;
		$view->conf = $conf;
		
		$my = JFactory::getUser();
		$view->userid = $my->id;
		
		$view->requestURL = $requestURL;
		
		$field_values = $fieldmodel->getFieldValues();
		
		$plugins = $fieldmodel->getPlugins();
		$field = new JHTMLAdsmanagerField($conf,$field_values,$mode,$plugins,null);
		$view->field = $field;
		
		$general = new JHTMLAdsmanagerGeneral($catid,$conf,$user);
		$view->general = $general;
	
		$return = $view->loadTemplate(null);
		
		$path = JPATH_ADMINISTRATOR.'/../libraries/joomla/database/table';
		JTable::addIncludePath($path);
		
		return $return;
	}
}